export interface ConnectivityPlan {
    grantedConnections: string;
    id: string;
    name: string;
    ref: string;
    usedConnections: string;
    message?: string;
}
export interface DeviceType {
    name: string;
    id: string;
}
export interface ActilityDeviceProfile {
    id: string;
    name: string;
    typeMAC: string;
    message?: string;
}
export interface ActilityDeviceRegistration {
    applicationEUI: string;
    applicationKey: string;
    devEUI: string;
    deviceProfile: ActilityDeviceProfile;
    connectivityPlan: ConnectivityPlan;
    deviceType: DeviceType;
    lnsConnectionName: string;
    connection: {
        name: string;
        description: string;
        baseUrl: string;
        profileId: string;
        username: string;
        password: string;
    };
}
export declare const PRODUCT_EXPERIENCE_ACTILITY_REGISTRATION: {
    readonly EVENT: "deviceRegistration";
    readonly COMPONENT: "actility-registration";
    readonly RESULT: {
        readonly SUCCESS: "registrationSuccess";
        readonly FAILURE: "registrationFailure";
    };
};
//# sourceMappingURL=actility-device-registration.model.d.ts.map