import { OnInit } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormBuilder, FormGroup, ValidationErrors, Validator } from '@angular/forms';
import { AlarmEventAttributesFormService } from './alarm-event-attributes-form.service';
import { AlarmOrEvent, OmitSelectorProperties, TimelineType } from '../alarm-event-selector.model';
import { IIdentified } from '@c8y/client';
import { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { AlarmEventAttributeForm } from './alarm-event-attributes-form.model';
import * as i0 from "@angular/core";
export declare class AlarmEventAttributesFormComponent implements ControlValueAccessor, Validator, OnInit {
    private formBuilder;
    private alarmEventAttributesFormService;
    timelineType: TimelineType;
    omitProperties: OmitSelectorProperties;
    selectedItems: AlarmOrEvent[];
    target: IIdentified;
    datapoints: KPIDetails[];
    formGroup: FormGroup<AlarmEventAttributeForm>;
    constructor(formBuilder: FormBuilder, alarmEventAttributesFormService: AlarmEventAttributesFormService);
    ngOnInit(): void;
    validate(_control: AbstractControl): ValidationErrors;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    changeDatapointSelection(event: Event): void;
    trackByFn(_index: number, item: KPIDetails): string;
    private filterKpis;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmEventAttributesFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlarmEventAttributesFormComponent, "c8y-alarm-event-attributes-form", never, { "timelineType": { "alias": "timelineType"; "required": false; }; "omitProperties": { "alias": "omitProperties"; "required": false; }; "selectedItems": { "alias": "selectedItems"; "required": false; }; "target": { "alias": "target"; "required": false; }; "datapoints": { "alias": "datapoints"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=alarm-event-attributes-form.component.d.ts.map