import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormBuilder, FormGroup, ValidationErrors, Validator } from '@angular/forms';
import { AlarmOrEvent, OmitSelectorProperties, TimelineType } from '../alarm-event-selector.model';
import { Observable } from 'rxjs';
import { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import * as i0 from "@angular/core";
export declare class AlarmEventSelectorListItemComponent implements OnInit, ControlValueAccessor, Validator, OnDestroy {
    private formBuilder;
    timelineType: TimelineType;
    datapoints: KPIDetails[] | undefined;
    highlightText: string;
    showAddRemoveButton: boolean;
    isSelected: boolean;
    optionToRemove: boolean;
    showActiveToggle: boolean;
    allowItemEdit: boolean;
    hideSource: boolean;
    displayAsSwitch: boolean;
    omitProperties: OmitSelectorProperties;
    colorPickerTitle: string;
    added: EventEmitter<AlarmOrEvent>;
    removed: EventEmitter<AlarmOrEvent>;
    formGroup: FormGroup;
    valid$: Observable<boolean>;
    private destroy$;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleActive(): void;
    validate(_control: AbstractControl): ValidationErrors;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    addOrRemoveItem(): void;
    remove(): void;
    private transformFormValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmEventSelectorListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlarmEventSelectorListItemComponent, "c8y-alarm-event-selector-list-item", never, { "timelineType": { "alias": "timelineType"; "required": false; }; "datapoints": { "alias": "datapoints"; "required": false; }; "highlightText": { "alias": "highlightText"; "required": false; }; "showAddRemoveButton": { "alias": "showAddRemoveButton"; "required": false; }; "isSelected": { "alias": "isSelected"; "required": false; }; "optionToRemove": { "alias": "optionToRemove"; "required": false; }; "showActiveToggle": { "alias": "showActiveToggle"; "required": false; }; "allowItemEdit": { "alias": "allowItemEdit"; "required": false; }; "hideSource": { "alias": "hideSource"; "required": false; }; "displayAsSwitch": { "alias": "displayAsSwitch"; "required": false; }; "omitProperties": { "alias": "omitProperties"; "required": false; }; }, { "added": "added"; "removed": "removed"; }, never, ["c8y-li-drag-handle"], false, never>;
}
//# sourceMappingURL=alarm-event-selector-list-item.component.d.ts.map