import { IIdentified } from '@c8y/client';
export type TimelineType = 'ALARM' | 'EVENT';
type AlarmOrEventBase = {
    timelineType: TimelineType;
    color: string;
    __active?: boolean;
    label: string;
    filters: {
        type: string;
    };
    __target: IIdentified;
};
export type AlarmDetails = AlarmOrEventBase & {
    timelineType: 'ALARM';
    filters: {
        type: string;
    };
    selectedDatapoint?: SelectedDatapoint;
};
export type EventDetails = AlarmOrEventBase & {
    timelineType: 'EVENT';
    filters: {
        type: string;
    };
    selectedDatapoint?: SelectedDatapoint;
};
export type SelectedDatapoint = {
    target?: string;
    series?: string;
    fragment?: string;
};
export type AlarmOrEvent = AlarmDetails | EventDetails;
export type TimelineTypeTexts = {
    listTitle: string;
    emptyStateIcon: string;
    emptyStateTitle: string;
    emptyStateSubtitle: string;
    addButtonLabel: string;
    addCustomItemButtonLabel: string;
    selectorTitle: string;
    availableItemsTitle: string;
    assetWithNoItemsEmptyStateSubtitle: string;
    largeNumberOfItemsInfo: string;
    selectedItemsTitle: string;
    noSelectedItemsTitle: string;
    recentItemsWarningTitle: string;
    recentItemsWarningText: string;
    addCustomText: string;
};
export declare const EVENT_TEXTS: TimelineTypeTexts;
export declare const ALARM_TEXTS: TimelineTypeTexts;
/**
 * The configuration for the alarms-events selector modal if some properties should be omitted.
 */
export type OmitSelectorProperties = {
    color?: boolean;
    label?: boolean;
};
export {};
//# sourceMappingURL=alarm-event-selector.model.d.ts.map