import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AlarmOrEvent, OmitSelectorProperties, TimelineType } from '../alarm-event-selector.model';
import { Observable } from 'rxjs';
import { IIdentified } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class CustomAlarmEventFormComponent implements OnInit, OnDestroy {
    private formBuilder;
    timelineType: TimelineType;
    target: IIdentified;
    omitProperties: OmitSelectorProperties;
    selectedItems: AlarmOrEvent[];
    defaultColor: string;
    added: EventEmitter<AlarmOrEvent>;
    cancel: EventEmitter<void>;
    formGroup: FormGroup;
    valid$: Observable<boolean>;
    private destroy$;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    add(): void;
    private transformFormValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomAlarmEventFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomAlarmEventFormComponent, "c8y-custom-alarm-event-form", never, { "timelineType": { "alias": "timelineType"; "required": false; }; "target": { "alias": "target"; "required": false; }; "omitProperties": { "alias": "omitProperties"; "required": false; }; "selectedItems": { "alias": "selectedItems"; "required": false; }; "defaultColor": { "alias": "defaultColor"; "required": false; }; }, { "added": "added"; "cancel": "cancel"; }, never, never, false, never>;
}
//# sourceMappingURL=custom-alarm-event-form.component.d.ts.map