import { PipeTransform } from '@angular/core';
import { SeverityType } from '@c8y/client';
import { AlarmSeverityIcon, HELP_ICON } from './alarms.model';
import * as i0 from "@angular/core";
/**
 * Pipe for transforming alarm severity types into corresponding icons.
 *
 * @example
 * Usage in an Angular template:
 * {{ 'CRITICAL' | AlarmSeverityToIcon }}
 * Result: 'exclamation-circle'
 */
export declare class AlarmSeverityToIconPipe implements PipeTransform {
    /**
     * Transforms an alarm severity type into a corresponding icon.
     *
     * @param alarmSeverity - The severity type of the alarm.
     * @returns The corresponding icon for the given alarm severity type.
     */
    transform(alarmSeverity: SeverityType): AlarmSeverityIcon | typeof HELP_ICON;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmSeverityToIconPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AlarmSeverityToIconPipe, "AlarmSeverityToIcon", true>;
}
//# sourceMappingURL=alarm-severity-to-icon.pipe.d.ts.map