import { PipeTransform } from '@angular/core';
import { AlarmStatusIcon, HELP_ICON } from './alarms.model';
import { AlarmStatusType } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Angular pipe for transforming alarm statuses into corresponding icons.
 *
 * @example
 * Usage in an Angular template:
 * {{ 'ACTIVE' | AlarmStatusToIcon }}
 * Result: 'bell'
 */
export declare class AlarmStatusToIconPipe implements PipeTransform {
    /**
     * Transforms an alarm status into a corresponding icon.
     *
     * @param alarmStatus - The status of the alarm.
     * @returns - The corresponding icon for the given alarm status.
     */
    transform(alarmStatus: AlarmStatusType): AlarmStatusIcon | typeof HELP_ICON;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmStatusToIconPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AlarmStatusToIconPipe, "AlarmStatusToIcon", false>;
}
//# sourceMappingURL=alarm-status-to-icon.pipe.d.ts.map