import { PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { AlarmStatusType } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Pipe to transform alarm status to corresponding label.
 */
export declare class AlarmStatusToLabelPipe implements PipeTransform {
    private translateService;
    constructor(translateService: TranslateService);
    /**
     * Transforms an alarm status to its corresponding label.
     * @param alarmStatus - The alarm status to transform.
     * @returns The translated label corresponding to the given alarm status.
     */
    transform(alarmStatus: AlarmStatusType): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlarmStatusToLabelPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AlarmStatusToLabelPipe, "AlarmStatusToLabel", false>;
}
//# sourceMappingURL=alarm-status-to-label.pipe.d.ts.map