import { SimpleChanges } from '@angular/core';
import { AuthConfiguration } from './auth-configuration.model';
import { TenantUiService } from '@c8y/ngx-components';
import { TenantLoginOptionType } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class LoginSettingsComponent {
    private tenantUiService;
    PREFERRED_LOGIN_MODE_POPOVER: "Main difference is the storage of the authentication information. With Basic Auth, it is saved in a session storage and with OAI-Secure in a HttpOnly cookie. OAI-Secure grant is recommended as the authentication information is not accessible via JavaScript. Single sign-on redirect allows a user to login with a single 3rd-party authorization server using the OAuth2 protocol.";
    ENFORCED_BY_PLATFORM_POPOVER: "The setting is enforced on the platform level.";
    IGNORE_CASE_SENSITIVITY_POPOVER: "If selected, the letter case of the username does not matter during login.";
    authConfiguration: AuthConfiguration;
    isOauth2: boolean;
    tenantLoginOptionTypeEnum: typeof TenantLoginOptionType;
    private PASSWORD_CATEGORY;
    private LIMIT_VALIDITY_KEY;
    private TENANT_STRENGTH_VALIDITY_KEY;
    private SYSTEM_STRENGTH_VALIDITY_KEY;
    constructor(tenantUiService: TenantUiService);
    ngOnChanges(changes: SimpleChanges): void;
    get systemPasswordLimitValidity(): any;
    get passwordLimitValidity(): any;
    set passwordLimitValidity(value: any);
    get systemPasswordEnforceStrength(): any;
    get passwordEnforceStrength(): any;
    set passwordEnforceStrength(value: any);
    get tenantLoginIgnoreCase(): any;
    set tenantLoginIgnoreCase(value: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginSettingsComponent, "c8y-login-settings", never, { "authConfiguration": { "alias": "authConfiguration"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=login-settings.component.d.ts.map