import { SimpleChanges } from '@angular/core';
import { ISessionConfiguration, TenantLoginOptionType } from '@c8y/client';
import { TenantUiService } from '@c8y/ngx-components';
import { AuthConfiguration } from './auth-configuration.model';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class SessionConfigurationComponent {
    private tenantUiService;
    private translateService;
    authConfiguration: AuthConfiguration;
    tenantLoginOptionTypeEnum: typeof TenantLoginOptionType;
    ABSOLUTE_TIMEOUT_VALIDATION_MESSAGE: "The value must be greater than \"Token lifespan\" and not less than {{ minAbsoluteTimeout }}.";
    RENEWAL_TIMEOUT_VALIDATION_MESSAGE: "The value must be less than \"Token lifespan\".";
    MAX_TOKEN_LIFESPAN_VALIDATION_MESSAGE: "The value must be less than \"Session absolute timeout\".";
    MIN_TOKEN_LIFESPAN_VALIDATION_MESSAGE: "The value must be greater than \"Session renewal timeout\".";
    USER_AGENT_VALIDATION_REQUIRED_POPOVER: "If selected, then every request needs to use the same \"User-Agent\" header as the first request which initiated the session.";
    private MIN_ABSOLUTE_TIMEOUT;
    private originalSessionConfiguration;
    private previousTokenLifespan;
    constructor(tenantUiService: TenantUiService, translateService: TranslateService);
    ngOnChanges(changes: SimpleChanges): void;
    get renewalTimeoutSeconds(): number;
    set renewalTimeoutSeconds(value: number);
    get absoluteTimeoutSeconds(): number;
    set absoluteTimeoutSeconds(value: number);
    get maximumNumberOfParallelSessions(): number;
    set maximumNumberOfParallelSessions(value: number);
    get userAgentValidationRequired(): boolean;
    set userAgentValidationRequired(value: boolean);
    get basicTokenLifespan(): any;
    set basicTokenLifespan(value: any);
    get useSessionConfiguration(): boolean;
    set useSessionConfiguration(value: boolean);
    get absoluteTimeoutConstraints(): {
        min: number;
    };
    get renewalTimeoutConstraints(): {
        min: number;
        max: number;
    };
    get basicTokenLifespanConstraints(): {
        min: number;
        max: number;
    };
    get sessionConfiguration(): ISessionConfiguration;
    set sessionConfiguration(value: ISessionConfiguration);
    private convertToMillis;
    private convertToSeconds;
    static ɵfac: i0.ɵɵFactoryDeclaration<SessionConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SessionConfigurationComponent, "c8y-session-configuration", never, { "authConfiguration": { "alias": "authConfiguration"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=session-configuration.component.d.ts.map