import { IApplication, IIdentified, IUserGroup } from '@c8y/client';
import { ControlContainer } from '@angular/forms';
import { InventoryMapping, AccessMapping } from '../../sso-configuration.model';
import * as i0 from "@angular/core";
export declare class AccessMappingComponent {
    private controlContainer;
    apps: IApplication[];
    groups: IUserGroup[];
    inventoryRoles: IIdentified[];
    templateModel: any;
    USE_ACCESS_MAPPING_ON_USER_CREATION_TOOLTIP: "The access mapping will be executed only once during the first login, then the administrator can edit the user roles. During the next login, these mappings will not be executed.";
    USE_ACCESS_MAPPING_ON_USER_CREATION_OPTION: "Use dynamic access mapping only on user creation";
    UPDATE_ROLES_LISTED_IN_ACCESS_MAPPING_ON_EACH_LOG_IN_TOOLTIP: "The access mapping will be executed only once during the first login, then the administrator can edit the user roles. During the next login only the roles listed in the access mappings will be updated.";
    UPDATE_ROLES_LISTED_IN_ACCESS_MAPPING_ON_EACH_LOG_IN_OPTION: "Roles selected in the rules below will be reassigned to a user on each log in and other ones will be unchanged";
    CLEAR_AND_UPDATED_ROLES_ON_EACH_LOG_IN_TOOLTIP: "The access mapping will be executed during the first login. The administrator cannot edit the SSO user roles. During the next login all the roles will be cleared and the mapping will be executed again.";
    CLEAR_AND_UPDATED_ROLES_ON_EACH_LOG_IN_OPTION: "Roles selected in the rules below will be reassigned to a user on each log in and other ones will be cleared";
    RETRIVE_FROM_ACCESS_TOKEN: "Retrieve from Access token";
    RETRIVE_FROM_ID_TOKEN: "Retrieve from ID token";
    constructor(controlContainer: ControlContainer);
    ngOnChanges(): void;
    addAccessMapping(): void;
    addInventoryMapping(): void;
    onRemove(accessMapping: AccessMapping): void;
    onRemoveInventoryMapping(inventoryMapping: InventoryMapping): void;
    setDynamicMappingConfiguration(mapRolesOnlyForNewUser: boolean, manageRolesOnlyFromAccessMapping?: boolean): void;
    get mapRolesOnlyForNewUser(): any;
    get manageRolesOnlyFromAccessMapping(): any;
    get mapFromIdToken(): any;
    setMapFromIdToken(mapFromIdToken: any): void;
    private get dynamicMappingConfiguration();
    private setDynamicMapping;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccessMappingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccessMappingComponent, "c8y-sso-access-mapping", never, { "apps": { "alias": "apps"; "required": false; }; "groups": { "alias": "groups"; "required": false; }; "inventoryRoles": { "alias": "inventoryRoles"; "required": false; }; "templateModel": { "alias": "templateModel"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=access-mapping.component.d.ts.map