import { ExternalTokenConfig, UserIdConfig, ValidationMethod } from '../sso-configuration.model';
import { RequestConfiguration } from './request-configuration.model';
export declare const validationMethodConfig: {
    INTROSPECTION: {
        name: string;
        value: string;
        label: "Introspection`Method of validating access token from external IAM system`";
        defaults: {
            method: string;
            body: string;
            url: string;
            headers: {};
            operation: string;
            requestParams: {};
        };
    };
    USERINFO: {
        name: string;
        value: string;
        label: "User info`Method of validating access token from external IAM system`";
        defaults: {
            url: string;
            method: string;
            body: string;
            headers: {
                Authorization: string;
            };
            operation: string;
            requestParams: {};
        };
    };
};
export declare class ExternalToken {
    userOrAppIdConfig: UserIdConfig;
    validationMethod: ValidationMethod;
    validationRequired: boolean;
    enabled: boolean;
    tokenValidationRequest: RequestConfiguration;
    accessTokenValidityCheckIntervalInMinutes: number;
    constructor(externalTokenConfig: ExternalTokenConfig);
    toExternalTokenConfig(): ExternalTokenConfig;
}
//# sourceMappingURL=external-token-config.model.d.ts.map