import { AccessTokenToUserDataMappings, OnNewUser, TemplateType, UserIdConfig } from '../sso-configuration.model';
import { RequestConfiguration } from '../template-parts/request-configuration.model';
import { ITenantLoginOption } from '@c8y/client';
import { CertificateType, SignatureConfiguration } from '../template-parts/signature-configuration.model';
import { ExternalToken } from '../template-parts/external-token-config.model';
export interface CustomSsoConfiguration extends ITenantLoginOption {
    certificateType: CertificateType;
    accessTokenToUserDataMappings: AccessTokenToUserDataMappings;
    audience: string;
    authorizationRequest: RequestConfiguration;
    buttonName: string;
    clientId: string;
    issuer: string;
    logoutRequest: RequestConfiguration;
    onNewUser: OnNewUser;
    providerName: string;
    redirectToPlatform: string;
    refreshRequest: RequestConfiguration;
    signatureVerificationConfig: SignatureConfiguration;
    template: TemplateType;
    tokenRequest: RequestConfiguration;
    userIdConfig: UserIdConfig;
    visibleOnLoginPage: boolean;
    externalTokenConfig: ExternalToken;
    useIdToken: boolean;
}
//# sourceMappingURL=custom.model.d.ts.map