import { OptionsService, UserPreferencesService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { Bookmark } from './bookmark.model';
import * as i0 from "@angular/core";
export declare class BookmarkService {
    private translateService;
    private userPreferencesService;
    private options;
    readonly USER_PREFERENCES_BOOKMARKS_KEY = "bookmarks";
    updatedBookmarks: Bookmark[];
    constructor(translateService: TranslateService, userPreferencesService: UserPreferencesService, options: OptionsService);
    updateBookmarksInStorage(newBookmarks: Bookmark[]): Promise<void>;
    getCurrentActiveNodeIcon(document: Document): string;
    extractIconName(input: string): string | null;
    getBookmarks(): Promise<Bookmark[]>;
    generateRandomID(): string;
    convertBookmarkLinkToObject(title: string, url: string, icon: string): Bookmark;
    private getIconElement;
    private setUserPreferencesBookmarks;
    static ɵfac: i0.ɵɵFactoryDeclaration<BookmarkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BookmarkService>;
}
//# sourceMappingURL=bookmarks.service.d.ts.map