import { OptionsService, Tab } from '@c8y/ngx-components';
import { BrandingTabFactory } from '@c8y/ngx-components/branding/shared';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare const darkThemeTabName: "Dark theme";
/**
 * Factory for creating the dark theme tab.
 * Extends the BrandingTabFactory to provide the dark theme tab.
 */
export declare class DarkThemeTabFactory extends BrandingTabFactory {
    private options;
    constructor(options: OptionsService);
    /**
     * Overrides the `getTabsForVersion` method of `BrandingTabFactory` to provide the dark theme tab.
     */
    protected getTabsForVersion(name: string): Tab[];
    /**
     * Overrides the `shouldShowTab$` method of `BrandingTabFactory` to show the dark theme tab only if the dark theme is available.
     */
    protected shouldShowTab$(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DarkThemeTabFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DarkThemeTabFactory>;
}
//# sourceMappingURL=dark-theme-tab.factory.d.ts.map