import { BrandVersion, StoreBrandingService, BrandingVersionService, BrandingTrackingService } from '@c8y/ngx-components/branding/shared/data';
import { Observable } from 'rxjs';
import { ActivatedRoute, Router } from '@angular/router';
import { ActionControl, AlertService, AppStateService, Column, DisplayOptions, ModalService, Pagination, ZipService } from '@c8y/ngx-components';
import { ApplicationService, IApplication } from '@c8y/client';
import { StaticAssetsService } from '@c8y/ngx-components/static-assets/data';
import { BsModalService } from 'ngx-bootstrap/modal';
import { AddBrandingModalService } from '@c8y/ngx-components/branding/shared/lazy/add-branding-modal';
import { BrandingImportModalService } from '../branding-import-modal/branding-import-modal.service';
import * as i0 from "@angular/core";
export declare class BrandingComponent {
    private brandings;
    private activatedRoute;
    private appState;
    private applicationService;
    private zip;
    private staticAssets;
    private router;
    private modal;
    private confirmModal;
    private brandingVersionService;
    private addBrandingModalService;
    private alert;
    private brandingImportModalService;
    private brandingTracking;
    pagination: Pagination;
    displayOptions: DisplayOptions;
    actionControls: ActionControl[];
    columns: Column[];
    currentAppContextPath: string;
    availableBrandingVariants$: Observable<{
        publicOptions: IApplication;
        variants: BrandVersion[];
    }>;
    private reloadTrigger;
    constructor(brandings: StoreBrandingService, activatedRoute: ActivatedRoute, appState: AppStateService, applicationService: ApplicationService, zip: ZipService, staticAssets: StaticAssetsService, router: Router, modal: BsModalService, confirmModal: ModalService, brandingVersionService: BrandingVersionService, addBrandingModalService: AddBrandingModalService, alert: AlertService, brandingImportModalService: BrandingImportModalService, brandingTracking: BrandingTrackingService);
    deleteAllBrandings(publicOptions?: IApplication): Promise<void>;
    exportBranding(variant: BrandVersion): Promise<void>;
    refresh(): void;
    addNewVersion(): Promise<void>;
    duplicateVersion(version: BrandVersion): Promise<void>;
    editBranding(brandingName: string): Promise<boolean>;
    getStartedUsingBranding(): Promise<void>;
    applyToApps(version: BrandVersion): Promise<void>;
    importBranding(): Promise<void>;
    private removeTagsFromOtherVersions;
    static ɵfac: i0.ɵɵFactoryDeclaration<BrandingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BrandingComponent, "c8y-branding", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=branding.component.d.ts.map