export declare const DEFAULT_HOME_DASHBOARD_NAME = "home-cockpit1";
export declare const USER_HOME_DASHBOARD_NAME = "home-cockpit-user";
export interface CockpitConfig {
    rootNodes: CockpitConfigRootNode[];
    features: {
        alarms: boolean;
        dataExplorer: boolean;
        groups: boolean;
        reports: boolean;
        exports: boolean;
        dataPointLibrary: boolean;
        globalSmartRules: boolean;
        smartRules: boolean;
        subassets: boolean;
        search: boolean;
        dashboardManager: boolean;
        [key: string]: boolean;
    };
    hideNavigator: boolean;
    homeDashboardName: string;
    userSpecificHomeDashboard: boolean;
    icon: {
        class: string;
    };
    appTitle?: string;
}
export declare const DEFAULT_CONFIG: CockpitConfig;
export interface CockpitConfigRootNode {
    id: string;
    name: string;
    hideDevices?: boolean;
}
export declare enum HomeDashboardType {
    /**
     * Shared by all Cockpit apps
     */
    DEFAULT = 0,
    /**
     * Only for the current Cockpit.
     */
    APP = 1,
    /**
     * Only for the current user.
     */
    USER = 2
}
export declare const COCKPIT_CONFIG_PATH = "cockpit-application-configuration";
//# sourceMappingURL=cockpit-config.model.d.ts.map