import { OnInit } from '@angular/core';
import { AlertService, AppStateService } from '@c8y/ngx-components';
import { CockpitConfig } from './cockpit-config.model';
import { CockpitConfigService } from './cockpit-config.service';
import * as i0 from "@angular/core";
export declare class CockpitConfigurationComponent implements OnInit {
    private cockpitConfigService;
    private alertService;
    private appState;
    /**
     * The currently used configuration.
     */
    config: CockpitConfig;
    rootNodeDisabled: boolean;
    constructor(cockpitConfigService: CockpitConfigService, alertService: AlertService, appState: AppStateService);
    /**
     * @ignore
     */
    ngOnInit(): void;
    /**
     * Stores the configuration and shows a success message.
     */
    save(): Promise<void>;
    /**
     * @ignore
     */
    iconSelectionChange(icon: string): void;
    /**
     * Updates the features to directly reflect the results of the change.
     */
    updateFeatures(): void;
    /**
     * Updates the root nodes to directly reflect the results of the change.
     */
    updateRootNodes(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CockpitConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CockpitConfigurationComponent, "c8y-cockpit-configuration", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=cockpit-configuration.component.d.ts.map