import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AppearanceSettingsComponent {
    themeClass: string;
    headerClass: string;
    defaultThemeClass: string;
    defaultHeaderClass: string;
    dashboardSettings: boolean;
    themeClassChange: EventEmitter<string>;
    headerClassChange: EventEmitter<string>;
    possibleStylingTheme: readonly [{
        readonly label: "Match UI`theme`";
        readonly class: "dashboard-theme-light";
        readonly description: "The dashboard appearance matches the UI appearance.";
    }, {
        readonly label: "Light`theme`";
        readonly class: "dashboard-theme-white";
        readonly description: "The dashboard has light appearance, that is, dark text on light background.";
    }, {
        readonly label: "Dark`theme`";
        readonly class: "dashboard-theme-dark";
        readonly description: "The dashboard has dark appearance, that is, light text on dark background.";
    }, {
        readonly label: "Branded`theme`";
        readonly class: "dashboard-theme-branded";
        readonly description: "The dashboard is styled using the brand palette.";
    }];
    possibleStylingHeader: readonly [{
        readonly label: "Regular`style`";
        readonly class: "panel-title-regular";
        readonly description: "The widget has no border between header and content.";
    }, {
        readonly label: "Border`style`";
        readonly class: "panel-title-border";
        readonly description: "The widget has a small separation border between header and content.";
    }, {
        readonly label: "Overlay`style`";
        readonly class: "panel-title-overlay";
        readonly description: "The widget content overlays the header.";
    }, {
        readonly label: "Hidden`style`";
        readonly class: "panel-title-hidden";
        readonly description: "The widget header is not shown.";
    }];
    columns: 1 | 3;
    dashboardDefaultLabel: "Dashboard default";
    themeClassClick(value: any): void;
    headerClassClick(value: any): void;
    private resetToDefault;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppearanceSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppearanceSettingsComponent, "c8y-appearance-settings", never, { "themeClass": { "alias": "themeClass"; "required": false; }; "headerClass": { "alias": "headerClass"; "required": false; }; "defaultThemeClass": { "alias": "defaultThemeClass"; "required": false; }; "defaultHeaderClass": { "alias": "defaultHeaderClass"; "required": false; }; "dashboardSettings": { "alias": "dashboardSettings"; "required": false; }; "possibleStylingTheme": { "alias": "possibleStylingTheme"; "required": false; }; "possibleStylingHeader": { "alias": "possibleStylingHeader"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; }, { "themeClassChange": "themeClassChange"; "headerClassChange": "headerClassChange"; }, never, ["*"], false, never>;
}
//# sourceMappingURL=appearance-settings.component.d.ts.map