import { FormBuilder, FormGroup } from '@angular/forms';
import { AllowTypeDashboard, ContextDashboard } from './context-dashboard.model';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class DashboardDetailService {
    private fb;
    private translateService;
    styling: {
        themeClass: string;
        headerClass: string;
    };
    readonly DEFAULT_DASHBOARD_MARGIN = 12;
    readonly DEFAULT_DASHBOARD_ICON = "th";
    readonly DEFAULT_DASHBOARD_PRIORITY = 5000;
    constructor(fb: FormBuilder, translateService: TranslateService);
    /**
     * Creates dashboard details form divided into two groups- general settings and appearance settings.
     * @param dashboard Context dashboard object
     * @param isReport True if its report dashboard
     * @param allowTypeDashboard Allow to make dashboard type dashboard
     * @returns Dashboard details form
     */
    initForm(dashboard: ContextDashboard, isReport: boolean, allowTypeDashboard: AllowTypeDashboard): FormGroup;
    /**
     * Creates form group for general settings of dashboard.
     * @param dashboard Context dashboard object
     * @param isReport True if its report dashboard
     * @param deviceTypeValue Value used for typed dashboard
     * @returns Dashboard general settings form
     */
    initGeneralSettingsForm(dashboard: ContextDashboard, isReport: boolean, allowTypeDashboard: AllowTypeDashboard): FormGroup;
    /**
     * Creates form group for appearance settings of dashboard.
     * @param dashboard Context dashboard object
     * @returns Dashboard appearance settings form
     */
    initAppearanceSettingsForm(dashboard: ContextDashboard): FormGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardDetailService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DashboardDetailService>;
}
//# sourceMappingURL=dashboard-detail.service.d.ts.map