import { Column, DataGridService, ModalService, Pagination, UserPreferencesService } from '@c8y/ngx-components';
import { IManagedObject, InventoryService, IResultList, QueriesUtil } from '@c8y/client';
import { ContextDashboardManagedObject } from '../context-dashboard.model';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class DashboardManagerService extends DataGridService {
    protected inventory: InventoryService;
    protected userPreferencesService: UserPreferencesService;
    protected modal: ModalService;
    protected translateService: TranslateService;
    queriesUtil: QueriesUtil;
    baseQuery: {
        __filter: {
            __and: ({
                'c8y_Dashboard.deviceType': {
                    __eq: boolean;
                };
                __has?: undefined;
            } | {
                __has: string;
                'c8y_Dashboard.deviceType'?: undefined;
            })[];
        };
    };
    private TYPE_DASHBOARDS_QUERY;
    constructor(inventory: InventoryService, userPreferencesService: UserPreferencesService, modal: ModalService, translateService: TranslateService);
    getColumns(): Column[];
    getDefaultPagination(): Pagination;
    getData(columns: Column[], pagination: Pagination, text?: string): Promise<IResultList<IManagedObject>>;
    getTotal(): Promise<number>;
    delete(dashboard: ContextDashboardManagedObject, onSuccess: () => void): Promise<void>;
    private getFilters;
    private getQueryString;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardManagerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DashboardManagerService>;
}
//# sourceMappingURL=dashboard-manager.service.d.ts.map