import { EventEmitter, OnInit } from '@angular/core';
import { ActionControl, Column, DataSourceModifier, ModalLabels, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { Router } from '@angular/router';
import { IManagedObject } from '@c8y/client';
import { TypeDashboardAssetsGridService } from './type-dashboard-assets-grid.service';
import { ContextDashboardManagedObject } from '../../../context-dashboard/context-dashboard.model';
import { ContextDashboardService } from '../../../context-dashboard/context-dashboard.service';
import * as i0 from "@angular/core";
export declare class TypeDashboardTargetAssetsGridComponent implements OnInit {
    private router;
    private assetsGridService;
    private contextDashboardService;
    labels: ModalLabels;
    columns: Column[];
    actionControls: ActionControl[];
    loadMoreItemsLabel: "Load more assets";
    loadingItemsLabel: string;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    serverSideDataCallback: ServerSideDataCallback;
    dashboard: ContextDashboardManagedObject;
    onNavigateToAsset: EventEmitter<void>;
    private isDeviceDashboard;
    constructor(router: Router, assetsGridService: TypeDashboardAssetsGridService, contextDashboardService: ContextDashboardService);
    ngOnInit(): void;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    trackByName(_index: any, column: Column): string;
    navigateToDevice(val: IManagedObject): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeDashboardTargetAssetsGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeDashboardTargetAssetsGridComponent, "c8y-type-dashboard-target-assets-grid", never, { "dashboard": { "alias": "dashboard"; "required": false; }; }, { "onNavigateToAsset": "onNavigateToAsset"; }, never, never, false, never>;
}
//# sourceMappingURL=type-dashboard-target-assets-grid.component.d.ts.map