import { EventEmitter } from '@angular/core';
import { AllowTypeDashboard, ContextDashboard, ContextDashboardManagedObject, DashboardGlobalRoles } from '../context-dashboard.model';
import { NavigatorNode, NavigatorService } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { DashboardDetailService } from '../dashboard-detail.service';
import * as i0 from "@angular/core";
export declare class DashboardGeneralSettingsComponent {
    private navigatorService;
    isReport: boolean;
    isNamedDashboard: boolean;
    hideAvailability: boolean;
    dashboard: ContextDashboard;
    generalSettingsForm: ReturnType<DashboardDetailService['initGeneralSettingsForm']>;
    deviceTypeValue: string;
    displayDeviceTypeValue: string;
    allowTypeDashboard: AllowTypeDashboard;
    isDevice: boolean;
    mo: ContextDashboardManagedObject;
    onDuplicateWithoutType: EventEmitter<void>;
    dashboardName: string;
    navigatorNodes$: Observable<NavigatorNode[]>;
    globalRolesIds: DashboardGlobalRoles;
    readonly priorityExampleLabel: "e.g. {{ example }}";
    readonly positionInTabsExampleLabel: "Position in tabs (10000 first, -10000 last)";
    constructor(navigatorService: NavigatorService);
    ngOnInit(): void;
    changeGlobalRoleIds(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardGeneralSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DashboardGeneralSettingsComponent, "c8y-dashboard-general-settings", never, { "isReport": { "alias": "isReport"; "required": false; }; "isNamedDashboard": { "alias": "isNamedDashboard"; "required": false; }; "hideAvailability": { "alias": "hideAvailability"; "required": false; }; "dashboard": { "alias": "dashboard"; "required": false; }; "generalSettingsForm": { "alias": "generalSettingsForm"; "required": false; }; "deviceTypeValue": { "alias": "deviceTypeValue"; "required": false; }; "displayDeviceTypeValue": { "alias": "displayDeviceTypeValue"; "required": false; }; "allowTypeDashboard": { "alias": "allowTypeDashboard"; "required": false; }; "isDevice": { "alias": "isDevice"; "required": false; }; "mo": { "alias": "mo"; "required": false; }; }, { "onDuplicateWithoutType": "onDuplicateWithoutType"; }, never, never, false, never>;
}
//# sourceMappingURL=dashboard-general-settings.component.d.ts.map