import { DashboardChildrenState } from '../context-dashboard.model';
import * as i0 from "@angular/core";
/**
 * Holds current state of dashboard children during edit mode.
 */
export declare class DashboardOriginatorService {
    /**
     * Current dashboard children state name for indicating what change will be undone.
     */
    get currentStateName(): string;
    /**
     * Current dashboard children state.
     * @private
     */
    private state;
    /**
     * Initializes dashboard children state on edit mode start.
     * @param state Dashboard children initial state.
     */
    initState(state: DashboardChildrenState): void;
    /**
     * Updates dashboard children state when it is changed or restored with undo/redo.
     * @param state Dashboard children updated state.
     */
    setState(state: DashboardChildrenState): void;
    /**
     * Returns copy of current state.
     */
    getState(): DashboardChildrenState;
    static ɵfac: i0.ɵɵFactoryDeclaration<DashboardOriginatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DashboardOriginatorService>;
}
//# sourceMappingURL=dashboard-originator.service.d.ts.map