import * as i0 from "@angular/core";
import * as i1 from "./action-bar.component";
import * as i2 from "ngx-bootstrap/dropdown";
import * as i3 from "../common/common.module";
import * as i4 from "ngx-bootstrap/collapse";
import * as i5 from "@angular/router";
import * as i6 from "./action-bar-item.component";
/**
 * An action bar can be added with content projection or multi provider
 * extension. It allows to show them in three positions (left, right
 * or more). The actions placed here are always local actions to the
 * current route like "add device" or "lock dashboard".
 *
 * ```html
 * <c8y-action-bar-item [placement]="'right'">
 *   <button class="btn btn-link" (click)="addRandom()"><i c8yIcon="plus-circle"></i> Add random</button>
 * </c8y-action-bar-item>
 * ```
 * @exports ActionBarComponent The outlet component
 * @exports ActionBarItemComponent The items to add with cp.
 */
export declare class ActionBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ActionBarModule, [typeof i1.ActionBarComponent], [typeof i2.BsDropdownModule, typeof i3.CommonModule, typeof i4.CollapseModule, typeof i5.RouterModule, typeof i6.ActionBarItemComponent], [typeof i1.ActionBarComponent, typeof i6.ActionBarItemComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ActionBarModule>;
}
//# sourceMappingURL=action-bar.module.d.ts.map