import { Observable } from 'rxjs';
import { Action } from './action.model';
import * as i0 from "@angular/core";
/**
 * This component is used as the outlet to show the action list.
 * In a c8ycli app it is by default placed on the header component near app-switcher.
 */
export declare class ActionOutletComponent {
    /**
     * Identifies if in a mobile view the toolbar is expanded or not.
     */
    isPageToolbarExpanded: boolean;
    /**
     * The current items to display in the action dropdown.
     */
    set items(value: Action[]);
    get items(): Action[];
    private items$;
    /**
     * Returns the items that are displayed in the "add"-dropdown ordered by priority.
     */
    templatesAndLabels$: Observable<Action[]>;
    /**
     * Returns the items that are displayed at the top navigation.
     */
    components$: Observable<Action[]>;
    /**
     * Invokes action after an action is clicked.
     */
    invoke(action: any): void;
    private byPriority;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ActionOutletComponent, "c8y-action-outlet", never, { "items": { "alias": "items"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=action-outlet.component.d.ts.map