import { aggregationType } from '@c8y/client';
export type Aggregation = {
    id: aggregationType | null;
    title: string;
};
export declare const AGGREGATIONS: Aggregation[];
export declare const AGGREGATION_LIMITS: {
    MINUTELY_LIMIT: number;
    HOURLY_LIMIT: number;
    DAILY_LIMIT: number;
};
export declare const AGGREGATION_ICONS: Record<aggregationType | 'undefined', string>;
export declare const AGGREGATION_TEXTS: Record<aggregationType | 'undefined' | 'disabled', string>;
export declare const AGGREGATION_VALUES: {
    readonly none: "NONE";
    readonly minutely: aggregationType.MINUTELY;
    readonly hourly: aggregationType.HOURLY;
    readonly daily: aggregationType.DAILY;
};
export declare const AGGREGATION_VALUES_ARR: readonly ["NONE", aggregationType.MINUTELY, aggregationType.HOURLY, aggregationType.DAILY];
export declare const AGGREGATION_LABELS: {
    readonly NONE: string;
    readonly MINUTELY: string;
    readonly HOURLY: string;
    readonly DAILY: string;
};
/**
 * Represents the available aggregation options.
 * Aggregation 'none' is not handled by our backend.
 */
export type AggregationOption = typeof AGGREGATION_VALUES.none | `${aggregationType}`;
/**
 * Represents the status of aggregation options.
 * Used to determine which aggregation options should be disabled.
 */
export type AggregationOptionStatus = {
    [key in AggregationOption]?: boolean;
};
//# sourceMappingURL=aggregation.model.d.ts.map