/**
 * Checks for errors in responses of requests made with `@c8y/client` services
 * and displays them as alerts using `AlertService`.
 *
 * **Example**
 * ```typescript
 *    const devices = await alertOnError(inventoryService.list({...}));
 * ```
 *
 * @param result The result object from the `@c8y/client` service method
 * @returns The original response (success or failure) of the  `@c8y/client` service method invokation
 */
export declare function alertOnError<T>(result: Promise<T>): Promise<T>;
//# sourceMappingURL=alert-on-error.d.ts.map