import { TemplateRef } from '@angular/core';
import { Alert } from './alert.model';
import { AlertService } from './alert.service';
export declare abstract class AlertOutletBase {
    alertService: AlertService;
    /**
     * Currently displayed details of an alert. Only one alert’s details can be displayed at a time.
     */
    detailDisplayedAlert: any;
    constructor(alertService: AlertService);
    /**
     * Expands details part of particular alert, and collapses details for another alerts.
     * @param alert The alert which details should be expanded.
     */
    showDetails(alert: Alert): void;
    /**
     * Returns true if alert has extra detailedData or defines custom onDetail method.
     */
    hasDetails(alert: Alert): any;
    /**
     * Collapses alert's details.
     */
    closeDetails(): void;
    /**
     * Returns true if details part of alert is expanded.
     */
    isDetailsShow(alert: Alert): boolean;
    /**
     * @ignore
     */
    isTemplateRef(value: any): value is TemplateRef<any>;
    /**
     * @ignore
     */
    template(content: any): any;
    private setDetailsContent;
}
//# sourceMappingURL=alert-outlet-base.d.ts.map