import { Alert } from './alert.model';
import { AlertService } from './alert.service';
import { BehaviorSubject } from 'rxjs';
import { AlertOutletBase } from './alert-outlet-base';
import * as i0 from "@angular/core";
export declare class AlertOutletComponent extends AlertOutletBase {
    private position;
    alertService: AlertService;
    /**
     * @ignore
     */
    isStatic: boolean;
    /**
     * The array of current alerts.
     */
    get alerts(): BehaviorSubject<Alert[]>;
    /**
     * @ignore
     */
    constructor(position: string, alertService: AlertService);
    /**
     * Returns a CSS class for an alert depending on its type to style the corresponding alert component.
     */
    getClass(alert: Alert): string;
    /**
     * Executes alert’s onClose method, if provided, and closes the alert.
     * @param alert The alert which will be closed.
     */
    close(alert: Alert): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertOutletComponent, [{ attribute: "position"; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertOutletComponent, "c8y-alert-outlet", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=alert-outlet.component.d.ts.map