import { IApplication, ICurrentTenant } from '@c8y/client';
import { Observable } from 'rxjs';
import { AppStateService } from '../common';
import * as i0 from "@angular/core";
export declare class AppSwitcherService {
    protected ui: AppStateService;
    /**
     * Apps of the currently logged in user.
     */
    appsOfCurrentUser$: Observable<Array<IApplication>>;
    /**
     * Available cloud apps of the currently logged in user to be displayed in app switcher.
     */
    oneCloudApps$: Observable<Array<IApplication>>;
    /**
     * Available none cloud apps of the currently logged in user to be displayed in app switcher.
     */
    apps$: Observable<Array<IApplication>>;
    finishedLoading$: Observable<boolean>;
    protected readonly visibleApplicationTypes: string[];
    constructor(ui: AppStateService);
    protected filterVisible(apps: IApplication[]): IApplication[];
    protected isPackage(app: IApplication): boolean;
    protected isCloudApp(app: IApplication): boolean;
    protected filterDuplicates(apps: IApplication[], tenant: ICurrentTenant): IApplication[];
    protected orderApps(apps: IApplication[]): IApplication[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AppSwitcherService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppSwitcherService>;
}
//# sourceMappingURL=app-switcher.service.d.ts.map