import { OnInit } from '@angular/core';
import { AuditRecordType, AuditService, IAuditRecord, IResultList } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Audit log component allows to show audits list. Component fetches audit records for the source object given as input.
 *
 * **Example**
 *
 * ```html
 *  <c8y-audit-log [source]="sourceId"></c8y-audit-log>
 * ```
 */
export declare class AuditLogComponent implements OnInit {
    private audit;
    /**
     * The source ID for which audits will be shown in the list.
     */
    source: string | number;
    /**
     * The type of audit record to search for.
     */
    type: AuditRecordType;
    /**
     * Audit records retrieved from auditRecords endpoint.
     */
    records: Promise<IResultList<IAuditRecord>>;
    /**
     * @ignore
     */
    constructor(audit: AuditService);
    /**
     * After page view is initialized, component gets audit records from auditRecords endpoint.
     */
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditLogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditLogComponent, "c8y-audit-log", never, { "source": { "alias": "source"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=audit-log.component.d.ts.map