import { OnInit, EventEmitter } from '@angular/core';
import { PasswordService } from './password.service';
import { LoginService } from '../login/login.service';
import * as i0 from "@angular/core";
export declare class PasswordCheckListComponent implements OnInit {
    loginService: LoginService;
    private passwordStrengthChecker;
    private passwordService;
    strengthEnforced: boolean;
    set password(password: string);
    onRequirementsFulfilled: EventEmitter<boolean>;
    minGreenLength: number;
    enhancedStrengthCheckList: ({
        label: "Include lowercase characters (for example, abcdef)";
        check: (password: string) => boolean;
        icon: string;
        contextualColor: string;
        textColor: string;
    } | {
        label: "Include uppercase characters (for example, ABCDEF)";
        check: (password: string) => boolean;
        icon: string;
        contextualColor: string;
        textColor: string;
    } | {
        label: "Include numbers (for example, 123456)";
        check: (password: string) => boolean;
        icon: string;
        contextualColor: string;
        textColor: string;
    } | {
        label: "Include symbols (for example, !@#$%^)";
        check: (password: string) => boolean;
        icon: string;
        contextualColor: string;
        textColor: string;
    })[];
    basicChecklist: {
        label: "Must have at least {{length}} characters";
        check: (password: any) => boolean;
        icon: string;
        contextualColor: string;
        textColor: string;
    }[];
    combinedChecklist: any[];
    constructor(loginService: LoginService, passwordStrengthChecker: PasswordService, passwordService: PasswordService);
    ngOnInit(): Promise<void>;
    get translateParams(): {
        length: number;
    };
    checkRequirement(requirement: any, password: any): any;
    onPasswordChange(password: any): void;
    isPasswordValid(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordCheckListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordCheckListComponent, "c8y-password-check-list", never, { "strengthEnforced": { "alias": "strengthEnforced"; "required": false; }; "password": { "alias": "password"; "required": false; }; }, { "onRequirementsFulfilled": "onRequirementsFulfilled"; }, never, never, false, never>;
}
//# sourceMappingURL=password-check-list.component.d.ts.map