import { PasswordStrengthColor } from './password.model';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class PasswordService {
    private modalService;
    private DEFAULT_PASSWORD_MIN_LENGTH;
    private GREEN;
    private YELLOW;
    private RED;
    constructor(modalService: BsModalService);
    confirmPassword(): Observable<boolean>;
    /**
     * Returns an observable with the password provided by user:
     * - `string` when user provided a value
     * - `null` when user cancelled the modal
     */
    currentPassword(): Observable<string | null>;
    hasLowerCase(password: string): boolean;
    hasUpperCase(password: string): boolean;
    hasNumbers(password: string): boolean;
    hasSpecialChars(password: string): boolean;
    getStrengthColor(password: string): PasswordStrengthColor;
    getDefaultPasswordMinLength(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PasswordService>;
}
//# sourceMappingURL=password.service.d.ts.map