import { EventEmitter } from '@angular/core';
import { LoginService } from '../login/login.service';
import { UserService } from '@c8y/client';
import { AlertService } from '../alert/alert.service';
import * as i0 from "@angular/core";
export declare class TotpChallengeComponent {
    loginService: LoginService;
    private users;
    private alert;
    /**
     * Calls the verify endpoint if set to true (default true)
     */
    verify: boolean;
    /**
     * Emits the token on success.
     */
    onSuccess: EventEmitter<any>;
    /**
     * Emits if set up two-factor authentication is canceled.
     */
    totpUnconfirmedEmitter: EventEmitter<any>;
    loading: boolean;
    hasError: boolean;
    isModal: boolean;
    model: {
        token: string;
    };
    private modal;
    constructor(loginService: LoginService, users: UserService, alert: AlertService);
    verifyCode(): Promise<void>;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotpChallengeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotpChallengeComponent, "c8y-totp-challenge", never, { "verify": { "alias": "verify"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "isModal": { "alias": "isModal"; "required": false; }; }, { "onSuccess": "onSuccess"; "totpUnconfirmedEmitter": "totpUnconfirmedEmitter"; }, never, never, false, never>;
}
//# sourceMappingURL=totp-challenge.component.d.ts.map