import { Type } from '@angular/core';
import { Observable } from 'rxjs';
export declare const SHOW_BETA_PREVIEW = "showBetaPreview";
export type BetaFeature = BetaFeatureCustom | BetaFeatureDefault;
export interface BetaFeatureCustom extends BaseBetaFeature {
    key?: never;
    scope?: never;
    onToggle: (state: any) => Promise<boolean>;
    active$: Observable<boolean>;
}
export interface BetaFeatureDefault extends BaseBetaFeature {
    key: string;
    scope?: 'user' | 'tenant' | 'temp' | 'platform';
    onToggle?: never;
    active$?: never;
}
export interface BaseBetaFeature {
    label: string;
    description: () => Promise<string | Type<any>>;
    settings?: {
        reload?: boolean;
    };
}
//# sourceMappingURL=beta-preview.model.d.ts.map