import { OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { ActionBarService } from '../action-bar/action-bar.service';
import { OptionsService } from '../common/options.service';
import { AppStateService } from '../common/ui-state.service';
import { HeaderService } from '../header/header.service';
import { NavigatorService } from '../navigator/navigator.service';
import { PluginsResolveService } from '../plugins/plugins-resolve.service';
import { SetupService } from '../setup/setup.service';
import { TabsService } from '../tabs/tabs.service';
import { LoginService } from '../login/login.service';
import { TranslationLoaderService } from '../i18n/translation-loader.service';
import * as i0 from "@angular/core";
export declare class BootstrapComponent implements OnDestroy, OnInit {
    tabs: TabsService;
    ui: AppStateService;
    navigator: NavigatorService;
    actionBar: ActionBarService;
    headerService: HeaderService;
    private options;
    private pluginsResolve;
    setupService: SetupService;
    loginService: LoginService;
    translationLoaderService: TranslationLoaderService;
    navigatorOpen$: Observable<boolean>;
    noAppsMargin$: Observable<boolean>;
    tabsOrientation: string;
    showPoweredBy: boolean;
    showLogin$: Observable<boolean>;
    showLoadingIndicator$: Observable<boolean>;
    showMainView$: Observable<boolean>;
    showSetup$: Observable<boolean>;
    private destroy$;
    private loadedRemotesContextPathCache;
    constructor(tabs: TabsService, ui: AppStateService, navigator: NavigatorService, actionBar: ActionBarService, headerService: HeaderService, options: OptionsService, pluginsResolve: PluginsResolveService, setupService: SetupService, loginService: LoginService, translationLoaderService: TranslationLoaderService);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    private getRemotes;
    private loadRemotes;
    private subscribeToLoadRemotes;
    private ensureWeMarkPluginsAsLoaded;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BootstrapComponent, "c8y-bootstrap", never, {}, {}, never, ["#c8y-legacy-view"], false, never>;
}
//# sourceMappingURL=bootstrap.component.d.ts.map