import { ApplicationRef, Type } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { DrawerOptions } from './bottom-drawer.model';
export declare const DRAWER_ANIMATION_TIME = 400;
export declare class BottomDrawerRef<C> {
    private applicationRef;
    private router;
    private options?;
    /**
     * Event fired when the bottom drawer behind the reference is closed.
     */
    get onClosed$(): Observable<void>;
    /**
     * The instance of the component created.
     */
    instance: C;
    private drawerComponentRef;
    private closedSubject$;
    private closedObs$;
    constructor(component: Type<C>, applicationRef: ApplicationRef, router: Router, options?: DrawerOptions<C>);
    /**
     * Closes the bottom drawer behind the reference.
     */
    close(): void;
    private attachDrawerToView;
    private detachDrawerFromView;
    private detachDrawerWithAnimationDelay;
    private handleNavigation;
}
//# sourceMappingURL=bottom-drawer-ref.d.ts.map