export interface DrawerOptions<C> {
    /**
     * A host element the drawer will be appended to.
     */
    host?: HTMLElement;
    /**
     * Data to pass to component inside drawer.
     */
    initialState?: Partial<C>;
    /**
     * Defines whether the drawer should be closed when navigation start is detected. Defaults to <code>true</code>.
     */
    closeOnNavigation?: boolean;
    /**
     * Defines whether it should be possible to click outside of the drawer to close the drawer.
     */
    disableClickOutside?: boolean;
}
//# sourceMappingURL=bottom-drawer.model.d.ts.map