import { ApplicationRef, Type } from '@angular/core';
import { Router } from '@angular/router';
import { BottomDrawerRef } from './bottom-drawer-ref';
import { DrawerOptions } from './bottom-drawer.model';
import * as i0 from "@angular/core";
/**
 * Allows to open a component in a bottom drawer.
 */
export declare class BottomDrawerService {
    private applicationRef;
    private router;
    constructor(applicationRef: ApplicationRef, router: Router);
    /**
     * Opens the provided component in a bottom drawer.
     *
     * @param component The component type to render in a bottom drawer.
     * @param options (optional) Additional options to configure bottom drawer.
     * @returns A reference to the bottom drawer.
     */
    openDrawer<C>(component: Type<C>, options?: DrawerOptions<C>): BottomDrawerRef<C>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomDrawerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BottomDrawerService>;
}
//# sourceMappingURL=bottom-drawer.service.d.ts.map