import { EnvironmentInjector, Injector } from '@angular/core';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
export declare class BreadcrumbItemComponent {
    /**
     * Icon to display in the breadcrumb item.
     */
    icon: SupportedIconsSuggestions;
    /**
     * Determines if the label should be translated. Set to true to enable translation.
     * Translation occurs if translated text is available.
     */
    translate: boolean;
    /**
     * The label text of the breadcrumb item. This is displayed to the user.
     */
    label: string;
    /**
     * The navigation path that the breadcrumb item links to.
     */
    path: string;
    injector: Injector;
    template: any;
    constructor(_injector: EnvironmentInjector);
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadcrumbItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadcrumbItemComponent, "c8y-breadcrumb-item", never, { "icon": { "alias": "icon"; "required": false; }; "translate": { "alias": "translate"; "required": false; }; "label": { "alias": "label"; "required": false; }; "path": { "alias": "path"; "required": false; }; "injector": { "alias": "injector"; "required": false; }; }, {}, never, ["*"], true, never>;
}
//# sourceMappingURL=breadcrumb-item.component.d.ts.map