import { ModuleWithProviders, Provider } from '@angular/core';
import { TranslateService } from '../i18n/translate.service';
import { AppStateService } from './ui-state.service';
import { UserPreferencesService } from './user-preferences/user-preferences.service';
import * as i0 from "@angular/core";
import * as i1 from "./should-show-mo.pipe";
import * as i2 from "./get-group-icon.pipe";
import * as i3 from "./forOf.directive";
import * as i4 from "./load-more.component";
import * as i5 from "./map-function.pipe";
import * as i6 from "./progress-bar.component";
import * as i7 from "./dropdown-direction.directive";
import * as i8 from "./textarea-autoresize.directive";
import * as i9 from "./tabset-aria.directive";
import * as i10 from "./virtual-scroll/virtual-scroller-wrapper.component";
import * as i11 from "./virtual-scroll/virtual-scroll-window.directive";
import * as i12 from "./show-if-filter.pipe";
import * as i13 from "./skip-link.directive";
import * as i14 from "./generic-file-icon.pipe";
import * as i15 from "./stringify-object.pipe";
import * as i16 from "@angular/common";
import * as i17 from "../i18n/i18n.module";
import * as i18 from "ngx-bootstrap/tooltip";
import * as i19 from "@angular/cdk/scrolling";
import * as i20 from "./asset-link.pipe";
import * as i21 from "./component-outlet.directive";
import * as i22 from "./humanize-app-name.pipe";
import * as i23 from "./icon.directive";
import * as i24 from "./date.pipe";
import * as i25 from "./loading.component";
import * as i26 from "./empty-state/empty-state.component";
import * as i27 from "./empty-state/empty-state-context.directive";
import * as i28 from "./bytes.pipe";
import * as i29 from "./user-name-initials.pipe";
import * as i30 from "./shorten-user-name.pipe";
import * as i31 from "./humanize.pipe";
import * as i32 from "./if-allowed.directive";
import * as i33 from "./number.pipe";
import * as i34 from "./operation-result.component";
import * as i35 from "./markdown-to-html.pipe";
import * as i36 from "./mo-name.pipe";
import * as i37 from "./outlet.directive";
export declare function initializeServices(translateService: TranslateService, state: AppStateService, userPreferences: UserPreferencesService): () => void;
/**
 * Commonly used directives, data access and translation. This module is the shared
 * module across all core components. It should be imported by default.
 *
 * @exports IconDirective A directive to set a c8y icon with [c8yIcon]="'rocket'".
 * @exports OutletDirective A directive which allows to set DOM or Angular templates (used for upgrade).
 * @exports I18nModule Translation module.
 * @exports NgCommonModule Angular common module.
 * @exports DataModule The data layer to allow DI with @c8y/client.
 * @exports HumanizeAppNamePipe Humanize an application name for display in e.g. the app switcher (e.g. `devicemanagement` becomes `Device Management`).
 * @exports HumanizePipe Humanize a string, e.g. `c8y_water_temperature` becomes `Water Temperature`.
 * @exports ShouldShowMoPipe Checks if passed managed object is device or group type.
 * @exports GetGroupIconPipe Gets proper group icon.
 * @exports ShortenUserNamePipe Allows a short name. E.g. `Foo Bar` gets `F. Bar`.
 * @exports UserNameInitialsPipe Allows the initials from the name. E.g. `Foo Bar` gets `FB`.
 * @exports ForOfDirective A forOf directive like ngFor but with load-more function.
 * @exports LoadMoreComponent A component to load more data from a certain data-source.
 * @exports ProgressBarComponent Displays either defined or undefined progress.
 * @exports DropdownDirectionDirective Determines if a dropdown opens to the bottom or to the top.
 * @exports TextareaAutoresizeDirective resizes a textarea height as the user inputs.
 * @exports OperationResultComponent displays an animated svg for success and error operations.
 */
export declare class CommonModule {
    static providers(): Provider[];
    static forRoot(): ModuleWithProviders<CommonModule>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<CommonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CommonModule, [typeof i1.ShouldShowMoPipe, typeof i2.GetGroupIconPipe, typeof i3.ForOfDirective, typeof i4.LoadMoreComponent, typeof i5.MapFunctionPipe, typeof i6.ProgressBarComponent, typeof i7.DropdownDirectionDirective, typeof i8.TextareaAutoresizeDirective, typeof i9.TabsetAriaDirective, typeof i10.VirtualScrollerWrapperComponent, typeof i11.VirtualScrollWindowDirective, typeof i12.ShowIfFilterPipe, typeof i13.SkipLinkDirective, typeof i14.GenericFileIconPipe, typeof i15.StringifyObjectPipe], [typeof i16.CommonModule, typeof i17.I18nModule, typeof i18.TooltipModule, typeof i19.ScrollingModule, typeof i20.AssetLinkPipe, typeof i21.C8yComponentOutlet, typeof i22.HumanizeAppNamePipe, typeof i23.IconDirective, typeof i24.DatePipe, typeof i25.LoadingComponent, typeof i26.EmptyStateComponent, typeof i27.EmptyStateContextDirective, typeof i28.BytesPipe, typeof i29.UserNameInitialsPipe, typeof i30.ShortenUserNamePipe, typeof i31.HumanizePipe, typeof i32.IfAllowedDirective, typeof i33.NumberPipe, typeof i34.OperationResultComponent, typeof i35.MarkdownToHtmlPipe, typeof i36.MoNamePipe, typeof i37.OutletDirective], [typeof i26.EmptyStateComponent, typeof i27.EmptyStateContextDirective, typeof i23.IconDirective, typeof i37.OutletDirective, typeof i17.I18nModule, typeof i16.CommonModule, typeof i22.HumanizeAppNamePipe, typeof i31.HumanizePipe, typeof i1.ShouldShowMoPipe, typeof i2.GetGroupIconPipe, typeof i32.IfAllowedDirective, typeof i30.ShortenUserNamePipe, typeof i29.UserNameInitialsPipe, typeof i3.ForOfDirective, typeof i4.LoadMoreComponent, typeof i5.MapFunctionPipe, typeof i6.ProgressBarComponent, typeof i24.DatePipe, typeof i33.NumberPipe, typeof i25.LoadingComponent, typeof i7.DropdownDirectionDirective, typeof i8.TextareaAutoresizeDirective, typeof i9.TabsetAriaDirective, typeof i34.OperationResultComponent, typeof i10.VirtualScrollerWrapperComponent, typeof i11.VirtualScrollWindowDirective, typeof i28.BytesPipe, typeof i12.ShowIfFilterPipe, typeof i13.SkipLinkDirective, typeof i35.MarkdownToHtmlPipe, typeof i36.MoNamePipe, typeof i14.GenericFileIconPipe, typeof i15.StringifyObjectPipe, typeof i20.AssetLinkPipe, typeof i21.C8yComponentOutlet]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CommonModule>;
}
//# sourceMappingURL=common.module.d.ts.map