import { AppStateService } from './ui-state.service';
import * as i0 from "@angular/core";
interface DateFormatOptions {
    locale?: string;
    useUppercaseFormat?: boolean;
}
export declare class DateFormatService {
    private appStateService;
    constructor(appStateService: AppStateService);
    /**
     * Returns date format pattern based on locale and formatting syntax.
     *
     * @param formattingOptions - Object containing formatting options
     * @returns A string containing the date format pattern for the specified locale
     */
    getDateFormat(formattingOptions?: DateFormatOptions): string;
    /**
     * Determines whether a given locale should use 12-hour clock format with AM/PM.
     *
     * @param locale - The locale code (e.g., 'en', 'pl', 'en_US')
     * @returns boolean indicating whether meridian format (AM/PM) should be used
     */
    shouldUseMeridianFormat(locale?: any): boolean;
    private isNonEmptyString;
    private isValidLocale;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateFormatService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateFormatService>;
}
export {};
//# sourceMappingURL=date-format.service.d.ts.map