import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Injects data statistics object of type `DataSourceStats` into your template
 * so that you can adjust your empty state messages according to them.
 *
 * Works only within the `c8y-data-grid` component.
 *
 * ```html
 * <c8y-data-grid [...]>
 * <c8y-ui-empty-state
 *   *emptyStateContext="let stats"
 *   [title]="
 *     stats?.size > 0
 *       ? (noMatchingDevices | translate)
 *       : (noDevicesToDisplay | translate)
 *   "
 *   [...]
 * ></c8y-ui-empty-state>
 * [...]
 * </c8y-data-grid>
 * ```
 */
export declare class EmptyStateContextDirective {
    templateRef: TemplateRef<unknown>;
    constructor(templateRef: TemplateRef<unknown>);
    static ɵfac: i0.ɵɵFactoryDeclaration<EmptyStateContextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EmptyStateContextDirective, "[emptyStateContext]", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=empty-state-context.directive.d.ts.map