import { Renderer2, ElementRef } from '@angular/core';
import type { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
/**
 * Allows to set a icon. Switches between c8y default icons
 * and font awesome icons.
 * ```html
 * <i [c8yIcon]="'clock'">
 * ```
 */
export declare class IconDirective {
    private el;
    private renderer;
    set c8yIcon(icon: SupportedIconsSuggestions | {
        class: string;
    });
    private c8yMatch;
    private dltC8yMatch;
    private currentClasses;
    constructor(el: ElementRef, renderer: Renderer2);
    private isC8y;
    private isDltC8y;
    private getClasses;
    private updateIcon;
    private mapFontAwesomeToDelightIcons;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconDirective, "[c8yIcon]", never, { "c8yIcon": { "alias": "c8yIcon"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=icon.directive.d.ts.map