import { ControlValueAccessor } from '@angular/forms';
import { aggregationType } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class AggregationPickerComponent implements ControlValueAccessor {
    /**
     * Configuration for disabling specific types of aggregation.
     * By default no aggregation type is disabled.
     */
    disabledAggregations: Partial<Record<aggregationType, boolean>>;
    readonly AGGREGATIONS: import("../../../aggregation/aggregation.model").Aggregation[];
    readonly AGGREGATION_ICONS: Record<"undefined" | aggregationType, string>;
    readonly AGGREGATION_TEXTS: Record<"undefined" | "disabled" | aggregationType, string>;
    value: aggregationType;
    touched: boolean;
    disabled: boolean;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: aggregationType): void;
    registerOnChange(fn: any): void;
    registerOnTouched(onTouched: any): void;
    markAsTouched(): void;
    setDisabledState(disabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AggregationPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AggregationPickerComponent, "c8y-aggregation-picker", never, { "disabledAggregations": { "alias": "disabledAggregations"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=aggregation-picker.component.d.ts.map