import { Type } from '@angular/core';
import { Column, ColumnConfig, ColumnDataType, ColumnSortingConfig, FilterPredicateFunction, FormlyColumnFilteringConfig, SortOrder } from '../data-grid.model';
export declare class BaseColumn implements Column {
    name: string;
    path?: string;
    header?: string;
    dataType?: ColumnDataType;
    visible?: boolean;
    positionFixed?: boolean;
    resizable?: boolean;
    gridTrackSize?: string;
    headerCSSClassName?: string | string[];
    headerCellRendererComponent?: Type<any>;
    cellCSSClassName?: string | string[];
    cellRendererComponent?: Type<any>;
    sortable?: boolean;
    sortingConfig?: ColumnSortingConfig;
    sortOrder?: SortOrder;
    filterable?: boolean;
    filteringConfig?: FormlyColumnFilteringConfig;
    filteringFormRendererComponent?: Type<any>;
    filterPredicate?: string | FilterPredicateFunction;
    externalFilterQuery?: string | object;
    constructor(config?: ColumnConfig);
    /**
     * Gets a label template to be used in the schema-form's `type: 'template'` form item.
     * @param label The label to be displayed.
     * @param options Additional options:
     *   - `showWildcardTooltip`: `boolean` - appends a tooltip explaining wildcard usage
     * @returns The string with the template.
     */
    getLabelTemplate(label: string, options?: {
        showWildcardTooltip?: boolean;
    }): string;
}
//# sourceMappingURL=base.column.d.ts.map