import { FormlyFieldConfig } from '@ngx-formly/core';
import { Observable } from 'rxjs';
import { AlertService } from '../../alert/alert.service';
import { C8yJSONSchema } from '../../dynamic-forms/json-schema/c8y-json-schema.service';
import { FilterChip, PartialFilterChipRemovalType } from '../data-grid.model';
import { FilterMapperFactory } from './filter-mapper.factory';
import * as i0 from "@angular/core";
export declare class FilterMapperService {
    private alert;
    private jsonschema;
    private filterMapperFactory;
    constructor(alert: AlertService, jsonschema: C8yJSONSchema, filterMapperFactory: FilterMapperFactory);
    getMappedFilterValues(filter: FilterChip): Observable<FilterChip[]>;
    mapFieldsToFilter(filterChip: FilterChip, formlyFields: FormlyFieldConfig[], path?: string[], result?: Observable<FilterChip[]>): Observable<FilterChip[]>;
    processField(filterChip: FilterChip, field: FormlyFieldConfig, path: string[], resultChips: FilterChip[]): Observable<FilterChip[]>;
    getChipFromFactory(resultChips: FilterChip[], field: FormlyFieldConfig, filterChip: FilterChip): Observable<FilterChip[]>;
    removeChip(chip: any): PartialFilterChipRemovalType;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterMapperService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterMapperService>;
}
//# sourceMappingURL=filter-mapper.service.d.ts.map