export declare enum SendStatus {
    AVAILABLE = "AVAILABLE",
    UNAVAILABLE = "UNAVAILABLE",
    UNKNOWN = "UNKNOWN",
    MAINTENANCE = "MAINTENANCE",
    NOT_MONITORED = "NOT_MONITORED"
}
export declare enum PushStatus {
    CONNECTED = "CONNECTED",
    DISCONNECTED = "DISCONNECTED",
    UNKNOWN = "UNKNOWN",
    MAINTENANCE = "MAINTENANCE"
}
export declare const SendStatusLabels: {
    readonly AVAILABLE: "Send connection: online";
    readonly NOT_MONITORED: "Send connection: not monitored";
    readonly UNAVAILABLE: "Send connection: offline";
    readonly UNKNOWN: "Send connection status unknown";
    readonly MAINTENANCE: "Device is under maintenance";
};
export declare const PushStatusLabels: {
    readonly CONNECTED: "Push connection: active";
    readonly DISCONNECTED: "Push connection: inactive";
    readonly UNKNOWN: "Push connection: inactive";
    readonly MAINTENANCE: "Device is under maintenance";
};
export declare const deviceAvailabilityIconMap: {
    sendData: {
        AVAILABLE: {
            icon: string;
            class: string;
        };
        UNAVAILABLE: {
            icon: string;
            class: string;
        };
        UNKNOWN: {
            icon: string;
            class: string;
        };
        NOT_MONITORED: {
            icon: string;
            class: string;
        };
    };
    push: {
        CONNECTED: {
            icon: string;
            class: string;
        };
        DISCONNECTED: {
            icon: string;
            class: string;
        };
        UNKNOWN: {
            icon: string;
            class: string;
        };
        MAINTENANCE: {
            icon: string;
            class: string;
        };
    };
    device: {
        MAINTENANCE: {
            icon: string;
            class: string;
        };
    };
};
export declare const tooltips: {
    sendStatusConnected: (lastMessage: any, translateService: any) => any;
    sendStatusDisconnected: "Connection not monitored";
    pushStatusConnected: "Connection to device established";
    pushStatusDisconnected: "Connection to device not established (not supported by device or no connectivity)";
    maintenance: "Device is under maintenance";
};
//# sourceMappingURL=device-availability.d.ts.map