import { OnInit, QueryList, ElementRef, Renderer2, OnDestroy, AfterContentInit } from '@angular/core';
import { GuideHrefDirective } from './guide-href.directive';
import { DocsService } from './docs.service';
import { C8yTranslateDirective } from '../i18n/c8y-translate.directive';
import * as i0 from "@angular/core";
export declare class GuideDocsComponent implements OnInit, AfterContentInit, OnDestroy {
    private docs;
    private el;
    private renderer;
    baseUrl: string;
    links: QueryList<GuideHrefDirective>;
    /**
     * Provides access to translate directive, so it is possible to adjust anchor html tags, after
     * content is translated.
     */
    private _translateDirective;
    get translateDirective(): C8yTranslateDirective;
    set translateDirective(value: C8yTranslateDirective);
    private destroyed$;
    constructor(docs: DocsService, el: ElementRef, renderer: Renderer2, translateDirective: C8yTranslateDirective);
    ngOnInit(): void;
    /**
     * After content is initialized we subscribe for translation events, then we are able to modify
     * anchor just as C8yGuideHrefDirective does.
     */
    ngAfterContentInit(): void;
    /**
     * Find and modify anchor elements
     */
    replaceAnchorAttributes(): void;
    /**
     * Recursive function, returns array of Anchor elements inside HTMLElement.
     */
    findGuideAnchors(el: HTMLElement): HTMLElement[];
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GuideDocsComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GuideDocsComponent, "[c8y-guide-docs]", never, {}, {}, ["translateDirective", "links"], ["*"], false, never>;
}
//# sourceMappingURL=guide-docs.component.d.ts.map