import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { AppStateService, OptionsService } from '../../common';
import { TranslateService } from '@ngx-translate/core';
import { ModalService } from '../../modal';
import { TenantService, UserService } from '@c8y/client';
import { AlertService } from '../../alert';
import { HeaderService } from '../../header/header.service';
import * as i0 from "@angular/core";
export declare class SupportOutletComponent implements OnInit {
    ui: AppStateService;
    private optionsService;
    private modalService;
    private translateService;
    private tenantService;
    private alertService;
    private userService;
    private headerService;
    isCollapsed: boolean;
    drawerOpen$: Observable<boolean>;
    userSupportAvailable: boolean;
    supportUrl: string | boolean;
    isCollapsible: boolean;
    supportUserEnabled$: Observable<boolean>;
    textClass: string;
    tabIndex$: Observable<'0' | '-1'>;
    PRODUCT_EXPERIENCE: {
        readonly ACTION_BAR: {
            readonly EVENTS: {
                readonly ACTION_BAR_ITEM: "actionBarItem";
            };
            readonly COMPONENTS: {
                readonly ACTION_BAR_COMPONENT: "action-bar";
            };
            readonly ACTIONS: {};
            readonly RESULTS: {};
        };
        readonly QUICK_LINKS: {
            readonly EVENTS: {
                readonly QUICK_LINK_RIGHT_DRAWER: "quickLinkRightDrawer";
            };
            readonly COMPONENTS: {
                readonly RIGHT_DRAWER_COMPONENT: "right-drawer";
            };
            readonly ACTIONS: {
                readonly ACTIVATE_SUPPORT_ACCESS: "activateSupportAccess";
                readonly DEACTIVATE_SUPPORT_ACCESS: "deactivateSupportAccess";
                readonly OPEN_SUPPORT_LINK: "openSupportLink";
            };
            readonly RESULTS: {};
        };
    };
    constructor(ui: AppStateService, optionsService: OptionsService, modalService: ModalService, translateService: TranslateService, tenantService: TenantService, alertService: AlertService, userService: UserService, headerService: HeaderService);
    activateSupportAccess(): Promise<void>;
    deactivateSupportAccess(): Promise<void>;
    ngOnInit(): void;
    private refreshCurrentUser;
    static ɵfac: i0.ɵɵFactoryDeclaration<SupportOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SupportOutletComponent, "c8y-support-outlet", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=support-outlet.component.d.ts.map