import { Injector } from '@angular/core';
import { Type } from '@angular/core';
export type DrawerItem = RightDrawerItem | LeftDrawerItem;
export type DrawerPositions = 'left' | 'right';
export interface BaseDrawerItem {
    component: Type<any>;
    priority: number;
    position: DrawerPositions;
    injector?: Injector;
    id?: string;
}
export interface RightDrawerItem extends BaseDrawerItem {
    position: 'right';
}
export interface LeftDrawerItem extends BaseDrawerItem {
    position: 'left';
    /**
     * The drawer will only be rendered in case there is at least one required drawer item.
     * By setting this attribute to true, you will mark this item as optional.
     * It will only be rendered if there is another item available for this drawer which is not optional.
     */
    noneRequired?: boolean;
}
//# sourceMappingURL=drawer.model.d.ts.map