import { AbstractControlOptions, ValidatorFn } from '@angular/forms';
/**
 * Helper type for form group configuration based on a given entity interface.
 * Ensures that model changes will be detected at compile time
 * avoiding runtime errors and possible data loss.
 */
export type FormGroupConfig<T> = {
    [P in keyof T]?: [
        (T[P] | {
            value: T[P];
            disabled: boolean;
        })?,
        (AbstractControlOptions | ValidatorFn | ValidatorFn[])?
    ];
};
//# sourceMappingURL=form-group-config.model.d.ts.map