import { AfterViewInit } from '@angular/core';
import { IApplication } from '@c8y/client';
import { ApiService } from '@c8y/ngx-components/api';
import { Observable } from 'rxjs';
import { ActionService } from '../../action/action.service';
import { BreadcrumbService } from '../../breadcrumb/breadcrumb.service';
import { AppStateService } from '../../common/ui-state.service';
import { DocsService } from '../../docs/docs.service';
import { SearchService } from '../../search/search.service';
import { UserMenuService } from '../../user/user-menu.service';
import { HeaderService } from '../header.service';
import * as i0 from "@angular/core";
export declare class HeaderBarComponent implements AfterViewInit {
    headerService: HeaderService;
    actionService: ActionService;
    breadcrumbService: BreadcrumbService;
    searchService: SearchService;
    appState: AppStateService;
    userMenuService: UserMenuService;
    docs: DocsService;
    apiService: ApiService;
    canToggle$: Observable<boolean>;
    appState$: Observable<any>;
    app$: Observable<IApplication>;
    headerOpen: boolean;
    loadingClass$: Observable<{
        active: boolean;
    }>;
    showNotification$: Observable<boolean>;
    /**
     * Can be set to show an header bar with only
     * title, app-switcher and user-menu
     */
    simple: boolean;
    constructor(headerService: HeaderService, actionService: ActionService, breadcrumbService: BreadcrumbService, searchService: SearchService, appState: AppStateService, userMenuService: UserMenuService, docs: DocsService, apiService: ApiService);
    ngAfterViewInit(): void;
    toggleDrawer(): void;
    closeDrawer(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderBarComponent, "c8y-header-bar", never, { "simple": { "alias": "simple"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=header-bar.component.d.ts.map