import { PipeTransform } from '@angular/core';
import { PropertyValueTransformService } from './property-value-transform.service';
import * as i0 from "@angular/core";
/**
 * Service transforms the name for translation based on mapping provided by
 * PropertyValueTransformService.
 * Usage:
 *  value | nameTransform | translate
 * Example:
 *  {{ 'admins' | nameTransform | translate }}
 *  transforms original string to: 'Admin User`role`' and then translates it like 'Admin User'
 */
export declare class NameTransformPipe implements PipeTransform {
    private propertyTransformService;
    constructor(propertyTransformService: PropertyValueTransformService);
    transform(value: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NameTransformPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<NameTransformPipe, "nameTransform", true>;
}
//# sourceMappingURL=name-transform.pipe.d.ts.map