export declare const MESSAGES_CORE_I18N: {
    readonly '^Access is denied$': {
        readonly gettext: "Access denied.";
    };
    readonly '^Alarm created$': {
        readonly gettext: "Alarm created";
    };
    readonly '^Alarm updated$': {
        readonly gettext: "Alarm updated";
    };
    readonly '^API is not available with the new domain$': {
        readonly gettext: "Could not activate custom domain. DNS setup is incorrect.";
    };
    readonly '^Application with given name already exist$': {
        readonly gettext: "Application with given name already exists.";
    };
    readonly '^Application with id (.+?) is already assigned to the tenant (.+?)$': {
        readonly gettext: "This application is already assigned to tenant \"{{tenant}}\".";
        readonly placeholders: {
            readonly tenant: "$2";
        };
    };
    readonly '^Apply software changes: (.+?)\\.?$': {
        readonly gettext: "Apply software changes: {{ softwareChanges }}";
        readonly placeholders: {
            readonly softwareChanges: {
                readonly capture: "$1";
                readonly translate: {
                    readonly 'install "(.+?)" \\(version: (.+?)\\)': {
                        readonly gettext: "install \"{{ softwareName }}\" (version: {{ softwareVersion }})";
                        readonly placeholders: {
                            readonly softwareName: "$1";
                            readonly softwareVersion: "$2";
                        };
                    };
                    readonly 'install "([^"]+)"(?! \\(version: .+?\\))': {
                        readonly gettext: "install \"{{ softwareName }}\"";
                        readonly placeholders: {
                            readonly softwareName: "$1";
                        };
                    };
                    readonly 'delete "(.+?)" \\(version: (.+?)\\)': {
                        readonly gettext: "delete \"{{ softwareName }}\" (version: {{ softwareVersion }})";
                        readonly placeholders: {
                            readonly softwareName: "$1";
                            readonly softwareVersion: "$2";
                        };
                    };
                    readonly 'delete "([^"]+)"(?! \\(version: .+?\\))': {
                        readonly gettext: "delete \"{{ softwareName }}\"";
                        readonly placeholders: {
                            readonly softwareName: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly '^Assign device profile (.+?) to device (.+?)$': {
        readonly gettext: "Assign device profile {{profileName}} to device {{deviceName}}";
        readonly placeholders: {
            readonly profileName: "$1";
            readonly deviceName: "$2";
        };
    };
    readonly '^(.+)pplication for tenant (.+) with properties \\( (.+?) \\) already exists$': {
        readonly gettext: "Application for tenant \"{{tenant}}\" with the following values ({{valuesList}}) already exists.";
        readonly placeholders: {
            readonly tenant: "$2";
            readonly valuesList: "$3";
        };
    };
    readonly '^Authentication failed! : User account is locked$': {
        readonly gettext: "Authentication failed due to: user account is locked.";
    };
    readonly '^Availability monitoring record$': {
        readonly gettext: "Availability monitoring record";
    };
    readonly '^Can not activate a certificate which is either expired or not yet valid$': {
        readonly gettext: "Cannot activate a certificate which is either expired or not yet valid.";
    };
    readonly '^Cannot add certificate - certificate with (.+?) fingerprint already exists. : Certificate with (.+?) fingerprint already exists.$': {
        readonly gettext: "Could not add certificate. Certificate with {{fingerprint}} fingerprint already exists.";
        readonly placeholders: {
            readonly fingerprint: "$1";
        };
    };
    readonly '^Cannot change password. : Provided token does not exist.$': {
        readonly gettext: "Cannot change password: provided token is invalid.";
    };
    readonly '^Cannot deploy module (.*)$': {
        readonly gettext: "Cannot deploy module due to error: \"{{ errorMessage | translate }}\".";
        readonly placeholders: {
            readonly errorMessage: "$1";
        };
    };
    readonly "^Cannot deploy module (.+?)! : Compilation failed in module '(.+?)' in expression '(.+?)' : Incorrect syntax near '(.+?)' at line (\\d+) column (\\d+) \\[([\\S\\s]+?)\\]$": {
        readonly gettext: "Could not deploy module \"{{moduleName}}\". Compilation failed in expression \"{{expression}}\": incorrect syntax near \"{{incorrectExpression}}\" at line {{line}} column {{column}}.";
        readonly placeholders: {
            readonly moduleName: "$1";
            readonly expression: "$3";
            readonly incorrectExpression: "$4";
            readonly line: "$5";
            readonly column: "$6";
        };
    };
    readonly "^Cannot deploy module (.+?)! : Compilation failed in module '(.+?)' in expression '(.+?)' : Incorrect syntax near '(.+?)' at line (\\d+) column (\\d+) near reserved keyword '(.+?)' \\[([\\S\\s]+?)\\]$": {
        readonly gettext: "Could not deploy module \"{{moduleName}}\". Compilation failed in expression \"{{expression}}\": incorrect syntax near \"{{incorrectExpression}}\" at line {{line}} column {{column}} near reserved keyword \"{{keyword}}\".";
        readonly placeholders: {
            readonly moduleName: "$1";
            readonly expression: "$3";
            readonly incorrectExpression: "$4";
            readonly line: "$5";
            readonly column: "$6";
            readonly keyword: "$7";
        };
    };
    readonly "^Cannot deploy module (.+?)! : Compilation failed in module '(.+?)' in expression '(.+?)' : Incorrect syntax near '(.+?)' at line (\\d+) column (\\d+), please check the where clause \\[([\\S\\s]+?)\\]$": {
        readonly gettext: "Could not deploy module \"{{moduleName}}\". Compilation failed in expression \"{{expression}}\": incorrect syntax near \"{{incorrectExpression}}\" at line {{line}} column {{column}}, check \"where\" clause.";
        readonly placeholders: {
            readonly moduleName: "$1";
            readonly expression: "$3";
            readonly incorrectExpression: "$4";
            readonly line: "$5";
            readonly column: "$6";
        };
    };
    readonly "^Cannot deploy module (.+?)! : Deployment failed in module '(.+?)' in expression '(.+?)' : Exception compiling script '(.+?)' of dialect '(.+?)': missing (.+?) before statement \\((.+?)\\) \\[([\\S\\s]+?)\\]$": {
        readonly gettext: "Could not deploy module \"{{moduleName}}\". Compilation failed in expression \"{{expression}}\": exception compiling script \"{{scriptName}}\" of dialect \"{{scriptDialect}}\": missing \"{{missingSyntax}}\" before statement \"{{affectedStatement}}\".";
        readonly placeholders: {
            readonly moduleName: "$1";
            readonly expression: "$3";
            readonly scriptName: "$4";
            readonly scriptDialect: "$5";
            readonly missingSyntax: "$6";
            readonly affectedStatement: "$7";
        };
    };
    readonly "^Cannot execute bulk operation on empty group. Group with id='(\\d+?)' doesn't have child assets.$": {
        readonly gettext: "Could not execute bulk operation on an empty group. Group with ID \"{{groupId}}\" has no child assets.";
        readonly placeholders: {
            readonly groupId: "$1";
        };
    };
    readonly "^Cannot execute bulk operation on empty group. DynamicGroup with id='(\\d+?)' doesn't have child assets$": {
        readonly gettext: "Could not execute bulk operation on an empty group. Smart group with ID \"{{groupId}}\" has no child assets.";
        readonly placeholders: {
            readonly groupId: "$1";
        };
    };
    readonly '^Cannot parse X509 certificate. : Could not parse certificate: (.+?)$': {
        readonly gettext: "Could not parse X.509 certificate: {{ failureReason | translate }}.";
        readonly placeholders: {
            readonly failureReason: "$1";
        };
    };
    readonly '^Cannot reschedule bulk operation. All its operations are successful$': {
        readonly gettext: "Cannot reschedule bulk operation. All its operations are already successful.";
    };
    readonly '^Cannot reset user password : Cannot find user with such email.$': {
        readonly gettext: "Cannot reset password for user with such email: email not found.";
    };
    readonly '^Cannot update/delete application binary via this endpoint$': {
        readonly gettext: "Cannot update/delete application binary via this endpoint";
    };
    readonly "^Can't delete user because it is used by another managed object$": {
        readonly gettext: "Cannot delete device with associated device owner because this owner is still assigned to other device(s). Try to remove only the device.";
    };
    readonly '^Cep module created$': {
        readonly gettext: "CEP module created";
    };
    readonly '^Cep module updated$': {
        readonly gettext: "CEP module updated";
    };
    readonly '^Cep module deleted$': {
        readonly gettext: "CEP module deleted";
    };
    readonly '^Cep module "(.+?)" created$': {
        readonly gettext: "CEP module \"{{name}}\" created";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Cep module "(.+?)" updated$': {
        readonly gettext: "CEP module \"{{name}}\" updated";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Cep module "(.+?)" deleted$': {
        readonly gettext: "CEP module \"{{name}}\" deleted";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Command state is invalid: (.+)$': {
        readonly gettext: "Command state is invalid: {{violations}}";
        readonly placeholders: {
            readonly violations: {
                readonly capture: "$1";
                readonly translate: {
                    readonly '(\\w+?) - may not be null': {
                        readonly gettext: "\"{{field}}\" must not be null";
                        readonly placeholders: {
                            readonly field: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly '^Could not connect to endpoint (.+)\\. Could not verify `(.+)` host key with fingerprint `(.+)` for `(.+)` on port (.+)\\. If you expected that key, please remove the previous one from configuration to allow for connection\\.$': {
        readonly gettext: "Could not connect to endpoint \"{{endpointName}}\". Could not verify {{keyType}} host key with fingerprint {{fingerprint}} for host {{host}} on port {{port}}. If you expected this key, please remove the previous one from configuration to allow for connection.";
        readonly placeholders: {
            readonly endpointName: "$1";
            readonly keyType: "$2";
            readonly fingerprint: "$3";
            readonly host: "$4";
            readonly port: "$5";
        };
    };
    readonly '^Could not login to ssh server on endpoint "(.+)"\\. Provided credential for user "(.+)" is incorrect\\.$': {
        readonly gettext: "Could not access SSH server on endpoint \"{{endpointName}}\". Provided credentials for user \"{{userName}}\" are incorrect.";
        readonly placeholders: {
            readonly endpointName: "$1";
            readonly userName: "$2";
        };
    };
    readonly '^Could not save object remoteAccessUpdate: (.+)$': {
        readonly gettext: "{{errorMessages}}";
        readonly placeholders: {
            readonly errorMessages: {
                readonly capture: "$1";
                readonly translate: {
                    readonly 'Could not recognize host-key format': {
                        readonly gettext: "Could not recognize \"Host key\" format";
                    };
                    readonly 'Could not recognize key-pair format': {
                        readonly gettext: "Could not recognize the format of \"Public key\" or \"Private key\"";
                    };
                };
            };
        };
    };
    readonly '^Could not update user. : Error persisting user (.+?)!$': {
        readonly gettext: "Could not update user \"{{username}}\".";
        readonly placeholders: {
            readonly username: "$1";
        };
    };
    readonly '^Create bulk operation$': {
        readonly gettext: "Create bulk operation";
    };
    readonly '^Create bulk operation: (.+)$': {
        readonly gettext: "Create bulk operation: {{updatesList}}";
        readonly placeholders: {
            updatesList: {
                capture: string;
                translate: {
                    "status='(.+?)'": {
                        gettext: "status: \"{{ status | translate }}\"";
                        placeholders: {
                            status: string;
                        };
                    };
                    "generalStatus='(.+?)'": {
                        gettext: "general status: \"{{ generalStatus | translate }}\"";
                        placeholders: {
                            generalStatus: string;
                        };
                    };
                    "progress='(.+?)'": {
                        gettext: "progress: \"{{ progress }}\"";
                        placeholders: {
                            progress: string;
                        };
                    };
                    'note=(.+?)': {
                        gettext: "note: \"{{ note }}\"";
                        placeholders: {
                            note: string;
                        };
                    };
                };
            };
        };
    };
    readonly '^Creation ramp must be greater than (\\d+?)$': {
        readonly gettext: "Bulk operation delay must be greater than {{minSeconds}} seconds.";
        readonly placeholders: {
            readonly minSeconds: "$1";
        };
    };
    readonly '^Created container$': {
        readonly gettext: "Container created.";
    };
    readonly '^Created pod: (.+)$': {
        readonly gettext: "Pod \"{{imageName}}\" created.";
        readonly placeholders: {
            readonly imageName: "$1";
        };
    };
    readonly '^Creating device on LoRa platform failed$': {
        readonly gettext: "Could not create the device in the LoRa platform.";
    };
    readonly '^CSV file contained empty dataset$': {
        readonly gettext: "No entries found in uploaded CSV file.";
    };
    readonly '^Cycle detected for route (.+?)!$': {
        readonly gettext: "Cycle detected for route {{route}}.";
        readonly placeholders: {
            readonly route: "$1";
        };
    };
    readonly '^Data broker processing is currently overloaded and may stop forwarding your data\\. Please contact support\\.$': {
        readonly gettext: "Data broker processing is currently overloaded and may stop forwarding your data. Please contact support.";
    };
    readonly '^Data broker processing is not able to connect do destination tenant, thus data forwarding is not working\\. Please contact support\\.$': {
        readonly gettext: "Data broker processing is not able to connect to destination tenant, thus data forwarding is not working. Please contact support.";
    };
    readonly '^Delete bulk operation$': {
        readonly gettext: "Delete bulk operation";
    };
    readonly '^Delete bulk operation: (.+)$': {
        readonly gettext: "Delete bulk operation: {{updatesList}}";
        readonly placeholders: {
            updatesList: {
                capture: string;
                translate: {
                    "status='(.+?)'": {
                        gettext: "status: \"{{ status | translate }}\"";
                        placeholders: {
                            status: string;
                        };
                    };
                    "generalStatus='(.+?)'": {
                        gettext: "general status: \"{{ generalStatus | translate }}\"";
                        placeholders: {
                            generalStatus: string;
                        };
                    };
                    "progress='(.+?)'": {
                        gettext: "progress: \"{{ progress }}\"";
                        placeholders: {
                            progress: string;
                        };
                    };
                    'note=(.+?)': {
                        gettext: "note: \"{{ note }}\"";
                        placeholders: {
                            note: string;
                        };
                    };
                };
            };
        };
    };
    readonly "^Device id '(.+?)' contains '(.+?)' character which is not permitted.$": {
        readonly gettext: "ID \"{{deviceId}}\" contains invalid character: \"{{invalidCharacter}}\".";
        readonly placeholders: {
            readonly deviceId: "$1";
            readonly invalidCharacter: "$2";
        };
    };
    readonly "^Device name: '(.+?)', alarm text: '(.+?)'$": {
        readonly gettext: "Device name: \"{{deviceName}}\", alarm text: \"{{alarmText | translate}}\"";
        readonly placeholders: {
            readonly deviceName: "$1";
            readonly alarmText: "$2";
        };
    };
    readonly '^Device (.+?) already registered to a tenant.$': {
        readonly gettext: "Device {{ devEUI }} is already registered in your tenant or in another tenant in the platform.";
        readonly placeholders: {
            readonly devEUI: "$1";
        };
    };
    readonly '^Device with external ID(s) (.+?) was replaced by device with external ID(s) (.+?)$': {
        readonly gettext: "Device with external ID(s) {{ oldExtIds }} was replaced by device with external ID(s) {{ newExtIds }}.";
        readonly placeholders: {
            readonly oldExtIds: "$1";
            readonly newExtIds: "$2";
        };
    };
    readonly '^Display name$': {
        readonly gettext: "Login alias";
    };
    readonly '^Domain name in uploaded certificate differs from the one in use$': {
        readonly gettext: "Domain name in uploaded certificate differs from the one in use. Please deactivate the custom domain before uploading new certificate.";
    };
    readonly '^Domain name is already in use by another tenant!$': {
        readonly gettext: "Domain name is already used by another tenant.";
    };
    readonly '^Duplicated connector for instanceUrl (.+?)!$': {
        readonly gettext: "Target URL {{targetUrl}} already used by another connector.";
        readonly placeholders: {
            readonly targetUrl: "$1";
        };
    };
    readonly '^Duplicated connector for name (.+?)!$': {
        readonly gettext: "Connector name \"{{name}}\" already used by another connector.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Entry is outside of the target dir: (.+)$': {
        readonly gettext: "File entry outside of the target directory: \"{{path}}\".";
        readonly placeholders: {
            readonly path: "$1";
        };
    };
    readonly '^Error during password validation. : Password must have at least (\\d+?) characters and no more than (\\d+?) and must contain only Latin1 characters.$': {
        readonly gettext: "Password is invalid. It must have at least {{minCharactersCount}} and no more than {{maxCharactersCount}} characters.";
        readonly placeholders: {
            readonly minCharactersCount: "$1";
            readonly maxCharactersCount: "$2";
        };
    };
    readonly '^Error during password validation. : Your password has been used already. Choose another.$': {
        readonly gettext: "This password has already been used earlier. Use a different one.";
    };
    readonly "^Error in statement (.+?):(.+?)! : Incorrect syntax near '(.+?)' near reserved keyword '(.+?)' \\[([\\S\\s]+?)\\]$": {
        readonly gettext: "Error in statement {{moduleName}}:{{statementNumber}}. Incorrect syntax near expression \"{{expression}}\" near reserved keyword \"{{keyword}}\".";
        readonly placeholders: {
            readonly moduleName: "$1";
            readonly statementNumber: "$2";
            readonly expression: "$3";
            readonly keyword: "$4";
        };
    };
    readonly '^External id not found; external id = ID \\[type=(.+?), value=(.+?)\\]$': {
        readonly gettext: "External ID not found for type \"{{type}}\" and value \"{{value}}\".";
        readonly placeholders: {
            readonly type: "$1";
            readonly value: "$2";
        };
    };
    readonly '^Error occurred when trying to find an Application for id ID (.+) : Could not find application by ID (\\d+)$': {
        readonly gettext: "Could not find application by ID {{applicationId}}.";
        readonly placeholders: {
            readonly applicationId: "$2";
        };
    };
    readonly '^Http status code: 404\n{error="options/Not Found",message="Unable to find option by given key: sigfox-agent/provider.token",info="https://www.cumulocity.com/guides/reference-guide/#error_reporting",details="null"}$': {
        readonly gettext: "Unable to find option by given key: sigfox-agent/provider.token";
    };
    readonly '^Failed to delete application.  : Cannot remove application assigned to other tenants.$': {
        readonly gettext: "Could not delete application assigned to other tenants.";
    };
    readonly '^Failed to extract certificate from PKCS12$': {
        readonly gettext: "Failed to extract certificate from PKCS12.";
    };
    readonly '^Failed to update domain at the platform$': {
        readonly gettext: "Failed to update domain at the platform.";
    };
    readonly "^Finding device data from database failed : No managedObject for id '(.+?)'!$": {
        readonly gettext: "Could not find managed object with ID \"{{deviceId}}\".";
        readonly placeholders: {
            readonly deviceId: "$1";
        };
    };
    readonly '^Following mandatory fields should be included: (.+?)$': {
        readonly gettext: "Following mandatory fields should be included: {{fields}}";
        readonly placeholders: {
            readonly fields: "$1";
        };
    };
    readonly '^Global Role updated$': {
        readonly gettext: "Global role updated";
    };
    readonly '^Global Role (.+?) updated$': {
        readonly gettext: "Global role \"{{name}}\" updated";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Global Role (.+?) updated: (.+)$': {
        readonly gettext: "Global role \"{{name}}\" updated: {{updatesList}}";
        readonly placeholders: {
            readonly name: "$1";
            readonly updatesList: {
                readonly capture: "$2";
                readonly translate: {
                    readonly 'applications \\[([^\\]]+?)\\] added': {
                        readonly gettext: "applications {{list}} added";
                        readonly placeholders: {
                            readonly list: "$1";
                        };
                    };
                    readonly 'applications \\[([^\\]]+?)\\] removed': {
                        readonly gettext: "applications {{list}} removed";
                        readonly placeholders: {
                            readonly list: "$1";
                        };
                    };
                    readonly 'roles \\[([^\\]]+?)\\] added': {
                        readonly gettext: "roles {{list}} added";
                        readonly placeholders: {
                            readonly list: "$1";
                        };
                    };
                    readonly 'roles \\[([^\\]]+?)\\] removed': {
                        readonly gettext: "roles {{list}} removed";
                        readonly placeholders: {
                            readonly list: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly '^Global Roles$': {
        readonly gettext: "Global roles";
    };
    readonly '^Operation updated: (.+)$': {
        readonly gettext: "Operation updated: {{updatesList}}";
        readonly placeholders: {
            readonly updatesList: {
                readonly capture: "$1";
                readonly translate: {
                    readonly "status='(.+?)'": {
                        readonly gettext: "status: \"{{ status | translate }}\"";
                        readonly placeholders: {
                            readonly status: "$1";
                        };
                    };
                    readonly "description='(.+?)'": {
                        readonly gettext: "description: \"{{ description | translate }}\"";
                        readonly placeholders: {
                            readonly description: "$1";
                        };
                    };
                    readonly "device name='(.+?)'": {
                        readonly gettext: "device name: \"{{ deviceName }}\"";
                        readonly placeholders: {
                            readonly deviceName: "$1";
                        };
                    };
                    readonly "failure reason='(.+?)'": {
                        readonly gettext: "failure reason: \"{{ failureReason | translate }}\"";
                        readonly placeholders: {
                            readonly failureReason: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly '^ID \\[type=(.+?), value=(.+?)\\] was already bound to different Global ID.$': {
        readonly gettext: "External ID \"{{value}}\" of the type \"{{type}}\" already exists.";
        readonly placeholders: {
            readonly type: "$1";
            readonly value: "$2";
        };
    };
    readonly '^Invalid credentials! : Bad credentials$': {
        readonly gettext: "Invalid credentials.";
    };
    readonly '^Invalid credentials! : No phone number provided$': {
        readonly gettext: "Log into the management tenant first and enter your phone number.";
    };
    readonly '^Inventory Role removed$': {
        readonly gettext: "Inventory role removed";
    };
    readonly '^Inventory Role (.+?) removed$': {
        readonly gettext: "Inventory role \"{{name}}\" deleted.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Inventory Role updated$': {
        readonly gettext: "Inventory role updated";
    };
    readonly '^Inventory Role (.+?) updated$': {
        readonly gettext: "Inventory role \"{{name}}\" updated.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^I/O error: Connection refused; nested exception is Connection refused : Connection refused$': {
        readonly gettext: "Connection refused";
    };
    readonly '^I/O error: Read timed out; nested exception is Read timed out : Read timed out$': {
        readonly gettext: "Read timed out";
    };
    readonly '^Log file requested$': {
        readonly gettext: "Log file requested.";
    };
    readonly '^Managed object deleted$': {
        readonly gettext: "Managed object deleted";
    };
    readonly '^Managed object "(.+?)" deleted$': {
        readonly gettext: "Managed object \"{{name}}\" deleted";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Maximum file size exceeded$': {
        readonly gettext: "Maximum file size exceeded.";
    };
    readonly "^Message with ID (.+?) doesn't exist in smart rest template (.+?)$": {
        readonly gettext: "Message with ID \"{{messageId}}\" doesn't exist in SmartREST template with ID \"{{templateId}}\"";
        readonly placeholders: {
            readonly messageId: "$1";
            readonly templateId: "$2";
        };
    };
    readonly "^name of Application cannot start with '(.+)' prefix.$": {
        readonly gettext: "Application name must not start with \"{{ prefix }}\".";
        readonly placeholders: {
            readonly prefix: "$1";
        };
    };
    readonly '^NewDeviceRequest for id = (.+?) already exists.$': {
        readonly gettext: "Device registration request with ID {{id}} already exists.";
        readonly placeholders: {
            readonly id: "$1";
        };
    };
    readonly '^NewDeviceRequest for device id (.+?) is in state BLOCKED, not PENDING_ACCEPTANCE.$': {
        readonly gettext: "Device registration request with ID \"{{deviceId}}\" is in state \"Blocked\", not \"Pending acceptance\". Remove this registration request and start over.";
        readonly placeholders: {
            readonly deviceId: "$1";
        };
    };
    readonly '^No communication with device since (.+?)$': {
        readonly gettext: "No communication with device since {{timestamp | absoluteDate}}.";
        readonly placeholders: {
            readonly timestamp: "$1";
        };
    };
    readonly '^No data received from device within required interval.$': {
        readonly gettext: "No data received from device within required interval.";
    };
    readonly '^No LoRa provider settings are found. Please configure the connectivity settings.$': {
        readonly gettext: "No LoRa provider settings are found. Please configure the connectivity settings.";
    };
    readonly '^Not within any context!$': {
        readonly gettext: "A problem occurred with microservice subscription.";
    };
    readonly '^Maximum age cannot be bigger than 10 years.$': {
        readonly gettext: "Maximum age cannot be bigger than 10 years.";
    };
    readonly '^Microservice application name incorrect. Please use only lower-case letters, digits and dashes. Maximum length is (\\d+) characters.$': {
        readonly gettext: "Microservice application name is incorrect: only lower case letters, digits and dashes allowed. Maximum length: {{maxLength}}.";
        readonly placeholders: {
            readonly maxLength: "$1";
        };
    };
    readonly '^Microservice not available.*$': {
        readonly gettext: "Microservice is not available.";
    };
    readonly '^Operation created$': {
        readonly gettext: "Operation created.";
    };
    readonly '^Operation updated$': {
        readonly gettext: "Operation updated.";
    };
    readonly "^Operation created: status='(.+?)'.$": {
        readonly gettext: "Operation created: status: \"{{ status | translate }}\".";
        readonly placeholders: {
            readonly status: "$1";
        };
    };
    readonly '^Option created$': {
        readonly gettext: "Option created.";
    };
    readonly '^Option "(.+?)" created$': {
        readonly gettext: "Option \"{{option}}\" created.";
        readonly placeholders: {
            readonly option: "$1";
        };
    };
    readonly '^Option deleted$': {
        readonly gettext: "Option deleted.";
    };
    readonly '^Option "(.+?)" deleted$': {
        readonly gettext: "Option \"{{option}}\" deleted.";
        readonly placeholders: {
            readonly option: "$1";
        };
    };
    readonly '^Owner field error. : Cannot introduce cyclic dependency.$': {
        readonly gettext: "Could not introduce cyclic ownership dependency.";
    };
    readonly '^Password change is temporary blocked.$': {
        readonly gettext: "Password change is temporarily blocked.";
    };
    readonly '^Password cipher does not match$': {
        readonly gettext: "Password cipher does not match.";
    };
    readonly '^Platform application cannot be added to, nor removed from any tenant.$': {
        readonly gettext: "Platform application cannot be added to, nor removed from any tenant.";
    };
    readonly '^Private key must be provided in KEY_PAIR credentials$': {
        readonly gettext: "Private key must be provided when \"Public/private keys\" option is selected.";
    };
    readonly '^Private key cipher does not match$': {
        readonly gettext: "Private key cipher does not match";
    };
    readonly '^Protocol "(.+?)" does not support "(.+?)" credentials type$': {
        readonly gettext: "Protocol \"{{protocol}}\" does not support \"{{credentialsType}}\" credentials type.";
        readonly placeholders: {
            readonly protocol: "$1";
            readonly credentialsType: "$2";
        };
    };
    readonly '^Provided security key does not match key stored for device (.+?).$': {
        readonly gettext: "Provided security token does not match the security token stored for this device \"{{deviceId}}\".";
        readonly placeholders: {
            readonly deviceId: "$1";
        };
    };
    readonly '^Provided security key does not match key stored for device (.+?).Reached maximum number of failed attempts while trying to register this device. Request will now be blocked and has to be removed manually to restart the process.$': {
        readonly gettext: "The provided security token does not match the token stored for device \"{{deviceId}}\". You have reached the maximum number of failed attempts while trying to register this device. The request will now be blocked and must be removed manually to restart the process.";
        readonly placeholders: {
            readonly deviceId: "$1";
        };
    };
    readonly '^pulling image "(.+)"$': {
        readonly gettext: "Pulling image: \"{{imageName}}\".";
        readonly placeholders: {
            readonly imageName: "$1";
        };
    };
    readonly '^Real-time event processing is currently overloaded and may stop processing your events\\. Please contact support\\.$': {
        readonly gettext: "Real-time event processing is currently overloaded and may stop processing your events. Please contact support.";
    };
    readonly '^Resource ID \\[type=com_cumulocity_model_idtype_GId, value=(.+?)\\] for this request not found.$': {
        readonly gettext: "Could not find the resource with ID \"{{id}}\".";
        readonly placeholders: {
            readonly id: "$1";
        };
    };
    readonly '^RESTART (.+?)$': {
        readonly gettext: "RESTART`verb, action` {{service}}";
        readonly placeholders: {
            readonly service: "$1";
        };
    };
    readonly '^Retrieve configuration snapshot from device (.+?)$': {
        readonly gettext: "Retrieve configuration snapshot from device {{deviceName}}";
        readonly placeholders: {
            readonly deviceName: "$1";
        };
    };
    readonly '^Retrieve (.+?) configuration snapshot from device (.+?)$': {
        readonly gettext: "Retrieve {{configurationType}} configuration snapshot from device {{deviceName}}";
        readonly placeholders: {
            readonly configurationType: "$1";
            readonly deviceName: "$2";
        };
    };
    readonly '^Scaled up replica set (.+) to (\\d+)$': {
        readonly gettext: "Replica set \"{{replicaSetName}}\" scaled up to \"{{scaleNumber}}\".";
        readonly placeholders: {
            readonly replicaSetName: "$1";
            readonly scaleNumber: "$2";
        };
    };
    readonly '^Send configuration snapshot (.+?) of configuration type (.+?) to device (.+?)$': {
        readonly gettext: "Send configuration snapshot {{snapshotName}} of configuration type {{configurationType}} to device {{deviceName}}";
        readonly placeholders: {
            readonly snapshotName: "$1";
            readonly configurationType: "$2";
            readonly deviceName: "$3";
        };
    };
    readonly '^Send configuration snapshot (.+?) to device (.+?)$': {
        readonly gettext: "Send configuration snapshot {{snapshotName}} to device {{deviceName}}";
        readonly placeholders: {
            readonly snapshotName: "$1";
            readonly deviceName: "$2";
        };
    };
    readonly '^Simulator state is invalid: (.+)$': {
        readonly gettext: "Simulator state is invalid: {{violations}}";
        readonly placeholders: {
            readonly violations: {
                readonly capture: "$1";
                readonly translate: {
                    readonly '(\\w+?) - may not be null': {
                        readonly gettext: "\"{{field}}\" should not be null";
                        readonly placeholders: {
                            readonly field: "$1";
                        };
                    };
                    readonly '(\\w+?) - must be less than or equal to (\\d+)': {
                        readonly gettext: "\"{{field}}\" must be less than or equal to {{maxValue}}";
                        readonly placeholders: {
                            readonly field: "$1";
                            readonly maxValue: "$2";
                        };
                    };
                    readonly '(\\w+?) - should not contain null values': {
                        readonly gettext: "\"{{field}}\" should not contain null values";
                        readonly placeholders: {
                            readonly field: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly "^Smart rest template (.+?) doesn't exist$": {
        readonly gettext: "SmartREST template with ID \"{{templateId}}\" doesn't exist.";
        readonly placeholders: {
            readonly templateId: "$1";
        };
    };
    readonly '^Smart rule created$': {
        readonly gettext: "Smart rule created.";
    };
    readonly '^Smart rule updated$': {
        readonly gettext: "Smart rule updated.";
    };
    readonly '^Smart rule enabled$': {
        readonly gettext: "Smart rule activated.";
    };
    readonly '^Smart rule disabled$': {
        readonly gettext: "Smart rule deactivated.";
    };
    readonly '^Smart rule deleted$': {
        readonly gettext: "Smart rule deleted.";
    };
    readonly '^Smart rule "(.+?)" created$': {
        readonly gettext: "Smart rule \"{{name}}\" created.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Smart rule "(.+?)" updated$': {
        readonly gettext: "Smart rule \"{{name}}\" updated.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Smart rule "(.+?)" enabled$': {
        readonly gettext: "Smart rule \"{{name}}\" activated.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Smart rule "(.+?)" disabled$': {
        readonly gettext: "Smart rule \"{{name}}\" deactivated.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Smart rule "(.+?)" deleted$': {
        readonly gettext: "Smart rule \"{{name}}\" deleted.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^START (.+?)$': {
        readonly gettext: "START`verb, action` {{service}}";
        readonly placeholders: {
            readonly service: "$1";
        };
    };
    readonly '^Started container$': {
        readonly gettext: "Container started.";
    };
    readonly '^STOP (.+?)$': {
        readonly gettext: "STOP`verb, action` {{service}}";
        readonly placeholders: {
            readonly service: "$1";
        };
    };
    readonly '^Successfully assigned (.+) to (.+)$': {
        readonly gettext: "\"{{imageName}}\" assigned to \"{{address}}\".";
        readonly placeholders: {
            readonly imageName: "$1";
            readonly address: "$2";
        };
    };
    readonly '^Successfully pulled image "(.+)"$': {
        readonly gettext: "Image \"{{imageName}}\" pulled.";
        readonly placeholders: {
            readonly imageName: "$1";
        };
    };
    readonly '^Tenant creation failed. : Tenant with given id already exists.$': {
        readonly gettext: "Could not create a tenant. Tenant with given domain/URL already exists.";
    };
    readonly '^Tenant id cannot be a reserved sql keyword "(.+?)".$': {
        readonly gettext: "Could not use a reserved SQL keyword \"{{tenantId}}\" as a domain name.";
        readonly placeholders: {
            readonly tenantId: "$1";
        };
    };
    readonly '^Tenant "(.+?)" activated$': {
        readonly gettext: "Tenant \"{{tenant}}\" activated.";
        readonly placeholders: {
            readonly tenant: "$1";
        };
    };
    readonly '^Tenant (.+?) has sub-tenants, please remove them first!$': {
        readonly gettext: "Could not remove tenant \"{{tenant}}\". Remove its subtenants first.";
        readonly placeholders: {
            readonly tenant: "$1";
        };
    };
    readonly '^Tenant activated$': {
        readonly gettext: "Tenant activated.";
    };
    readonly '^Tenant "(.+?)" created$': {
        readonly gettext: "Tenant \"{{tenant}}\" created.";
        readonly placeholders: {
            readonly tenant: "$1";
        };
    };
    readonly '^Tenant created$': {
        readonly gettext: "Tenant created.";
    };
    readonly '^Tenant "(.+?)" deleted$': {
        readonly gettext: "Tenant \"{{tenant}}\" deleted.";
        readonly placeholders: {
            readonly tenant: "$1";
        };
    };
    readonly '^Tenant deleted$': {
        readonly gettext: "Tenant deleted.";
    };
    readonly '^Tenant "(.+?)" suspended$': {
        readonly gettext: "Tenant \"{{tenant}}\" suspended.";
        readonly placeholders: {
            readonly tenant: "$1";
        };
    };
    readonly '^Tenant suspended$': {
        readonly gettext: "Tenant suspended";
    };
    readonly '^Tenant "(.+?)" updated: (.+?)$': {
        readonly gettext: "Tenant \"{{tenant}}\" updated: {{properties}}.";
        readonly placeholders: {
            readonly tenant: "$1";
            readonly properties: "$2";
        };
    };
    readonly '^Tenant updated$': {
        readonly gettext: "Tenant updated.";
    };
    readonly '^Too Many Requests$': {
        readonly gettext: "Too many requests. Try again later.";
    };
    readonly "^User alias equals username '(.+)'$": {
        readonly gettext: "Username and login alias must be different.";
    };
    readonly '^User created$': {
        readonly gettext: "User created";
    };
    readonly '^User (.+?) created$': {
        readonly gettext: "User \"{{name}}\" created";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^User deleted$': {
        readonly gettext: "User deleted";
    };
    readonly '^User (.+?) deleted$': {
        readonly gettext: "User \"{{name}}\" deleted";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^(.+?) user login with OAuth internal mode failed$': {
        readonly gettext: "\"{{name}}\" user login with OAI-Secure mode failed";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^User updated$': {
        readonly gettext: "User updated";
    };
    readonly '^User (.+?) updated: (.+)$': {
        readonly gettext: "User \"{{name}}\" updated: {{updatesList}}";
        readonly placeholders: {
            readonly name: "$1";
            readonly updatesList: {
                readonly capture: "$2";
                readonly translate: {
                    readonly "delegatedBy='(.+?)'": {
                        readonly gettext: "delegated by: \"{{delegate}}\"";
                        readonly placeholders: {
                            readonly delegate: "$1";
                        };
                    };
                    readonly "owner='(.+?)'": {
                        readonly gettext: "owner: \"{{owner}}\"";
                        readonly placeholders: {
                            readonly owner: "$1";
                        };
                    };
                    readonly 'inventory assignment \\[(.+?)\\] added': {
                        readonly gettext: "inventory assignment [{{inventoryAssignment}}] added";
                        readonly placeholders: {
                            readonly inventoryAssignment: "$1";
                        };
                    };
                    readonly 'inventory assignment \\[(.+?)\\] removed': {
                        readonly gettext: "inventory assignment [{{inventoryAssignment}}] removed";
                        readonly placeholders: {
                            readonly inventoryAssignment: "$1";
                        };
                    };
                    readonly 'applications \\[(.+?)\\] added': {
                        readonly gettext: "applications [{{applicationsList}}] added";
                        readonly placeholders: {
                            readonly applicationsList: "$1";
                        };
                    };
                    readonly 'applications \\[(.+?)\\] removed': {
                        readonly gettext: "applications [{{applicationsList}}] removed";
                        readonly placeholders: {
                            readonly applicationsList: "$1";
                        };
                    };
                    readonly 'global roles \\[(.+?)\\] added': {
                        readonly gettext: "global roles [{{globalRolesList}}] added";
                        readonly placeholders: {
                            readonly globalRolesList: "$1";
                        };
                    };
                    readonly 'global roles \\[(.+?)\\] removed': {
                        readonly gettext: "global roles [{{globalRolesList}}] removed";
                        readonly placeholders: {
                            readonly globalRolesList: "$1";
                        };
                    };
                };
            };
        };
    };
    readonly "^User with username '(.+?)' already exists! : Duplicated: (.+?)$": {
        readonly gettext: "User \"{{username}}\" already exists.";
        readonly placeholders: {
            readonly username: "$1";
        };
    };
    readonly "^User with username or alias '(.+)' already exists! : Duplicated: (.+)$": {
        readonly gettext: "User with username or login alias \"{{usernameOrAlias}}\" already exists.";
        readonly placeholders: {
            readonly usernameOrAlias: "$1";
        };
    };
    readonly "^User with email '(.+?)' already exists! : Duplicated: (.+?)$": {
        readonly gettext: "User with email \"{{email}}\" already exists.";
        readonly placeholders: {
            readonly email: "$1";
        };
    };
    readonly '^unable to find option with given key (.+?) : Could not find entity Option by ID (.+?)!$': {
        readonly gettext: "Unable to get tenant option: \"{{option}}\".";
        readonly placeholders: {
            readonly option: "$2";
        };
    };
    readonly '^unable to find option with given key (.+?) : There is no system property for key (.+?)$': {
        readonly gettext: "Unable to get system option: \"{{option}}\".";
        readonly placeholders: {
            readonly option: "$2";
        };
    };
    readonly '^Write failed with error code 16733 and error message \'trying to index text where term list is too big, max is 4mb _id: "(.+?)"\'$': {
        readonly gettext: "The uploaded image cannot be bigger than 4 MB. Please upload a smaller one.";
    };
    readonly '^Write failed with error code 17280 and error message \'WiredTigerIndex::insert: key too large to index, failing (.+?) { : "(.+?)" }\'$': {
        readonly gettext: "The selected name is too long. Please try a shorter one.";
    };
    readonly '^You have reached devices limit. No more devices can be registered.$': {
        readonly gettext: "You reached devices limit. No more devices can be registered.";
    };
    readonly '^(.+) succeeded for volume "(.+)"$': {
        readonly gettext: "Operation \"{{operation}}\" succeeded for volume \"{{volume}}\".";
        readonly placeholders: {
            readonly operation: "$1";
            readonly volume: "$2";
        };
    };
    readonly "^Exception on tenant (.+) in statement '(.+)': Invocation exception when invoking method '(.+)' of class '(.+)' passing parameters \\[(.+)\\] for statement '(.+)': (.+) : (.+)$": {
        readonly gettext: "Exception on tenant {{tenantId}} in statement \"{{moduleName}}\": Invocation exception when invoking method \"{{methodName}}\" of class \"{{classPath}}\" passing parameters [{{parameters}}] for statement \"{{statement}}\": {{exceptionType}} : {{exceptionMessage}}.";
        readonly placeholders: {
            readonly tenantId: "$1";
            readonly moduleName: "$2";
            readonly methodName: "$3";
            readonly classPath: "$4";
            readonly parameters: "$5";
            readonly statement: "$6";
            readonly exceptionType: "$7";
            readonly exceptionMessage: "$8";
        };
    };
    readonly '^No nodes are available that match all of the predicates: (.+).$': {
        readonly gettext: "No nodes are available that match all of the predicates: [{{predicates}}].";
        readonly placeholders: {
            readonly predicates: "$1";
        };
    };
    readonly '^Readiness probe failed: (.+) (.+): (.+): request canceled while waiting for connection \\(Client.Timeout exceeded while awaiting headers\\)$': {
        readonly gettext: "Readiness probe failed: {{requestMethod}} {{uri}}: {{protocol}}: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers).";
        readonly placeholders: {
            readonly requestMethod: "$1";
            readonly uri: "$2";
            readonly protocol: "$3";
        };
    };
    readonly '^Liveness probe failed: (.+) (.+): (.+): request canceled while waiting for connection \\(Client.Timeout exceeded while awaiting headers\\)$': {
        readonly gettext: "Liveness probe failed: {{requestMethod}} {{uri}}: {{protocol}}: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers).";
        readonly placeholders: {
            readonly requestMethod: "$1";
            readonly uri: "$2";
            readonly protocol: "$3";
        };
    };
    readonly '^Error syncing pod$': {
        readonly gettext: "Pod synchronization error.";
    };
    readonly '^Failed create pod sandbox.$': {
        readonly gettext: "Pod sandbox creation failed.";
    };
    readonly '^Exception on tenant (.+) in statement \'(.+)\': Http status code: (\\d+) \\{error="alarm/Unprocessable Entity",message="(.+)",info="https://www.cumulocity.com/guides/reference-guide/#error_reporting",details="null"\\}$': {
        readonly gettext: "Exception on tenant {{tenantId}} in statement \"{{statement}}\": HTTP status code: {{httpStatusCode}} : {{message | translate}}";
        readonly placeholders: {
            readonly tenantId: "$1";
            readonly statement: "$2";
            readonly httpStatusCode: "$3";
            readonly message: "$4";
        };
    };
    readonly "^User '(.+)' is managed by a remote identity management service defined by an administrator, direct update is forbidden$": {
        readonly gettext: "User \"{{userName}}\" is managed by a remote identity management service defined by an administrator, direct update is forbidden.";
        readonly placeholders: {
            readonly userName: "$1";
        };
    };
    readonly '^Added new child device to "(.+)" \\(ID: (.+)\\).$': {
        readonly gettext: "Added new child device to \"{{parentDeviceName}}\" (ID: {{parentDeviceId}}).";
        readonly placeholders: {
            readonly parentDeviceName: "$1";
            readonly parentDeviceId: "$2";
        };
    };
    readonly '^Updated child device of "(.+)" \\(ID: (.+)\\).$': {
        readonly gettext: "Updated child device of \"{{parentDeviceName}}\" (ID: {{parentDeviceId}}).";
        readonly placeholders: {
            readonly parentDeviceName: "$1";
            readonly parentDeviceId: "$2";
        };
    };
    readonly '^Added child device "(.+)" \\(ID: (.+)\\).$': {
        readonly gettext: "Added child device \"{{name}}\" (ID: {{id}}).";
        readonly placeholders: {
            readonly name: "$1";
            readonly id: "$2";
        };
    };
    readonly '^Removed child device "(.+)" \\(ID: (.+)\\).$': {
        readonly gettext: "Removed child device \"{{name}}\" (ID: {{id}}).";
        readonly placeholders: {
            readonly name: "$1";
            readonly id: "$2";
        };
    };
    readonly '^Change value of "(.+)" to (.+) (.+).$': {
        readonly gettext: "Change value of \"{{name}}\" to {{value}}{{unit}}.";
        readonly placeholders: {
            readonly name: "$1";
            readonly value: "$2";
            readonly unit: "$3";
        };
    };
    readonly '^Change value of "(.+)" to (.+).$': {
        readonly gettext: "Change value of \"{{name}}\" to {{value}}.";
        readonly placeholders: {
            readonly name: "$1";
            readonly value: "$2";
        };
    };
    readonly '^Change status of "(.+)" to "(.+)".$': {
        readonly gettext: "Change status of \"{{name}}\" to \"{{label}}\".";
        readonly placeholders: {
            readonly name: "$1";
            readonly label: "$2";
        };
    };
    readonly '^Send message "(.+)".$': {
        readonly gettext: "Send message \"{{str}}\".";
        readonly placeholders: {
            readonly str: "$1";
        };
    };
    readonly '^Close relay (.+).$': {
        readonly gettext: "Close relay {{number}}.";
        readonly placeholders: {
            readonly number: "$1";
        };
    };
    readonly '^Open relay (.+).$': {
        readonly gettext: "Open relay {{number}}.";
        readonly placeholders: {
            readonly number: "$1";
        };
    };
    readonly '^Change trace status to (.+).$': {
        readonly gettext: "Change trace status to {{state | translate}}.";
        readonly placeholders: {
            readonly state: "$1";
        };
    };
    readonly '^Change relay status to (.+).$': {
        readonly gettext: "Change relay status to {{status | translate}}.";
        readonly placeholders: {
            readonly status: "$1";
        };
    };
    readonly '^Closing relay (.+).$': {
        readonly gettext: "Closing relay {{number}}.";
        readonly placeholders: {
            readonly number: "$1";
        };
    };
    readonly '^Opening relay (.+).$': {
        readonly gettext: "Opening relay {{number}}.";
        readonly placeholders: {
            readonly number: "$1";
        };
    };
    readonly '^Update bulk operation$': {
        readonly gettext: "Update bulk operation";
    };
    readonly '^Update bulk operation: (.+)$': {
        readonly gettext: "Update bulk operation: {{updatesList}}";
        readonly placeholders: {
            updatesList: {
                capture: string;
                translate: {
                    "status='(.+?)'": {
                        gettext: "status: \"{{ status | translate }}\"";
                        placeholders: {
                            status: string;
                        };
                    };
                    "generalStatus='(.+?)'": {
                        gettext: "general status: \"{{ generalStatus | translate }}\"";
                        placeholders: {
                            generalStatus: string;
                        };
                    };
                    "progress='(.+?)'": {
                        gettext: "progress: \"{{ progress }}\"";
                        placeholders: {
                            progress: string;
                        };
                    };
                    'note=(.+?)': {
                        gettext: "note: \"{{ note }}\"";
                        placeholders: {
                            note: string;
                        };
                    };
                };
            };
        };
    };
    readonly '^Update firmware to: "?(.+?)"? \\(version: (.+)\\)\\.?$': {
        readonly gettext: "Update firmware to: \"{{ name }}\" (version: {{ version }})";
        readonly placeholders: {
            readonly name: "$1";
            readonly version: "$2";
        };
    };
    readonly '^Update firmware to: "?(.+?)"?\\.?$': {
        readonly gettext: "Update firmware to: \"{{ name }}\"";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Update configuration to (.+).$': {
        readonly gettext: "Update configuration to: {{ name }}.";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Apply device profile: (.+).?$': {
        readonly gettext: "Apply device profile: {{ name }}";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Execute generic command: (.+).?$': {
        readonly gettext: "Execute generic command: {{command}}";
        readonly placeholders: {
            readonly command: "$1";
        };
    };
    readonly '^Failed to refresh application. : Cannot refresh non local-hosted application.$': {
        readonly gettext: "Could not reactivate the application as it is not hosted locally.";
    };
    readonly '^Failed to refresh application. : Cannot refresh application without active version id.$': {
        readonly gettext: "Could not reactivate the application as it has no active version.";
    };
    readonly '^Scaled down replica set (.+) to (\\d+)$': {
        readonly gettext: "Replica set \"{{replicaSetName}}\" scaled down to \"{{scaleNumber}}\".";
        readonly placeholders: {
            readonly replicaSetName: "$1";
            readonly scaleNumber: "$2";
        };
    };
    readonly '^Deleted pod: (.+)$': {
        readonly gettext: "Pod \"{{imageName}}\" deleted.";
        readonly placeholders: {
            readonly imageName: "$1";
        };
    };
    readonly '^Container image "(.+)" already present on machine$': {
        readonly gettext: "Container image \"{{imageName}}\" already exists.";
        readonly placeholders: {
            readonly imageName: "$1";
        };
    };
    readonly '^Error updating tenant! Cannot insert second configuration for Password code grant internal/Bad Request$': {
        readonly gettext: "This login mode was already set by another administrator. Refresh the page to update the data.";
    };
    readonly '^Application deleted$': {
        readonly gettext: "Application deleted";
    };
    readonly '^Microservice application "(.+?)" deleted for tenant "(.+?)"$': {
        readonly gettext: "Microservice application \"{{appName}}\" deleted for tenant \"{{tenant}}\"";
        readonly placeholders: {
            readonly appName: "$1";
            readonly tenant: "$2";
        };
    };
    readonly '^Hosted application "(.+?)" deleted for tenant "(.+?)"$': {
        readonly gettext: "Hosted application \"{{appName}}\" deleted for tenant \"{{tenant}}\"";
        readonly placeholders: {
            readonly appName: "$1";
            readonly tenant: "$2";
        };
    };
    readonly '^External application "(.+?)" deleted for tenant "(.+?)"$': {
        readonly gettext: "External application \"{{appName}}\" deleted for tenant \"{{tenant}}\"";
        readonly placeholders: {
            readonly appName: "$1";
            readonly tenant: "$2";
        };
    };
    readonly '^Application activated$': {
        readonly gettext: "Application activated";
    };
    readonly '^Microservice application "(.+?)" activated: version \\[(.+?)\\] added, activeVersionId \\[(.+?)\\] added$': {
        readonly gettext: "Microservice application \"{{appName}}\" activated: version \"{{version}}\" added, activeVersionId \"{{activeVersionId}}\" added";
        readonly placeholders: {
            readonly appName: "$1";
            readonly version: "$2";
            readonly activeVersionId: "$3";
        };
    };
    readonly '^Hosted application "(.+?)" activated: version \\[(.+?)\\] added, activeVersionId \\[(.+?)\\] added$': {
        readonly gettext: "Hosted application \"{{appName}}\" activated: version \"{{version}}\" added, activeVersionId \"{{activeVersionId}}\" added";
        readonly placeholders: {
            readonly appName: "$1";
            readonly version: "$2";
            readonly activeVersionId: "$3";
        };
    };
    readonly '^External application "(.+?)" activated: version \\[(.+?)\\] added, activeVersionId \\[(.+?)\\] added$': {
        readonly gettext: "External application \"{{appName}}\" activated: version \"{{version}}\" added, activeVersionId \"{{activeVersionId}}\" added";
        readonly placeholders: {
            readonly appName: "$1";
            readonly version: "$2";
            readonly activeVersionId: "$3";
        };
    };
    readonly '^(.+?) user logged in to the platform with OAuth internal login mode$': {
        readonly gettext: "\"{{name}}\" user logged in to the platform with OAI-Secure login mode";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly "^Scaling application '(.+?)' from (.+?) to (.+?) instances$": {
        readonly gettext: "Scaling application \"{{appName}}\" from {{from}} to {{to}} instances";
        readonly placeholders: {
            readonly appName: "$1";
            readonly from: "$2";
            readonly to: "$3";
        };
    };
    readonly '^User logout$': {
        readonly gettext: "User logout";
    };
    readonly '^(.+?) user logout$': {
        readonly gettext: "\"{{name}}\" user logout";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Authentication with id: (.+?) configuration updated.$': {
        readonly gettext: "Authentication configuration with ID \"{{id}}\" updated.";
        readonly placeholders: {
            readonly id: "$1";
        };
    };
    readonly '^Authentication configuration with id: (.+?) added.$': {
        readonly gettext: "Authentication configuration with ID \"{{id}}\" added.";
        readonly placeholders: {
            readonly id: "$1";
        };
    };
    readonly '^Configuration type: basic.$': {
        readonly gettext: "Configuration type: Basic Auth.";
    };
    readonly '^Configuration type: oauth2_internal.$': {
        readonly gettext: "Configuration type: OAI-Secure.";
    };
    readonly '^Configuration type: oauth2.$': {
        readonly gettext: "Configuration type: Single sign-on.";
    };
    readonly '^Device put into maintenance state$': {
        readonly gettext: "Device put into maintenance state";
    };
    readonly '^device with id: (.+?) is put into maintenance state$': {
        readonly gettext: "Device with ID \"{{deviceId}}\" is put into maintenance state";
        readonly placeholders: {
            readonly deviceId: "$1";
        };
    };
    readonly '^Connector updated$': {
        readonly gettext: "Connector updated";
    };
    readonly '^Connector (.+?) updated: filters [(.+?)] added$': {
        readonly gettext: "Connector \"{{name}}\" updated: filters [{{filters}}] added";
        readonly placeholders: {
            readonly name: "$1";
            readonly filters: "$2";
        };
    };
    readonly '^Connector deleted$': {
        readonly gettext: "Connector deleted";
    };
    readonly '^Connector (.+?) deleted$': {
        readonly gettext: "Connector \"{{name}}\" deleted";
        readonly placeholders: {
            readonly name: "$1";
        };
    };
    readonly '^Connector created$': {
        readonly gettext: "Connector created";
    };
    readonly '^Connector (.+?) created: (.+?) added, (.+?)$': {
        readonly gettext: "Connector \"{{name}}\" created: {{configuration}} added, {{baseProperties}}";
        readonly placeholders: {
            readonly name: "$1";
            readonly configuration: "$2";
            readonly baseProperties: "$3";
        };
    };
    readonly '^Connector (.+?) updated: (.+?) added, (.+?) removed$': {
        readonly gettext: "Connector \"{{name}}\" updated: {{newConfig}} added, {{oldConfig}} removed";
        readonly placeholders: {
            readonly name: "$1";
            readonly newConfig: "$2";
            readonly oldConfig: "$3";
        };
    };
    readonly '^Connector (.+?) updated: (.+?) removed, (.+?) added$': {
        readonly gettext: "Connector \"{{name}}\" updated: {{newConfig}} added, {{oldConfig}} removed";
        readonly placeholders: {
            readonly name: "$1";
            readonly oldConfig: "$2";
            readonly newConfig: "$3";
        };
    };
    readonly '^Can read all data of the asset and manage all inventory data, but cannot perform operations. Can also acknowledge and clear alarms. Can create and updates dashboards.$': {
        readonly gettext: "Can read all data of the asset and manage all inventory data, but cannot perform operations. Can also acknowledge and clear alarms. Can create and updates dashboards.";
    };
    readonly '^Operations: All$': {
        readonly gettext: "Operations: All";
    };
    readonly '^Can remotely manage the assets by sending operations to the device. This includes for example remote configuration, software update, etc.$': {
        readonly gettext: "Can remotely manage the assets by sending operations to the device. This includes remote configuration, software update and more.";
    };
    readonly '^Operations: Restart Device$': {
        readonly gettext: "Operations: Restart Device";
    };
    readonly '^Can restart devices.$': {
        readonly gettext: "Can restart devices.";
    };
    readonly '^Reader$': {
        readonly gettext: "Reader";
    };
    readonly '^Can read all data of the asset.$': {
        readonly gettext: "Can read all data of the asset.";
    };
    readonly '^Enables administrative permissions. The first user created for the tenant receives this role$': {
        readonly gettext: "Enables administrative permissions. The first user created for the tenant receives this role.";
    };
    readonly '^Can access all devices and their data but has no management permission in the tenant$': {
        readonly gettext: "Can access all devices and their data but has no management permission in the tenant.";
    };
    readonly '^CEP Manager$': {
        readonly gettext: "CEP Manager";
    };
    readonly '^Has full access to all deployed CEP modules and SmartRules$': {
        readonly gettext: "Has full access to all deployed CEP modules and smart rules.";
    };
    readonly '^Devicemanagement User$': {
        readonly gettext: "Device Management User";
    };
    readonly '^Gives access to bulk operations and device management application. This does not include access to any device data.$': {
        readonly gettext: "Gives access to bulk operations and Device Management application. This does not include access to any device data.";
    };
    readonly '^A role marker for device users. After registration, a device automatically has this role$': {
        readonly gettext: "A role marker for device users. After registration, a device automatically has this role.";
    };
    readonly '^Global Manager$': {
        readonly gettext: "Global Manager";
    };
    readonly '^Can read and write all data from all devices$': {
        readonly gettext: "Can read and write all data from all devices.";
    };
    readonly '^Global Reader$': {
        readonly gettext: "Global Reader";
    };
    readonly '^Can read all data from all devices$': {
        readonly gettext: "Can read all data from all devices.";
    };
    readonly '^Cockpit User$': {
        readonly gettext: "Cockpit User";
    };
    readonly '^User to work in Cockpit application. This does not include the access to any device data.$': {
        readonly gettext: "User to work in Cockpit application. This does not include the access to any device data.";
    };
    readonly '^Global User Manager$': {
        readonly gettext: "Global User Manager";
    };
    readonly '^Can access and modify the full user hierarchy$': {
        readonly gettext: "Can access and edit the full user hierarchy.";
    };
    readonly '^Can read all data \\(including users, in contrast to "Global Reader"\\)$': {
        readonly gettext: "Can read all data (including users, in contrast to \"Global Reader\").";
    };
    readonly '^Shared User Manager$': {
        readonly gettext: "Shared User Manager";
    };
    readonly '^Can create new user as his own sub-users and manage this$': {
        readonly gettext: "Can create new own sub-users and manage them.";
    };
    readonly '^Tenant Manager$': {
        readonly gettext: "Tenant Manager";
    };
    readonly '^Can manage tenant wide configurations like applications, tenant options and retention rules$': {
        readonly gettext: "Can manage tenant wide configurations like applications, tenant options and retention rules.";
    };
    readonly '^DATAHUB_ADMINISTRATOR$': {
        readonly gettext: "DataHub Administrator";
    };
    readonly '^Can conduct administrative tasks and manage offloading pipelines$': {
        readonly gettext: "Can conduct administrative tasks and manage offloading pipelines.";
    };
    readonly '^DATAHUB_MANAGER$': {
        readonly gettext: "DataHub Manager";
    };
    readonly '^Can manage offloading pipelines$': {
        readonly gettext: "Can manage offloading pipelines.";
    };
    readonly '^DATAHUB_READER$': {
        readonly gettext: "DataHub Reader";
    };
    readonly '^Can execute SQL queries against the data in the data lake$': {
        readonly gettext: "Can execute SQL queries against the data in the data lake.";
    };
    readonly '^User "(.+?)" password was updated by user "(.+?)"$': {
        readonly gettext: "\"{{ targetUserName }}\" user's password was updated by \"{{ userName }}\" user";
        readonly placeholders: {
            readonly targetUserName: "$1";
            readonly userName: "$2";
        };
    };
    readonly '^User password update$': {
        readonly gettext: "User password update";
    };
    readonly '^User "(.+?)" password updated$': {
        readonly gettext: "\"{{ userName }}\" user changed own password";
        readonly placeholders: {
            readonly userName: "$1";
        };
    };
    readonly '^LWM2M device type$': {
        readonly gettext: "LWM2M device type";
    };
    readonly '^LWM2M server URI$': {
        readonly gettext: "LWM2M server URI";
    };
    readonly '^coaps://<LWM2M-server-domain>:<coaps-port>$': {
        readonly gettext: "coaps://<LWM2M-server-domain>:<coaps-port>";
    };
    readonly '^Endpoint client ID$': {
        readonly gettext: "Endpoint client ID";
    };
    readonly '^Server public key$': {
        readonly gettext: "Server public key";
    };
    readonly '^Generate bootstrap server config$': {
        readonly gettext: "Generate bootstrap server config";
    };
    readonly '^LWM2M bootstrap short server ID$': {
        readonly gettext: "LWM2M bootstrap short server ID";
    };
    readonly '^LWM2M short server ID$': {
        readonly gettext: "LWM2M short server ID";
    };
    readonly '^Registration lifetime$': {
        readonly gettext: "Registration lifetime";
    };
    readonly '^in seconds$': {
        readonly gettext: "in seconds";
    };
    readonly '^Security instance offset$': {
        readonly gettext: "Security instance offset";
    };
    readonly '^Default minimum period$': {
        readonly gettext: "Default minimum period";
    };
    readonly '^Default maximum period$': {
        readonly gettext: "Default maximum period";
    };
    readonly '^Binding mode$': {
        readonly gettext: "Binding mode";
    };
    readonly '^applicable for LWM2M 1\\.0$': {
        readonly gettext: "applicable for LWM2M 1.0";
    };
    readonly '^Awake time registration parameter$': {
        readonly gettext: "Awake time registration parameter";
    };
    readonly '^in milliseconds, 0 means device is always online$': {
        readonly gettext: "in milliseconds, 0 means device is always online";
    };
    readonly '^Use common timestamp resources 5518 and 6050 or object specific timestamp for object 6 reported by the device if available$': {
        readonly gettext: "Use common timestamp resources 5518 and 6050 or object specific timestamp for object 6 reported by the device if available";
    };
    readonly '^Notification storing when disabled or offline$': {
        readonly gettext: "Notification storing when disabled or offline";
    };
    readonly '^Disable timeout$': {
        readonly gettext: "Disable timeout";
    };
    readonly '^LWM2M request timeout$': {
        readonly gettext: "LWM2M request timeout";
    };
    readonly '^in milliseconds$': {
        readonly gettext: "in milliseconds";
    };
    readonly '^Binary delivery encoding$': {
        readonly gettext: "Binary delivery encoding";
    };
    readonly '^Firmware update delivery method$': {
        readonly gettext: "Firmware update delivery method";
    };
    readonly '^Firmware update supported device protocol$': {
        readonly gettext: "Firmware update supported device protocol";
    };
    readonly '^Firmware update reset mechanism$': {
        readonly gettext: "Firmware update reset mechanism";
    };
    readonly '^Firmware update URL$': {
        readonly gettext: "Firmware update URL";
    };
    readonly '^Failed to find operation data in the internal memory store\\. Try again!$': {
        readonly gettext: "Failed to find operation data in the internal memory store. Try again.";
    };
    readonly '^Security mode$': {
        readonly gettext: "Security mode";
    };
    readonly '^Bootstrap PSK ID$': {
        readonly gettext: "Bootstrap PSK ID";
    };
    readonly '^Bootstrap pre-shared key$': {
        readonly gettext: "Bootstrap pre-shared key";
    };
    readonly '^LWM2M PSK ID$': {
        readonly gettext: "LWM2M PSK ID";
    };
    readonly '^LWM2M pre-shared key$': {
        readonly gettext: "LWM2M pre-shared key";
    };
    readonly '^LWM2M bulk device upload operation$': {
        readonly gettext: "LWM2M bulk device upload operation";
    };
    readonly '^This operation is only triggered by the agent when user uploads a CSV file with all required information to register new LWM2M devices\\. The source of the operation is the LWM2M device connector\\. Users are not able to trigger this operation using the shell command\\.$': {
        readonly gettext: "This operation is only triggered by the agent when user uploads a CSV file with all required information to register new LWM2M devices. The source of the operation is the LWM2M device connector. Users are not able to trigger this operation using the shell command.";
    };
    readonly '^Write$': {
        readonly gettext: "Write";
    };
    readonly '^Execute$': {
        readonly gettext: "Execute";
    };
    readonly '^Execute with parameters$': {
        readonly gettext: "Execute with parameters";
    };
    readonly '^Execute with Parameters$': {
        readonly gettext: "Execute with parameters";
    };
    readonly '^Delete Instance$': {
        readonly gettext: "Delete instance";
    };
    readonly '^Create Instance$': {
        readonly gettext: "Create instance";
    };
    readonly '^Read Object$': {
        readonly gettext: "Read object";
    };
    readonly '^Read Instance$': {
        readonly gettext: "Read instance";
    };
    readonly '^LWM2M bulk device removal operation$': {
        readonly gettext: "LWM2M bulk device removal operation";
    };
    readonly '^This operation is only triggered by the agent when user uploads a CSV file with a list of endpoint IDs to delete from C8Y\\.The source of the operation is the LWM2M device connector\\. Users are not able to trigger this operation using the shell command\\.$': {
        readonly gettext: "This operation is only triggered by the agent when user uploads a CSV file with a list of endpoint IDs to delete from the platform. The source of the operation is the LWM2M device connector. Users are not able to trigger this operation using the shell command.";
    };
    readonly '^Could not find device$': {
        readonly gettext: "Could not find device";
    };
    readonly '^Exception occurred while removing device (.+?)$': {
        readonly gettext: "Exception occurred while removing device: {{ exceptionMessage }}";
        readonly placeholders: {
            readonly exceptionMessage: "$1";
        };
    };
    readonly '^This command can be used to migrate LWM2M devices which are created in a non-standard way\\. It can take comma-separated device managed object IDs as parameters\\. If the IDs are specified then the migration will be done only for those devices\\. If the command is sent without any parameters then the agent will look up for possible Lwm2m devices that are not created in a standard way and try to migrate them\\. Usage: migrateLwm2mDevices 1122,3344 or migrateLwm2mDevices$': {
        readonly gettext: "This command can be used to migrate LWM2M devices which are created in a non-standard way. It can take comma-separated device managed object IDs as parameters. If the IDs are specified then the migration will be done only for those devices. If the command is sent without any parameters then the agent will look up for possible LWM2M devices that are not created in a standard way and try to migrate them. Usage: migrateLwm2mDevices 1122,3344 or migrateLwm2mDevices";
    };
    readonly '^Unable to migrate devices$': {
        readonly gettext: "Unable to migrate devices";
    };
    readonly '^Error while processing report$': {
        readonly gettext: "Error while processing report";
    };
    readonly '^Expected 1 endpointId argument$': {
        readonly gettext: "Expected 1 endpointId argument";
    };
    readonly '^LWM2M device registration$': {
        readonly gettext: "LWM2M device registration";
    };
    readonly '^The required and optional properties to register and setup LWM2M Devices$': {
        readonly gettext: "The required and optional properties to register and setup LWM2M devices";
    };
    readonly '^Bootstrap$': {
        readonly gettext: "Bootstrap";
    };
    readonly '^Advanced$': {
        readonly gettext: "Advanced";
    };
    readonly '^Bulk LWM2M device registration$': {
        readonly gettext: "Bulk LWM2M device registration";
    };
    readonly '^This command returns a list of shell commands with description that can be created for the Lwm2m device connector\\.$': {
        readonly gettext: "This command returns a list of shell commands with description that can be created for the LWM2M device connector.";
    };
    readonly '^The following operations are supported:$': {
        readonly gettext: "The following operations are supported:";
    };
    readonly '^PSK template$': {
        readonly gettext: "PSK template";
    };
    readonly '^A bulk registration CSV template showing all mandatory fields$': {
        readonly gettext: "A bulk registration CSV template showing all mandatory fields";
    };
    readonly '^Mandatory fields template$': {
        readonly gettext: "Mandatory fields template";
    };
    readonly '^General template$': {
        readonly gettext: "General template";
    };
    readonly '^A bulk registration CSV template for NO_SEC devices with all optional fields$': {
        readonly gettext: "A bulk registration CSV template for NO_SEC devices with all optional fields";
    };
    readonly '^A general bulk registration CSV template showing all possible fields$': {
        readonly gettext: "A general bulk registration CSV template showing all possible fields";
    };
    readonly '^A bulk registration CSV template for PSK devices with all optional fields$': {
        readonly gettext: "A bulk registration CSV template for PSK devices with all optional fields";
    };
    readonly '^NO_SEC template$': {
        readonly gettext: "NO_SEC template";
    };
    readonly '^Authentication to the Loriot platform failed with status code (.+?). Check if the credentials are correct or if Session ID is expired.$': {
        readonly gettext: "Authentication to the LORIOT platform failed with status code {{ statusCode }}. Check if the credentials are correct or if session ID is expired.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Authentication to the Loriot platform failed with status code (.+?). Check if the base URL, credentials are correct and the application with the given ID exists.$': {
        readonly gettext: "Authentication to the LORIOT platform failed with status code {{ statusCode }}. Check if the base URL, credentials are correct and the application with the given ID exists.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Application output creation failed due to status code (.+?)$': {
        readonly gettext: "Application output creation failed due to status code {{ statusCode }}.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Application output update failed due to status code (.+?)$': {
        readonly gettext: "Application output update failed due to status code {{ statusCode }}.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Error creating the device due to status code (.+?). Check if the application Id, devEui, appEui and appKey are in the correct format or the device limit has been exceeded or has been registered with another account in the Loriot provider$': {
        readonly gettext: "Error creating the device due to status code {{ statusCode }}. Check if the application name, Device EUI, Application EUI and Application key are in the correct format or the device limit has been exceeded or has been registered with another account in the LORIOT provider.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Error retrieving application with given ID: (.+?) with status code 400. Check if the applicationId provided is in the correct format$': {
        readonly gettext: "Error retrieving application with given ID: {{ applicationId }} with status code 400. Check if the selected application is correct";
        readonly placeholders: {
            readonly applicationId: "$1";
        };
    };
    readonly "^LNS connection name can't be null or blank.$": {
        readonly gettext: "LNS connection name can't be empty.";
    };
    readonly '^Unexpected error occurred while accessing the cached LNS connections map with key (.+?)$': {
        readonly gettext: "Unexpected error occurred while accessing the cached LNS connections map with key \"{{ connectionName }}\".";
        readonly placeholders: {
            readonly connectionName: "$1";
        };
    };
    readonly "^LNS connection named (.+?) doesn't exist.$": {
        readonly gettext: "LNS connection named \"{{ connectionName }}\" doesn't exist.";
        readonly placeholders: {
            readonly connectionName: "$1";
        };
    };
    readonly '^LNS connection named (.+?) already exists.$': {
        readonly gettext: "LNS connection named \"{{ connectionName }}\" already exists.";
        readonly placeholders: {
            readonly connectionName: "$1";
        };
    };
    readonly "^New LNS connection can't be null.$": {
        readonly gettext: "New LNS connection can't be empty.";
    };
    readonly "^LNS connection to update can't be null.$": {
        readonly gettext: "LNS connection to update can't be empty.";
    };
    readonly "^The name of the LNS connection to update can't be null.$": {
        readonly gettext: "The name of the LNS connection to update can't be empty.";
    };
    readonly '^Can not delete the LNS connection with name "(.+?)" as it\'s associated with (.+?) device(s).$': {
        readonly gettext: "Could not delete the LNS connection with the name \"{{ connectionName }}\" as it's associated with {{ numberOfDevices }} device(s).";
        readonly placeholders: {
            readonly connectionName: "$1";
            readonly numberOfDevices: "$2";
        };
    };
    readonly '^Can not update the LNS connection with name "(.+?)" as it\'s associated with (.+?) device(s).$': {
        readonly gettext: "Could not update the LNS connection with the name \"{{ connectionName }}\" as it's associated with {{ numberOfDevices }} device(s).";
        readonly placeholders: {
            readonly connectionName: "$1";
            readonly numberOfDevices: "$2";
        };
    };
    readonly '^Authentication to the Actility platform failed with status code (.+?). Check if the credentials are correct.$': {
        readonly gettext: "Authentication to the Actility platform failed with status code {{ statusCode }}. Check if the credentials are correct.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Authentication to the Actility platform failed with status code (.+?). Check if the profile Id is correct.$': {
        readonly gettext: "Authentication to the Actility platform failed with status code {{ statusCode }}. Check if the Profile ID is correct.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Authentication to the Actility platform failed. Check if the base URL (.+?) is correct.$': {
        readonly gettext: "Authentication to the Actility platform failed. Check if the base URL {{ baseUrl }} is correct.";
        readonly placeholders: {
            readonly baseUrl: "$1";
        };
    };
    readonly '^Authentication to the Sigfox platform failed. Check if the base URL (.+) is correct.$': {
        readonly gettext: "Authentication to the Sigfox platform failed. Check if the base URL {{ baseUrl }} is correct.";
        readonly placeholders: {
            readonly baseUrl: "$1";
        };
    };
    readonly '^Authentication to the Sigfox platform failed. Check if the Parent group Id and/or the credentials are correct.$': {
        readonly gettext: "Authentication to the Sigfox platform failed. Check if the Parent group ID and/or the credentials are correct.";
    };
    readonly '^Authentication to the Loriot platform failed with status code (.+?). Session Id might have expired.$': {
        readonly gettext: "Authentication to the LORIOT platform failed with status code {{ statusCode }}. Session ID might have expired.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Authentication to the Actility platform failed with status code (.+?). Check if the base URL and/or the credentials are correct.$': {
        readonly gettext: "Authentication to the Actility platform failed with status code {{ statusCode }}. Check if the base URL and/or the credentials are correct.";
        readonly placeholders: {
            readonly statusCode: "$1";
        };
    };
    readonly '^Error on deleting group: (.+?) : Role (.+?) is used in SSO dynamic access mapping$': {
        readonly gettext: "Role \"{{ roleName }}\" cannot be deleted because it is assigned to a dynamic access mapping in Single sign-on configuration.";
        readonly placeholders: {
            readonly roleName: "$1";
        };
    };
};
//# sourceMappingURL=pattern-messages.data.d.ts.map