/**
 * Returns a trimmed translation key.
 * If the key contains HTML, it also removes all whitespaces.
 * The reason behind it is that by default Angular compiler removes
 * whitespaces from adjacent inline elements,
 * which prevents ngx-translate from finding a matching entry in the dictionary.
 */
export declare function trimTranslationKey(key: string): string;
/**
 * We want to have translation keys unified, so they don't contain unnecessary spaces and line breaks.
 * This way we can dynamically build keys from HTML, and match them to extracted string, that might be HTML as well.
 */
export declare function getDictionaryWithTrimmedKeys(dictionary: object): any;
//# sourceMappingURL=translation-utils.d.ts.map