import * as i0 from "@angular/core";
/**
 * Display collapsed content on a list item. Can be
 * used for more detailed information. Use it with
 * content projection.
 *
 * ```html
 * <c8y-li>
 *   <c8y-collapsed>
 *     <strong>I am only visible if extended</strong>
 *   </c8y-collapsed>
 * </c8y-li>
 * ```
 */
export declare class ListItemCollapseComponent {
    /**
     * The way how to toggle collapse state.
     * button (default) - additional button for toggle collapse state
     * row - toggling collapse state by clicking to entire row.
     */
    collapseWay: 'button' | 'row';
    static ɵfac: i0.ɵɵFactoryDeclaration<ListItemCollapseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListItemCollapseComponent, "c8y-list-item-collapse, c8y-li-collapse", never, { "collapseWay": { "alias": "collapseWay"; "required": false; }; }, {}, never, ["*"], false, never>;
}
//# sourceMappingURL=list-item-collapse.component.d.ts.map