import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
/**
 * An icon to display on a list item. Use it with content projection.
 *
 * ```html
 * <c8y-li>
 *   <c8y-li-icon="rocket"></c8y-li-icon>
 * </c8y-li>
 * ```
 */
export declare class ListItemIconComponent {
    /**
     * The icon name passed to the `c8yIcon` directive.
     */
    icon: SupportedIconsSuggestions;
    /**
     * A status to change the color of the icon.
     */
    status?: 'statusOk' | 'statusUnknown' | 'statusAlert' | 'statusNok' | 'status critical' | 'status warning' | 'status minor' | 'status major';
    static ɵfac: i0.ɵɵFactoryDeclaration<ListItemIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListItemIconComponent, "c8y-list-item-icon, c8y-li-icon", never, { "icon": { "alias": "icon"; "required": false; }; "status": { "alias": "status"; "required": false; }; }, {}, never, ["*"], false, never>;
}
//# sourceMappingURL=list-item-icon.component.d.ts.map