import { ICredentials } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class CredentialsFromQueryParamsService {
    private readonly queryParamsToHandle;
    /**
     * Retrieves any subset of credentials provided via queryParams
     * @return ICredentials found in queryParams.
     */
    getCredentialsFromQueryParams(): ICredentials;
    /**
     * Removes credentials from the queryParameters if any are present.
     * In case some credentials were present, this method will cause a page reload.
     * @return boolean if credentials were found.
     */
    removeCredentialsFromQueryParams(): boolean;
    /**
     * Looks for the specified key in the provided URLSearchParams.
     * If the specified key was found, it will be removed.
     * @return boolean if key was found.
     */
    private removeParameterFromQueryParameters;
    /**
     * Looks for the specified key in the provided URLSearchParams.
     * If the specified key was found, it's value will be returned.
     * Otherwise null will be returned.
     * @return string/null.
     */
    private getParameterFromQueryParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<CredentialsFromQueryParamsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CredentialsFromQueryParamsService>;
}
//# sourceMappingURL=credentials-from-query-params.service.d.ts.map