import { OnInit, EventEmitter } from '@angular/core';
import { LoginService } from './login.service';
import { ICredentials } from '@c8y/client';
import { AlertService } from '../alert/alert.service';
import { LoginViews } from './login.model';
import { CredentialsFromQueryParamsService } from './credentials-from-query-params.service';
import { CredentialsComponentParams } from './credentials-component-params';
import * as i0 from "@angular/core";
export declare class CredentialsComponent implements OnInit {
    loginService: LoginService;
    alert: AlertService;
    private credentialsFromQueryParamsService;
    onChangeView: EventEmitter<any>;
    loginViewParams: CredentialsComponentParams;
    LOGIN_VIEWS: typeof LoginViews;
    model: ICredentials;
    isLoading: boolean;
    showLoginForm: boolean;
    showBasicAuth: boolean;
    oauthOptions: any;
    showTenant: boolean;
    private readonly PASSWORD_RESET_HEADER_NAME;
    private readonly NO_PHONE_HEADER_NAME;
    constructor(loginService: LoginService, alert: AlertService, credentialsFromQueryParamsService: CredentialsFromQueryParamsService);
    ngOnInit(): void;
    redirectToOauth(): void;
    /**
     * Allows to login into the application using basic auth.
     * If successful logged in the client is set in shared/cumulocity.service.ts
     */
    login(): Promise<void>;
    private handlePasswordReset;
    private handleTotpChallenge;
    private handleSmsChallenge;
    private handleNoPhoneNumberProvided;
    static ɵfac: i0.ɵɵFactoryDeclaration<CredentialsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CredentialsComponent, "c8y-credentials", never, { "loginViewParams": { "alias": "loginViewParams"; "required": false; }; }, { "onChangeView": "onChangeView"; }, never, never, false, never>;
}
//# sourceMappingURL=credentials.component.d.ts.map