import { OnInit, OnDestroy } from '@angular/core';
import { ICredentials } from '@c8y/client';
import { LoginService } from './login.service';
import { OptionsService } from '../common/options.service';
import { LoginViews } from './login.model';
import { AlertService } from '../alert/alert.service';
import { CredentialsFromQueryParamsService } from './credentials-from-query-params.service';
import { CredentialsComponentParams } from './credentials-component-params';
import { AppStateService } from '../common/ui-state.service';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit, OnDestroy {
    loginService: LoginService;
    private options;
    private alert;
    private credentialsFromQueryParamsService;
    ui: AppStateService;
    currentView: LoginViews;
    LOGIN_VIEWS: typeof LoginViews;
    disabled: boolean;
    name: string;
    credentials: ICredentials;
    loginViewParams: CredentialsComponentParams | {
        [key: string]: any;
    };
    displayAlerts: boolean;
    private TOKEN_PARAM;
    /**
     * Just DI.
     */
    constructor(loginService: LoginService, options: OptionsService, alert: AlertService, credentialsFromQueryParamsService: CredentialsFromQueryParamsService, ui: AppStateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleLoginTemplate(event: {
        view: LoginViews;
        credentials?: ICredentials;
        loginViewParams?: CredentialsComponentParams | {
            [key: string]: any;
        };
    }): void;
    onkeyup(event: KeyboardEvent): void;
    reset(): void;
    private loginAutomatically;
    private setView;
    private getParamAndClear;
    private getSsoData;
    private handleSso;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "c8y-login", never, { "name": { "alias": "name"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=login.component.d.ts.map