import { EventEmitter } from '@angular/core';
import { LoginViews } from './login.model';
import { FetchClient } from '@c8y/client';
import { AppStateService } from '../common/ui-state.service';
import { LoginService } from './login.service';
import { AlertService } from '../alert/alert.service';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class TenantIdSetupComponent {
    private client;
    private ui;
    private loginService;
    private alert;
    private translateService;
    onChangeView: EventEmitter<any>;
    LOGIN_VIEWS: typeof LoginViews;
    model: {
        tenant: string;
    };
    constructor(client: FetchClient, ui: AppStateService, loginService: LoginService, alert: AlertService, translateService: TranslateService);
    /**
     * Sets up login mode for particular tenant. In case of OAI-Secure will redirect user to tenant domain.
     */
    setupLoginMode(): Promise<void>;
    /**
     * Redirects to tenant domain when login mode contains domain.
     */
    redirectToCorrectDomain(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantIdSetupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TenantIdSetupComponent, "c8y-tenant-id-setup", never, {}, { "onChangeView": "onChangeView"; }, never, never, false, never>;
}
//# sourceMappingURL=tenant-id-setup.component.d.ts.map