import { OnDestroy } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { StatusType } from '../common/status.model';
import { ModalLabels } from '../select-modal/select-modal.model';
import { SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
/**
 * Defines options to be displayed in the confirm dialog.
 */
export interface ConfirmOptions {
    [key: string]: ConfirmOption;
}
export interface ConfirmOption {
    text: string;
    checked?: boolean;
    showIf?: boolean | (() => boolean | Promise<boolean> | Observable<boolean>);
    /**
     * Will disable the current option when an option with the given key is selected.
     */
    disabledByKey?: string;
}
export declare class ConfirmModalComponent implements OnDestroy {
    private modal;
    result: Promise<boolean | {
        confirmed: boolean;
        confirmOptions: {
            [key: string]: boolean;
        };
    }>;
    dismiss: () => void;
    close: () => void;
    title: string;
    body: string | SafeHtml;
    confirmOptions: ConfirmOptions;
    status: StatusType;
    set labels(labels: ModalLabels);
    get labels(): ModalLabels;
    private _labels;
    constructor(modal: BsModalRef);
    get classIcon(): string;
    get classAlert(): string;
    ngOnDestroy(): void;
    isHtml(str: string | SafeHtml): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfirmModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfirmModalComponent, "c8y-confirm-modal", never, { "title": { "alias": "title"; "required": false; }; "body": { "alias": "body"; "required": false; }; "confirmOptions": { "alias": "confirmOptions"; "required": false; }; "status": { "alias": "status"; "required": false; }; "labels": { "alias": "labels"; "required": false; }; }, {}, never, ["*"], false, never>;
}
//# sourceMappingURL=modal-confirm.component.d.ts.map