import { Type } from '@angular/core';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
export interface NavigatorNodeData {
    /**
     * Navigator node name.
     * @deprecated
     */
    name?: string;
    /**
     * Label to be displayed in the navigator node.
     */
    label?: string;
    /**
     * Position of the node in the navigator.
     */
    priority?: number;
    /**
     * The path to which the UI will be redirected after clicking navigator node.
     */
    path?: string;
    /**
     * Navigator node icon.
     */
    icon?: SupportedIconsSuggestions;
    /**
     * Navigator node icon when expanded.
     */
    iconOpen?: string;
    /**
     * Navigator node parent node.
     */
    parent?: NavigatorNodeData | string;
    /**
     * Check if a duplicate node is present and ignore it.
     */
    preventDuplicates?: boolean;
    /**
     * Should this asset node show devices or not.
     */
    hideDevices?: boolean;
    /**
     * Id to identify specific feature node.
     */
    featureId?: string;
    /**
     * Custom component to use.
     */
    component?: Type<any>;
    [key: string]: any;
}
//# sourceMappingURL=navigator-node-data.d.ts.map