import { NavigatorNode } from './navigator-node';
import { HeaderService } from '../header/header.service';
import { Observable } from 'rxjs';
import { NavigatorService } from './navigator.service';
import * as i0 from "@angular/core";
/**
 * The component shows all nodes that have been added to the navigator.
 * In addition, it allows you to add a header and a footer to the navigator.
 *
 * ```html
 * <c8y-navigator-outlet>
 *   <header class="navigator-slot-top"></header>
 *   <footer class="navigator-slot-bottom"></footer>
 * </c8y-navigator-outlet>
 * ```
 */
export declare class NavigatorOutletComponent {
    private headerService;
    private navigatorNodes;
    /**
     * Navigator nodes list.
     */
    nodes$: Observable<NavigatorNode[]>;
    constructor(headerService: HeaderService, navigatorNodes: NavigatorService);
    /**
     * Closes the navigator menu after clicking an item in the menu, in case of insufficient screen width.
     */
    collapseNavigator(from: 'icon' | 'expander' | 'link'): void;
    /**
     * @ignore
     */
    trackByPathOrLabel(index: any, node: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorOutletComponent, "c8y-navigator-outlet, c8y-ui-navigator", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=navigator-outlet.component.d.ts.map