import { ApplicationRemotePlugins, IApplication, VersioningMatrix } from '@c8y/client';
import type { PluginsExportScopes } from '../common/ApplicationOptions';
export interface PluginsConfig {
    remotes: ApplicationRemotePlugins;
    excludedRemotes?: ApplicationRemotePlugins;
}
export declare enum ApplicationPluginStatus {
    ORPHANED = "ORPHANED",
    LATEST = "LATEST",
    OUTDATED = "OUTDATED",
    REVOKED = "REVOKED",
    AUTO = "AUTO"
}
export declare enum PackageType {
    /**
     * A package coming from the official Software AG github enterprise.
     */
    OFFICIAL = "OFFICIAL",
    /**
     * A package coming from any connected partner repository.
     */
    COMMUNITY = "COMMUNITY",
    /**
     * A package where the origin is unknown (e.g. uploaded to management with an unknown label)
     */
    UNKNOWN = "UNKNOWN",
    /**
     * A custom package e.g. uploaded to the tenant by a user
     */
    CUSTOM = "CUSTOM",
    /**
     * A package that was archived by the user
     */
    ARCHIVED = "ARCHIVED"
}
export interface ApplicationPlugin {
    id: string;
    idLatest: string;
    name?: string;
    module: string;
    path: string;
    description?: string;
    version?: string;
    scope?: PluginsExportScopes;
    installed?: boolean;
    contextPath?: string;
    status?: ApplicationPluginStatus;
    tags?: string[];
    license?: string;
    type?: PackageType;
    versioningMatrix?: VersioningMatrix;
    selected?: boolean;
    originApp?: IApplication;
    installedViaTag?: string | false;
    readmePath?: string;
}
//# sourceMappingURL=plugins.model.d.ts.map