import { GainsightService } from './gainsight.service';
import { ProductExperienceEventSource } from './product-experience.model';
import * as i0 from "@angular/core";
export declare class ProductExperienceDirective {
    private component;
    private parentEventSource;
    private gainsightService;
    /**
     * A value that will be used as a custom event name.
     */
    actionName: string;
    /**
     * Data that will be used as event properties.
     */
    actionData: object;
    /**
     * If set to <code>true</code>, <code>actionName</code> and <code>actionData</code> will be
     * inherited from the parent component if it has the <code>c8yProductExperience</code> applied to it.
     * With <code>inherit</code> set to <code>true</code> the local <code>actionName</code> value is
     * ignored and overriden by the parent component's <code>actionName</code>. This allows for easy
     * re-use of core components (e.g. <code>&lt;c8y-li-action&gt;</code>) that would use the inherited
     * action name rather than their generic action name. Own <code>actionData</code> properties with
     * the same name take precedence to those inheritted from the parent component.
     */
    set _inherit(inherit: any);
    /**
     * If set to <code>true</code> own <code>actionData</code> properties would not override
     * <code>actionData</code> properties of the parent component. Instead, values will be
     * inherited from the parent component. It is only effective if <code>inherit</code>
     * is set to <code>true</code>.
     */
    set _suppressDataOverriding(suppressDataOverriding: any);
    private inherit;
    private suppressDataOverriding;
    constructor(component: ProductExperienceEventSource, parentEventSource: ProductExperienceEventSource, gainsightService: GainsightService);
    onClick(): void;
    ngOnInit(): void;
    private getAction;
    private mergeData;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProductExperienceDirective, [{ optional: true; self: true; }, { optional: true; skipSelf: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ProductExperienceDirective, "[c8yProductExperience]", never, { "actionName": { "alias": "actionName"; "required": false; }; "actionData": { "alias": "actionData"; "required": false; }; "_inherit": { "alias": "inherit"; "required": false; }; "_suppressDataOverriding": { "alias": "suppressDataOverriding"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=product-experience.directive.d.ts.map