import { ActivatedRoute } from '@angular/router';
import { FetchClient, IIdentified, IResult, Service } from '@c8y/client';
import { ProviderProperties } from '../model/provider-properties.model';
import * as i0 from "@angular/core";
export declare class ProviderConfigurationService extends Service<ProviderProperties> {
    private static readonly NO_DETAIL_ID;
    protected baseUrl: string;
    protected listUrl: string;
    constructor(client: FetchClient, activatedRoute: ActivatedRoute);
    detail(): Promise<IResult<ProviderProperties>>;
    update(entity: Partial<ProviderProperties>): Promise<IResult<ProviderProperties>>;
    delete(): Promise<IResult<null>>;
    /** There is a single provider configuration per tenant and detail URL is not needed */
    protected getDetailUrl(_: string | number | IIdentified): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProviderConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProviderConfigurationService>;
}
//# sourceMappingURL=provider-configuration.service.d.ts.map