import { IOperationBulk } from '@c8y/client';
import { Observable } from 'rxjs';
import { RealtimeSubjectService } from './realtime-subject.service';
import { RealtimeService } from './realtime.service';
import * as i0 from "@angular/core";
/**
 * A service for handling bulk operation realtime notifications in RxJS fashion.
 */
export declare class OperationBulkRealtimeService extends RealtimeService<IOperationBulk> {
    protected realtimeSubject: RealtimeSubjectService;
    constructor(realtimeSubject: RealtimeSubjectService);
    /**
     * Get an Observable of all CREATE realtime notifications.
     *
     * @returns An [[Observable]] of newly created entity objects.
     */
    onCreate$(): Observable<IOperationBulk>;
    protected channel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationBulkRealtimeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperationBulkRealtimeService>;
}
//# sourceMappingURL=operation-bulk-realtime.service.d.ts.map