import { IManagedObject, InventoryService } from '@c8y/client';
import { Pagination } from '../data-grid';
import * as i0 from "@angular/core";
export declare class InventorySearchService {
    private inventoryService;
    protected DEFAULT_PAGE_SIZE: number;
    private queriesUtil;
    constructor(inventoryService: InventoryService);
    /**
     * Returns the full-text search results.
     *
     * @param term The search term.
     * @param pagination The currently used pagination.
     */
    search(term: string, pagination?: Pagination): Promise<import("@c8y/client").IResultList<IManagedObject>>;
    /**
     * Returns group search results by name.
     *
     * @param term The search term - name of group.
     * @param pagination The currently used pagination.
     */
    searchGroups(term: string, pagination?: Pagination): Promise<import("@c8y/client").IResultList<IManagedObject>>;
    /**
     * Will return only valid group assets and filter out
     * none useful inventories (e.g. c8y_JsonSchema).
     * @param data All managed objects that should be filtered.
     */
    filterOnlyGroups(data: IManagedObject[]): IManagedObject[];
    private getGroupsSearchFilterQuery;
    private getDefaultSearchQuery;
    static ɵfac: i0.ɵɵFactoryDeclaration<InventorySearchService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InventorySearchService>;
}
//# sourceMappingURL=inventory-search.service.d.ts.map