import { Observable } from 'rxjs';
import { OptionsService } from '../common/options.service';
import { Permissions } from '../common/permissions.service';
import { AppStateService } from '../common/ui-state.service';
import { StepperService } from '../stepper/stepper.service';
import { PluginsResolveService } from '../plugins/plugins-resolve.service';
import * as i0 from "@angular/core";
export declare class SetupService {
    private stepperService;
    private permissions;
    private options;
    ui: AppStateService;
    private pluginsResolve;
    /**
     * Indicates if the applications needs to show a setup wizard.
     */
    isSetupNeeded$: Observable<boolean>;
    private skipSetup$;
    /**
     * @ignore only DI and initialization
     */
    constructor(stepperService: StepperService, permissions: Permissions, options: OptionsService, ui: AppStateService, pluginsResolve: PluginsResolveService);
    skipSetup(): void;
    private setupRequired;
    private needsSetup;
    private excludeSetupFinishStep;
    private hasRequiredSteps;
    private hasPermission;
    private getNotCompletedSetupSteps;
    static ɵfac: i0.ɵɵFactoryDeclaration<SetupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SetupService>;
}
//# sourceMappingURL=setup.service.d.ts.map