import { TemplateRef, EventEmitter } from '@angular/core';
import { StepState } from '@angular/cdk/stepper';
import * as i0 from "@angular/core";
export declare class C8yStepperProgress {
    /** List of overriden icons as TemplateRef. Also default icons could be overriden.
     *  The given overriden icons will replace an icon with matching state: StepState
     *
     * <ng-container
     * *ngSwitchCase="true"
     * [ngTemplateOutlet]="iconOverrides[state]"
     * ></ng-container>
     *
     */
    iconOverrides: {
        [key: string]: TemplateRef<any>;
    };
    /** The index of the current step */
    index: number;
    /** Whether the step is currently selected or not  */
    selected: boolean;
    /** The current state of the step */
    state: StepState;
    /** Disable navigation buttons */
    disabled: boolean;
    /** Emits the index: number of the step which was clicked */
    onStepClicked: EventEmitter<number>;
    /** Called on click and emits the step index */
    stepSelected(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<C8yStepperProgress, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<C8yStepperProgress, "c8y-stepper-progress", never, { "iconOverrides": { "alias": "iconOverrides"; "required": false; }; "index": { "alias": "index"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "state": { "alias": "state"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "onStepClicked": "onStepClicked"; }, never, never, false, never>;
}
//# sourceMappingURL=stepper-progress.component.d.ts.map