import { ViewContainerRef, AfterContentInit, OnDestroy, Injector, EnvironmentInjector, EventEmitter } from '@angular/core';
import { TabsService } from './tabs.service';
import { TabWithTemplate } from './tab.model';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
export declare class TabComponent implements AfterContentInit, OnDestroy, TabWithTemplate<string> {
    private tabs;
    template: ViewContainerRef;
    path: string;
    label: string;
    icon: SupportedIconsSuggestions;
    priority: number;
    orientation: 'horizontal' | 'vertical';
    injector: Injector;
    tabsOutlet: string;
    isActive: boolean;
    onSelect: EventEmitter<any>;
    constructor(tabs: TabsService, _injector: EnvironmentInjector);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "c8y-tab", never, { "path": { "alias": "path"; "required": false; }; "label": { "alias": "label"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "priority": { "alias": "priority"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "injector": { "alias": "injector"; "required": false; }; "tabsOutlet": { "alias": "tabsOutlet"; "required": false; }; "isActive": { "alias": "isActive"; "required": false; }; }, { "onSelect": "onSelect"; }, never, ["*"], false, never>;
}
//# sourceMappingURL=tab.component.d.ts.map