import { Renderer2, OnDestroy, AfterContentInit, OnChanges, SimpleChanges } from '@angular/core';
import { ActivatedRoute, NavigationExtras, Router } from '@angular/router';
import { Tab } from './tab.model';
import { HeaderService } from '../header/header.service';
import { TabsService } from './tabs.service';
import * as i0 from "@angular/core";
export declare class TabsOutletComponent implements OnDestroy, AfterContentInit, OnChanges {
    private router;
    private renderer;
    private header;
    private tabsService;
    private activatedRoute;
    tabs: Tab[];
    orientation: 'vertical' | 'horizontal';
    navigatorOpen: boolean;
    outletName: string | undefined;
    context: any;
    openFirstTab: boolean;
    /**
     * Identifies if the current view has a header element.
     */
    hasHeader: boolean;
    showLeft: boolean;
    showRight: boolean;
    extras: NavigationExtras;
    get isNavigatorOpen(): boolean;
    get hasTabs(): any;
    get isHorizontal(): boolean;
    get isVertical(): boolean;
    private container;
    private tabsContainer;
    private destroy$;
    private tabsChanges$;
    constructor(router: Router, renderer: Renderer2, header: HeaderService, tabsService: TabsService, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    trackByPath(index: any, tab: Tab): any;
    isActive(tab: Tab): boolean;
    navigateTo(path: string | any[]): void;
    scroll(direction?: 'right' | 'left'): void;
    private scrollSubscribe;
    private updateScroll;
    private getDimensions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsOutletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsOutletComponent, "c8y-tabs-outlet,c8y-ui-tabs", never, { "tabs": { "alias": "tabs"; "required": false; }; "orientation": { "alias": "orientation"; "required": false; }; "navigatorOpen": { "alias": "navigatorOpen"; "required": false; }; "outletName": { "alias": "outletName"; "required": false; }; "context": { "alias": "context"; "required": false; }; "openFirstTab": { "alias": "openFirstTab"; "required": false; }; "hasHeader": { "alias": "hasHeader"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=tabs-outlet.component.d.ts.map