import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { WorkspaceConfiguration } from './workspace-configuration.model';
import { DatapointsGraphWidgetConfig } from '@c8y/ngx-components/echart';
import * as i0 from "@angular/core";
export declare class WorkspaceConfigComponent implements OnInit, OnChanges {
    updatedConfig: DatapointsGraphWidgetConfig;
    onConfigurationChange: EventEmitter<DatapointsGraphWidgetConfig>;
    currentConfiguration: WorkspaceConfiguration;
    configurations: WorkspaceConfiguration[];
    configurationsFormGroup: FormGroup;
    activeConfigTooltip: "Active configuration cannot be removed";
    removeConfigTooltip: "Remove configuration";
    private readonly formBuilder;
    private readonly workspaceConfigurationService;
    private readonly contextRouteService;
    private readonly clipboardService;
    private readonly activatedRoute;
    private readonly router;
    private readonly nameGeneratorService;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    addConfig(duplicatedConfig?: DatapointsGraphWidgetConfig): void;
    changeConfiguration(selected: boolean, configuration: WorkspaceConfiguration): void;
    updateConfigurationLabel(configuration: WorkspaceConfiguration): void;
    deleteConfiguration(configuration: WorkspaceConfiguration): void;
    clearAll(): void;
    shareConfig(configuration: WorkspaceConfiguration): Promise<void>;
    private addConfigFromUrl;
    private updateConfigurations;
    private initializeConfigurations;
    private initWorkspaceForm;
    private patchForm;
    private patchValues;
    private initializeContextSourceId;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkspaceConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkspaceConfigComponent, "c8y-workspace-config", never, { "updatedConfig": { "alias": "updatedConfig"; "required": false; }; }, { "onConfigurationChange": "onConfigurationChange"; }, never, never, true, never>;
}
//# sourceMappingURL=workspace-configuration.component.d.ts.map