import { ElementRef } from '@angular/core';
import { DynamicComponentAlertAggregator } from '@c8y/ngx-components';
import { DatapointAttributesFormConfig } from '@c8y/ngx-components/datapoint-selector';
import { AlarmDetailsExtended, AlarmOrEventExtended, DatapointsGraphKPIDetails, DatapointsGraphWidgetConfig, EventDetailsExtended, TimeContextProps } from '@c8y/ngx-components/echart/models';
import { FormGroup } from '@angular/forms';
import { aggregationType, IIdentified } from '@c8y/client';
import { Interval } from '@c8y/ngx-components/interval-picker';
import { ExportConfig } from '@c8y/ngx-components/datapoints-export-selector';
import * as i0 from "@angular/core";
export declare class DatapointExplorerComponent {
    #private;
    chart: ElementRef;
    config: DatapointsGraphWidgetConfig;
    exportConfig: ExportConfig;
    alerts: DynamicComponentAlertAggregator | undefined;
    alarms: AlarmDetailsExtended[];
    events: EventDetailsExtended[];
    datapointsOutOfSync: Map<DatapointsGraphKPIDetails, boolean>;
    contextAsset: IIdentified;
    formGroup: FormGroup;
    hasAtLeastOneDatapointActive: boolean;
    hasAtLeastOneAlarmActive: boolean;
    isMarkedAreaEnabled: boolean;
    alarmsOrEventsHaveNoMatchingDps: boolean;
    canAddReport: boolean;
    timeProps: {
        dateFrom: Date;
        dateTo: Date;
        interval?: Interval['id'];
        realtime?: boolean;
        aggregation?: aggregationType | null;
    };
    datapointSelectDefaultFormOptions: Partial<DatapointAttributesFormConfig>;
    private readonly dataExplorerService;
    private readonly formBuilder;
    private readonly alertService;
    private readonly bsModalService;
    private readonly permissions;
    private readonly contextDashboardService;
    private readonly activatedRoute;
    private readonly contextRouteService;
    constructor();
    ngOnInit(): void;
    onTimeContextChange(timeProps: TimeContextProps): void;
    onConfigurationChange(config: DatapointsGraphWidgetConfig): void;
    onSliderZoom(timeProps: {
        dateFrom: Date;
        dateTo: Date;
        interval?: Interval['id'];
    }): void;
    updateTimeRangeOnRealtime(timeRange: Pick<DatapointsGraphWidgetConfig, 'dateFrom' | 'dateTo'>): void;
    createNewReportWithWidget(): void;
    sendAsWidgetToReport(): void;
    updateAlarmsAndEvents(alarmsEventsConfigs: AlarmOrEventExtended[]): void;
    handleDatapointOutOfSync(dpOutOfSync: DatapointsGraphKPIDetails): void;
    private isAlarm;
    private isEvent;
    private hasActiveAlarms;
    private checkForMatchingDatapoints;
    private updateExportConfig;
    private initializeContextSourceId;
    private createWidgetConfig;
    private initForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointExplorerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointExplorerComponent, "c8y-datapoint-explorer", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=datapoint-explorer.component.d.ts.map