import { OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { IManagedObject, InventoryService } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { Subscription } from 'rxjs';
import { DatapointLibraryOptions } from '@c8y/ngx-components/datapoint-library/model';
import { ColorService } from '@c8y/ngx-components';
import { DatapointParserService } from '@c8y/ngx-components/datapoint-library/services';
import { DatapointSelectorService } from '@c8y/ngx-components/datapoint-selector';
import * as i0 from "@angular/core";
export declare class DatapointLibraryDetailsComponent implements OnInit, OnDestroy {
    private activatedRoute;
    private inventory;
    private formBuilder;
    private alertService;
    private router;
    private translate;
    private colorService;
    private parser;
    private datapointSelectorService;
    config: DatapointLibraryOptions;
    path: string;
    formGroup: ReturnType<DatapointLibraryDetailsComponent['initForm']>;
    range: FormGroup;
    redRange: FormGroup;
    yellowRange: FormGroup;
    datapoint: IManagedObject;
    isLoading: boolean;
    rangeConfig: {};
    routeSub: Subscription;
    constructor(activatedRoute: ActivatedRoute, inventory: InventoryService, formBuilder: FormBuilder, alertService: AlertService, router: Router, translate: TranslateService, colorService: ColorService, parser: DatapointParserService, datapointSelectorService: DatapointSelectorService, config: DatapointLibraryOptions);
    ngOnInit(): void;
    ngOnDestroy(): void;
    save(value: any): Promise<void>;
    cancel(): void;
    formChange(): void;
    pickDatapoint(): Promise<void>;
    private navigateBackToList;
    private datapointUpdate;
    private extractKpiValuesFromFormValue;
    private load;
    private isContextSet;
    private initForm;
    private removeNullValues;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointLibraryDetailsComponent, [null, null, null, null, null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointLibraryDetailsComponent, "c8y-datapoint-library-details", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=datapoint-library-details.component.d.ts.map