import { OnInit } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormGroup, ValidationErrors, Validator } from '@angular/forms';
import { DatapointAttributesFormValidationService } from './datapoint-attributes-form-validation.service';
import { AXIS_TYPES, AxisTypes, CHART_LINE_TYPES, CHART_RENDER_TYPES, ChartLineTypes, ChartRenderTypes } from './datapoint-attributes.model';
import * as i0 from "@angular/core";
export declare class DatapointAttributesFormComponent implements ControlValueAccessor, Validator, OnInit {
    private formValidations;
    selectableChartRenderTypes: ChartRenderTypes[];
    selectableChartLineTypes: ChartLineTypes[];
    selectableAxisTypes: AxisTypes[];
    showTarget: boolean;
    showRange: boolean;
    showYellowRange: boolean;
    showRedRange: boolean;
    showChart: boolean;
    showFormIfTemplateWasSelected: boolean;
    formGroup: FormGroup;
    range: FormGroup;
    yellowRange: FormGroup;
    redRange: FormGroup;
    chart: FormGroup;
    display: FormGroup;
    rawValue: any;
    CHART_RENDER_TYPES: Array<(typeof CHART_RENDER_TYPES)[number]>;
    CHART_LINE_TYPES: Array<(typeof CHART_LINE_TYPES)[number]>;
    AXIS_TYPES: Array<(typeof AXIS_TYPES)[number]>;
    customValidationErrorMessages: {
        [formField: string]: {
            [validationError: string]: string;
        };
    };
    shouldForceInitialValidation: boolean;
    showOnlyDisplayForm: boolean;
    showChartForm: boolean;
    constructor(formValidations: DatapointAttributesFormValidationService);
    ngOnInit(): void;
    validate(_control: AbstractControl): ValidationErrors;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    private setSubForms;
    private initializeFormVisibility;
    private filterChartTypes;
    private filterRenderTypes;
    private filterLineTypes;
    private filterAxisTypes;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointAttributesFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointAttributesFormComponent, "c8y-datapoint-attributes-form", never, { "selectableChartRenderTypes": { "alias": "selectableChartRenderTypes"; "required": false; }; "selectableChartLineTypes": { "alias": "selectableChartLineTypes"; "required": false; }; "selectableAxisTypes": { "alias": "selectableAxisTypes"; "required": false; }; "showTarget": { "alias": "showTarget"; "required": false; }; "showRange": { "alias": "showRange"; "required": false; }; "showYellowRange": { "alias": "showYellowRange"; "required": false; }; "showRedRange": { "alias": "showRedRange"; "required": false; }; "showChart": { "alias": "showChart"; "required": false; }; "showFormIfTemplateWasSelected": { "alias": "showFormIfTemplateWasSelected"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=datapoint-attributes-form.component.d.ts.map