import { IIdentified, IManagedObject } from '@c8y/client';
import { MillerViewComponent } from '@c8y/ngx-components/assets-navigator';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import { AxisTypes, ChartLineTypes, ChartRenderTypes } from './datapoint-attributes-form/datapoint-attributes.model';
export declare const DATAPOINT_LIBRARY_FRAGMENT = "c8y_Kpi";
export interface KPIDetails {
    fragment: string;
    series: string;
    orientation?: string | null;
    __target?: IIdentified | null;
    __active?: boolean | null;
    __template?: string | null | number;
    unit?: string | null;
    min?: number | null;
    color?: string | null;
    max?: number | null;
    label?: string | null;
    target?: number | null;
    yellowRangeMax?: number | null;
    yellowRangeMin?: number | null;
    redRangeMin?: number | null;
    redRangeMax?: number | null;
    description?: string | null;
    renderType?: string | null;
    lineType?: string | null;
    yAxisType?: string | null;
    [key: string]: any;
}
export interface ManagedObjectKPI extends IManagedObject {
    [DATAPOINT_LIBRARY_FRAGMENT]: KPIDetails;
}
export interface DatapointAction {
    label: string;
    callback: (datapoint: KPIDetails) => void;
    icon: SupportedIconsSuggestions;
}
export interface DatapointAttributesFormConfig {
    showTarget: boolean;
    showRange: boolean;
    showYellowRange: boolean;
    showRedRange: boolean;
    showChart: boolean;
    showFormIfTemplateWasSelected: boolean;
    selectableChartRenderTypes: ChartRenderTypes[];
    selectableChartLineTypes: ChartLineTypes[];
    selectableAxisTypes: AxisTypes[];
}
export type DatapointSelectorModalAssetSelectorOptions = Omit<MillerViewComponent, 'multi' | 'singleColumn' | 'onSelected' | 'millerViewWrapper' | 'columns' | 'ngOnInit' | 'ngOnChanges' | 'addNewColumn' | 'onSelectionChange'>;
//# sourceMappingURL=datapoint-selection.model.d.ts.map