import { ElementRef, OnInit } from '@angular/core';
import { IIdentified } from '@c8y/client';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { DatapointSelectorModalAssetSelectorOptions, KPIDetails } from '../datapoint-selection.model';
import * as i0 from "@angular/core";
export declare class DatapointSelectorModalComponent implements OnInit {
    private bsModal;
    private elementRef;
    contextAsset: IIdentified;
    allowChangingContext: boolean;
    allowSearch: boolean;
    allowDatapointsFromMultipleAssets: boolean;
    selectedDatapoints: KPIDetails[];
    title: string;
    saveButtonLabel: string;
    guessDatapointUnit: boolean;
    defaultActiveState: boolean;
    finishWithFirstSelection: boolean;
    ignoreDatapointTemplates: boolean;
    itemsEditable: boolean;
    datapointTemplatesOnly: boolean;
    assetSelectorConfig: Partial<DatapointSelectorModalAssetSelectorOptions>;
    readonly result: Promise<KPIDetails[]>;
    private save;
    private cancel;
    constructor(bsModal: BsModalRef, elementRef: ElementRef);
    ngOnInit(): void;
    saveChanges(): void;
    close(): void;
    selectionChange(selection: Array<KPIDetails>): void;
    /**
     * changes the z-index of the modal, to make sure this modal is on top.
     * required as angularJS modals are placing them selves on top via adjusting z-index.
     * while angular modals use the order within the dom for this..
     */
    private applyWorkaroundForAngularJSModalsThatMightBeOpenedInParallel;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointSelectorModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointSelectorModalComponent, "c8y-datapoint-selector-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=datapoint-selector-modal.component.d.ts.map