import { ProductExperienceEvent, ProductExperienceEventSource } from '@c8y/ngx-components';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { DeviceProfile } from './device-profile.model';
import { DeviceProfileService } from './device-profile.service';
import * as i0 from "@angular/core";
export declare class AddDeviceProfileComponent implements ProductExperienceEventSource {
    private modal;
    private deviceProfileService;
    DEVICE_TYPE_POPOVER: "The device profile will be available for assignments on devices of the specified type. Otherwise, it will be available for all device types.";
    PRODUCT_EXPERIENCE: {
        readonly EVENTS: {
            readonly REPOSITORY: "deviceProfileRepository";
            readonly DEVICE_TAB: "deviceProfileTab";
        };
        readonly COMPONENTS: {
            readonly DEVICE_PROFILE_LIST: "device-profile-list";
            readonly ADD_DEVICE_PROFILE: "add-device-profile";
            readonly DEVICE_PROFILE: "device-profile";
            readonly DEVICE_TAB_PROFILE: "device-tab-profile";
        };
        readonly ACTIONS: {
            readonly CANCEL: "cancel";
            readonly CREATE: "create";
            readonly REMOVE: "remove";
            readonly ADD: "add";
            readonly SAVE: "save";
            readonly ASSIGN_DEVICE_PROFILE: "assignDeviceProfile";
        };
        readonly RESULTS: {
            readonly ADD_SOFTWARE: "addSoftware";
        };
        readonly FRAGMENTS: {
            readonly FIRMWARE: "firmware";
            readonly SOFTWARE: "software";
            readonly CONFGIURATION: "configuration";
        };
    };
    deviceProfile: Partial<DeviceProfile>;
    result: Promise<any>;
    productExperienceEvent: ProductExperienceEvent;
    private _save;
    private _cancel;
    constructor(modal: BsModalRef, deviceProfileService: DeviceProfileService);
    create(): Promise<void>;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddDeviceProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddDeviceProfileComponent, "c8y-add-device-profile", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-device-profile.component.d.ts.map