import { EventEmitter, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IManagedObject } from '@c8y/client';
import { ActionControl, AlertService, Column, DataGridService, DataSourceModifier, ModalService, ProductExperienceEvent, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import { DeviceProfileService } from './device-profile.service';
import * as i0 from "@angular/core";
export declare class DeviceProfileListComponent implements OnInit {
    private repositoryService;
    private gridService;
    private modalService;
    private bsModalService;
    private translateService;
    private alertService;
    private router;
    private activatedRoute;
    private deviceProfileService;
    sizeRequest: Promise<number>;
    sizeRequestDone: boolean;
    refresh$: EventEmitter<void>;
    isDataPresent$: Observable<boolean>;
    columns: Column[];
    actionControls: ActionControl[];
    serverSideDataCallback: ServerSideDataCallback;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    productExperienceEvent: ProductExperienceEvent;
    noResultsMessage: "No results to display.";
    noDataMessage: "No device profiles to display.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataSubtitle: "Add a new device profile by clicking below.";
    constructor(repositoryService: RepositoryService, gridService: DataGridService, modalService: ModalService, bsModalService: BsModalService, translateService: TranslateService, alertService: AlertService, router: Router, activatedRoute: ActivatedRoute, deviceProfileService: DeviceProfileService);
    ngOnInit(): void;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    editDeviceProfile(deviceProfile: Partial<IManagedObject>): void;
    createDeviceProfile(): Promise<void>;
    duplicateDeviceProfile(deviceProfile: any): Promise<void>;
    deleteDeviceProfile(deviceProfile: any): Promise<void>;
    trackByName(_index: any, column: Column): string;
    private delete;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceProfileListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceProfileListComponent, "c8y-device-profile-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=device-profile-list.component.d.ts.map