import { IManagedObject } from '@c8y/client';
export interface DeviceProfile extends Partial<IManagedObject> {
    name?: string;
    type: string;
    c8y_Filter: {
        type?: string;
    };
    c8y_DeviceProfile: {
        firmware?: DeviceProfileFirmware;
        software?: DeviceProfileSoftware[];
        configuration?: DeviceProfileConfiguration[];
    };
}
export interface DeviceProfileFirmware {
    name: string;
    version: string;
    url: string;
    isPatch: boolean;
    patchDependency?: string;
}
export interface DeviceProfileSoftware {
    name: string;
    softwareType: string;
    version: string;
    url: string;
    action: string;
}
export interface DeviceProfileConfiguration {
    url: string;
    name: string;
    type: string;
}
export interface ComparisonResult {
    profile: {
        itemName: string;
        itemDetails?: string;
        itemType?: string;
        itemUrl: string;
    };
    device: {
        itemName: string;
        itemDetails?: string;
        itemType?: string;
        itemUrl: string;
    };
    comparisonAlert?: string;
}
export declare enum DeviceProfileOperation {
    APPLY_PROFILE = "c8y_DeviceProfile"
}
export declare const PRODUCT_EXPERIENCE_DEVICE_PROFILE: {
    readonly EVENTS: {
        readonly REPOSITORY: "deviceProfileRepository";
        readonly DEVICE_TAB: "deviceProfileTab";
    };
    readonly COMPONENTS: {
        readonly DEVICE_PROFILE_LIST: "device-profile-list";
        readonly ADD_DEVICE_PROFILE: "add-device-profile";
        readonly DEVICE_PROFILE: "device-profile";
        readonly DEVICE_TAB_PROFILE: "device-tab-profile";
    };
    readonly ACTIONS: {
        readonly CANCEL: "cancel";
        readonly CREATE: "create";
        readonly REMOVE: "remove";
        readonly ADD: "add";
        readonly SAVE: "save";
        readonly ASSIGN_DEVICE_PROFILE: "assignDeviceProfile";
    };
    readonly RESULTS: {
        readonly ADD_SOFTWARE: "addSoftware";
    };
    readonly FRAGMENTS: {
        readonly FIRMWARE: "firmware";
        readonly SOFTWARE: "software";
        readonly CONFGIURATION: "configuration";
    };
};
//# sourceMappingURL=device-profile.model.d.ts.map