import { EventEmitter } from '@angular/core';
import { IManagedObject } from '@c8y/client';
import { ISelectModalObject, ModalLabels, ProductExperienceEvent, ProductExperienceEventSource } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { Observable, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SelectConfigurationModalComponent implements ProductExperienceEventSource {
    private repositoryService;
    PRODUCT_EXPERIENCE: {
        readonly SOFTWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "softwareRepository";
                readonly DEVICE_TAB: "deviceSoftware";
            };
            readonly COMPONENTS: {
                readonly ADD_SOFTWARE_MODAL: "add-software-modal";
                readonly DEVICE_SOFTWARE_CHANGES: "device-software-changes";
                readonly DEVICE_SOFTWARE_LIST: "device-software-list";
            };
            readonly ACTIONS: {
                readonly APPLY_SOFTWARE_CHANGES: "applySoftwareChanges";
                readonly CLEAR_SOFTWARE_CHANGES: "clearSoftwareChanges";
                readonly OPEN_INSTALL_SOFTWARE: "openInstallSoftwareModal";
                readonly OPEN_UPDATE_SOFTWARE: "openUpdateSoftwareModal";
                readonly DELETE_SOFTWARE: "deleteSoftware";
            };
            readonly RESULTS: {
                readonly ADD_SOFTWARE: "addSoftware";
                readonly ADD_SOFTWARE_VERSION: "addSoftwareVersion";
                readonly EDIT_SOFTWARE: "editSoftware";
            };
        };
        readonly FIRMWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "firmwareRepository";
                readonly DEVICE_TAB: "deviceFirmware";
            };
            readonly COMPONENTS: {
                readonly ADD_FIRMWARE_MODAL: "add-firmware-modal";
                readonly ADD_FIRMWAR_PATCH_MODAL: "add-firmware-patch-modal";
                readonly FIRMWARE_DEVICE_TAB: "firmware-device-tab";
                readonly DEVICE_FIRMWARE_LIST: "device-firmware-list";
            };
            readonly ACTIONS: {
                readonly OPEN_INSTALL_FIRMWARE_DIALOG: "openInstallFirmwareDialog";
                readonly OPEN_REPLACE_FIRMWARE_DIALOG: "openReplaceFirmwareDialog";
                readonly OPEN_INSTALL_FIRMWARE_PATCH_DIALOG: "openInstallFirmwarePatchDialog";
            };
            readonly RESULTS: {
                readonly ADD_FIRMWARE: "addFirmware";
                readonly ADD_FIRMWARE_VERSION: "addFirmwareVersion";
                readonly ADD_FIRMWARE_PATCH: "addFirmwarePatch";
                readonly EDIT_FIRMWARE: "editFirmware";
                readonly CREATE_FIRMWARE_UPDATE_OPERATION: "createFirmwareUpdateOperation";
            };
        };
        readonly SHARED: {
            readonly COMPONENTS: {
                readonly REPOSITORY_SELECT_MODAL: "repository-select-modal";
                readonly SELECT_CONFIGURATION_MODAL: "select-configuration-modal";
            };
        };
    };
    title: string;
    load: Subject<void>;
    configurations: Observable<any[]>;
    resultEmitter: EventEmitter<any[]>;
    selected: any[];
    deviceTypeQuery: any;
    searchQuery: any;
    labels: ModalLabels;
    productExperienceEvent: ProductExperienceEvent;
    private queriesUtil;
    constructor(repositoryService: RepositoryService);
    search(searchTerm: any): void;
    result(selectedItems: any): void;
    getItems(): Promise<import("@c8y/client").IResultList<IManagedObject>>;
    aggregate(mos: IManagedObject[]): ISelectModalObject[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectConfigurationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectConfigurationModalComponent, "c8y-select-configuration-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=select-configuration-modal.component.d.ts.map