import { OnInit } from '@angular/core';
import { ActionControl, AlertService, Column, DisplayOptions, ModalService, Pagination, Row } from '@c8y/ngx-components';
import { DeviceProvisionedCertificatesService } from './device-provisioned-certificates.service';
import { ActivatedRoute } from '@angular/router';
import { CrlService } from '@c8y/client';
import { BehaviorSubject, Observable } from 'rxjs';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export type ProvisionedCertificate = {
    serialNumber: string;
    validTill: string;
};
export declare class DeviceTabProvisionedCertificatesComponent implements OnInit {
    private alertService;
    private modalService;
    private deviceSerialsService;
    private crlService;
    private route;
    private translateService;
    reloading: boolean;
    reload$: BehaviorSubject<void>;
    tableTitle: "Provisioned certificates";
    columns: Column[];
    rows$: Observable<Array<Row & ProvisionedCertificate>>;
    pagination: Pagination;
    actionControls: ActionControl[];
    displayOptions: DisplayOptions;
    protected readonly PX_ACTIONS: {
        APPLY_FILTER: string;
        RESET_FILTER: string;
        REMOVE_FILTER: string;
        CLEAR_FILTER: string;
        CUSTOM_ACTION: string;
        ADD_CUSTOM_COLUMN: string;
        REMOVE_CUSTOM_COLUMN: string;
        REORDER_COLUMNS: string;
        CHANGE_VISIBILITY: string;
        CHANGE_SORTING_ORDER: string;
        CHANGE_PAGINATION: string;
        SELECT_ALL_ITEMS: string;
        BULK_DELETE: string;
        BULK_EXPORT: string;
        BULK_CUSTOM_ACTION: string;
        BULK_CANCEL: string;
        SELECT_ITEM: string;
        EDIT_ITEM: string;
        DELETE_ITEM: string;
        EXPORT_ITEM: string;
        CUSTOM_ACTION_ITEM: string;
        RELOAD: string;
        SEARCH: string;
        CLEAR_SEARCH: string;
    };
    constructor(alertService: AlertService, modalService: ModalService, deviceSerialsService: DeviceProvisionedCertificatesService, crlService: CrlService, route: ActivatedRoute, translateService: TranslateService);
    ngOnInit(): void;
    reload(): void;
    highlightDependingOnExpirationStatus(item: ProvisionedCertificate): "text-danger" | "text-warning" | "";
    revokeProvisionedCertificate(provisionedCertificate: ProvisionedCertificate): Promise<void>;
    private confirmRevocation;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceTabProvisionedCertificatesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceTabProvisionedCertificatesComponent, "device-tab-serials-component", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=device-tab-provisioned-certificates.component.d.ts.map