import { ECBasicOption, TooltipFormatterCallback } from 'echarts/types/src/util/types';
import { MarkLineData, MarkPointData, SeriesValue } from './datapoints-graph-widget.model';
import { TopLevelFormatterParams } from 'echarts/types/src/component/tooltip/TooltipModel';
/**
 * @param typeOfSeries is used for formatter to distinguish between events/alarms series
 * @param isDpTemplateSelected is used to distinguish if the series have a specific dp template selected. E.g. for case when a device has 2 measurements and 2 series are created for each measurement
 * @param id is used to distinguish between series
 * @param data is used to store the data for the series
 * @param itemStyle is used to set the color of the series
 */
interface ModifiedCustomSeriesOptions extends echarts.EChartsOption {
    typeOfSeries?: 'alarm' | 'event' | null;
    isDpTemplateSelected?: boolean;
    id: string;
    data: SeriesValue[];
    itemStyle: {
        color: string;
    };
}
export interface customSeriesMarkLineData {
    data: MarkLineData[];
}
export interface customSeriesMarkPointData {
    data: MarkPointData[];
}
export type CustomSeriesOptions = Omit<ModifiedCustomSeriesOptions, 'tooltip'>;
export interface EchartsCustomOptions extends ECBasicOption {
    tooltip: {
        formatter: TooltipFormatterCallback<TopLevelFormatterParams> | string;
    }[];
}
export interface MeasurementSeries {
    min: number | null;
    max: number | null;
}
export {};
//# sourceMappingURL=chart.model.d.ts.map