import { OnDestroy, OnInit } from '@angular/core';
import { WizardModalService } from '@c8y/ngx-components';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { IApplication } from '@c8y/client';
import { UpdateType } from './apps-to-update-remotes-select.model';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AppsToUpdateRemotesSelectComponent implements OnInit, OnDestroy {
    private bsModalRef;
    private wizardModalService;
    private ecosystemService;
    apps: IApplication[];
    updateType: UpdateType;
    pluginName: string;
    appsDisabled: Set<IApplication['id']>;
    private destroy$;
    filterTerm$: BehaviorSubject<string>;
    filteredApps$: Observable<IApplication[]>;
    textConfig: {
        header: string;
        applyButton: string;
    };
    appsToUpdateRemotes: IApplication[];
    result: Promise<IApplication[]>;
    private _update;
    private _cancel;
    constructor(bsModalRef: BsModalRef, wizardModalService: WizardModalService, ecosystemService: EcosystemService);
    ngOnInit(): void;
    cancel(): void;
    setSelectedApps(selected: boolean, app: IApplication): void;
    ngOnDestroy(): void;
    duplicateApp(): Promise<void>;
    apply(): Promise<void>;
    private getOwnedHostedApps;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppsToUpdateRemotesSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppsToUpdateRemotesSelectComponent, "c8y-apps-to-update-remotes-select", never, { "apps": { "alias": "apps"; "required": false; }; "updateType": { "alias": "updateType"; "required": false; }; "pluginName": { "alias": "pluginName"; "required": false; }; "appsDisabled": { "alias": "appsDisabled"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=apps-to-update-remotes-select.component.d.ts.map