import { ApplicationPlugin, BottomDrawerRef, PluginsService } from '@c8y/ngx-components';
import { EcosystemService, FilterableAppOrPlugin, FilterPipe } from '@c8y/ngx-components/ecosystem/shared';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class InstallPluginComponent {
    private bottomDrawerRef;
    private ecosystemService;
    private pluginsService;
    plugins$: Observable<FilterableAppOrPlugin[]>;
    filteredPlugins$: Observable<FilterableAppOrPlugin[]>;
    selectedPlugins: ApplicationPlugin[];
    packageTypes: (import("@c8y/ngx-components").PackageType.OFFICIAL | import("@c8y/ngx-components").PackageType.COMMUNITY)[];
    result: Promise<ApplicationPlugin[]>;
    onlyLatestPluginVersion: boolean;
    selectedPlugin: ApplicationPlugin;
    pluginBaseUrl: string;
    pluginMarkdown: string;
    private _install;
    private _cancel;
    constructor(bottomDrawerRef: BottomDrawerRef<InstallPluginComponent>, ecosystemService: EcosystemService, pluginsService: PluginsService);
    setFilterPipe(filterPipe: FilterPipe): void;
    cancel(): void;
    install(): void;
    showPluginOverview(plugin: ApplicationPlugin): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InstallPluginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InstallPluginComponent, "c8y-install-plugin", never, { "plugins$": { "alias": "plugins$"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=install-plugin.component.d.ts.map