import { EventEmitter } from '@angular/core';
import { IApplication } from '@c8y/client';
import { ApplicationPlugin } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import { PluginListService } from './plugin-list.service';
import { UpdateType } from './apps-to-update-remotes-select.model';
import * as i0 from "@angular/core";
export declare class PluginListComponent {
    private pluginListService;
    CURRENT_LOCATION: string;
    plugins$: Observable<ApplicationPlugin[]>;
    emptyListText: string;
    selectable: boolean;
    hideSource: boolean;
    /**
     * Shows the install button for each plugin separately. Currently used in package-details view.
     */
    installable: boolean;
    package: IApplication;
    selectedPlugin: ApplicationPlugin;
    selectedItems: EventEmitter<ApplicationPlugin[]>;
    showOverview: EventEmitter<ApplicationPlugin>;
    selectedPlugins: {
        [key: string]: ApplicationPlugin;
    };
    updatingPluginId: Record<UpdateType, string>;
    constructor(pluginListService: PluginListService);
    updateSelectedItems(selected: boolean, plugin: ApplicationPlugin): void;
    showPluginOverview(plugin: ApplicationPlugin): void;
    installPlugin(plugin: ApplicationPlugin): Promise<void>;
    uninstallPlugin(plugin: ApplicationPlugin): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PluginListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PluginListComponent, "c8y-plugin-list", never, { "plugins$": { "alias": "plugins$"; "required": false; }; "emptyListText": { "alias": "emptyListText"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "hideSource": { "alias": "hideSource"; "required": false; }; "installable": { "alias": "installable"; "required": false; }; "package": { "alias": "package"; "required": false; }; "selectedPlugin": { "alias": "selectedPlugin"; "required": false; }; }, { "selectedItems": "selectedItems"; "showOverview": "showOverview"; }, never, never, false, never>;
}
//# sourceMappingURL=plugin-list.component.d.ts.map