import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { ApplicationService, IApplication, IManagedObject, InventoryService } from '@c8y/client';
import { AlertService, GainsightService, ModalService, Permissions, PropertiesListItem } from '@c8y/ngx-components';
import { ApplicationState, EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class ApplicationPropertiesComponent implements OnInit {
    private activatedRoute;
    private ecosystemService;
    private router;
    private formBuilder;
    private applicationService;
    private alertService;
    private inventoryService;
    private permissions;
    private modalService;
    private translate;
    private bsModalService;
    private gainsightService;
    CURRENT_LOCATION: string;
    formGroup: FormGroup;
    application: IApplication;
    binaryMo: IManagedObject;
    singleTenant: boolean;
    subscription: boolean;
    canOpenInBrowser: boolean;
    disableOpenInBrowser: boolean;
    canDelete: boolean;
    isOwner: boolean;
    isSubscribed: boolean;
    isPackage: boolean;
    isMicroservice: boolean;
    isFeature: boolean;
    isExternal: boolean;
    isUnpacked: boolean;
    iconMap: {
        HOSTED: string;
        EXTERNAL: string;
        MICROSERVICE: string;
    };
    appState: ApplicationState;
    sourcePackage: IApplication;
    isLoading: boolean;
    isActivityLogSupported: boolean;
    isCustomMicroservice: boolean;
    hasAdminPermissions: boolean;
    noDescriptionLabel: "No description available.";
    breadcrumbConfig: {
        icon: string;
        label: string;
        path: string;
    };
    packageProperties: PropertiesListItem[];
    isUpdateAvailable: boolean;
    private blueprintApplicationVersion;
    constructor(activatedRoute: ActivatedRoute, ecosystemService: EcosystemService, router: Router, formBuilder: FormBuilder, applicationService: ApplicationService, alertService: AlertService, inventoryService: InventoryService, permissions: Permissions, modalService: ModalService, translate: TranslateService, bsModalService: BsModalService, gainsightService: GainsightService);
    ngOnInit(): Promise<void>;
    refresh(): Promise<void>;
    load(): Promise<void>;
    onApplication(app: IApplication): void;
    cancel(): void;
    openApp(app: any): void;
    getPackage(entityOrId: string | number | IApplication): Promise<import("@c8y/client").IResult<IApplication>>;
    delete(): Promise<void>;
    subscribe(): Promise<void>;
    unsubscribe(): Promise<void>;
    loadApplication(): Promise<void>;
    save(app: IApplication): Promise<void>;
    onNewArchive(): void;
    updateToLatestVersion(): Promise<void>;
    private getDescription;
    private confirmSubscriptionChange;
    private resolveSourcePackageDetails;
    private initForm;
    private isActivityLogSupportedByApp;
    private setBreadcrumbConfig;
    private loadBinaryMo;
    private extractVersionInformation;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApplicationPropertiesComponent, "c8y-application-properties", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=application-properties.component.d.ts.map