import { OnInit } from '@angular/core';
import { ApplicationService, IApplication } from '@c8y/client';
import { AlertService, ContextRouteService, ModalService, TabsService } from '@c8y/ngx-components';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { EcosystemService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class SubscriptionModalComponent implements OnInit {
    private bsModalRef;
    private ecosystemService;
    private tabsService;
    private modal;
    private applicationService;
    private alertService;
    private contextRouteService;
    readonly RETRY_TIMEOUT = 3000;
    application: IApplication;
    message: string;
    isLoading: boolean;
    result: Promise<void>;
    isSubscribed: boolean;
    retryCounter: number;
    private readonly TABS;
    private _resolve;
    constructor(bsModalRef: BsModalRef, ecosystemService: EcosystemService, tabsService: TabsService, modal: ModalService, applicationService: ApplicationService, alertService: AlertService, contextRouteService: ContextRouteService);
    ngOnInit(): void;
    subscribe(): Promise<void>;
    unsubscribe(): Promise<void>;
    private getStatusDetails;
    private onSubscribe;
    private shouldShowMSSpecificTabs;
    private onUnsubscribe;
    private hideSubscriptionModal;
    private showWarningModal;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubscriptionModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubscriptionModalComponent, "c8y-subscription-modal", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=subscription-modal.component.d.ts.map