import { OnDestroy, OnInit } from '@angular/core';
import { IApplication } from '@c8y/client';
import { WizardModalService } from '@c8y/ngx-components';
import { BehaviorSubject, Observable } from 'rxjs';
import { EcosystemService, FilterPipe, ListFiltersComponent, FilterableAppOrPlugin } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class ApplicationListComponent implements OnInit, OnDestroy {
    private ecosystemService;
    private wizardModalService;
    reloading: boolean;
    reload$: BehaviorSubject<void>;
    apps$: Observable<IApplication[]>;
    filteredApps$: Observable<FilterableAppOrPlugin[]>;
    listClass: string;
    packageAvailabilities: ("Subscribed`application`" | "Unpacked`application`" | "External`application`" | "Custom`application`")[];
    filtersComponent: ListFiltersComponent;
    private destroy$;
    constructor(ecosystemService: EcosystemService, wizardModalService: WizardModalService);
    ngOnInit(): void;
    loadApplications(): void;
    addApplication(): void;
    ngOnDestroy(): void;
    setFilterPipe(pipe: FilterPipe): void;
    resetFilters(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApplicationListComponent, "c8y-application-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=application-list.component.d.ts.map