import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ApplicationAvailability, IApplication } from '@c8y/client';
import { ApplicationPlugin, AppStateService, ContextRouteService, GainsightService, PackageType, PluginsService, PropertiesListItem, WizardModalService } from '@c8y/ngx-components';
import { BehaviorSubject } from 'rxjs';
import { ApplicationState, EcosystemService, PackageAvailabilityService } from '@c8y/ngx-components/ecosystem/shared';
import * as i0 from "@angular/core";
export declare class PackageDetailsComponent implements OnInit {
    private activatedRoute;
    private wizardModalService;
    private ecosystemService;
    private contextRouteService;
    private pluginsService;
    private packageAvailabilityService;
    private ui;
    private gainsightService;
    markdown: string;
    pluginMarkdown: string;
    baseUrl: string;
    pluginBaseUrl: string;
    package: IApplication;
    name: string;
    description: string;
    appState: ApplicationState;
    isPackageBlueprint: boolean;
    exportedPlugins$: BehaviorSubject<ApplicationPlugin[]>;
    isChangingAvailability: boolean;
    isOwnedByCurrentTenant: boolean;
    isAllowedToCreateSubtenants: boolean;
    packageContentState: ApplicationState;
    packageType: PackageType;
    packageAvailability: ApplicationAvailability;
    selectedPlugin: ApplicationPlugin;
    readonly packageTypeLabels: {
        COMMUNITY: {
            label: "COMMUNITY`Package created by the developer community.`";
            tooltip: "Package created by the developer community.";
        };
        OFFICIAL: {
            label: "OFFICIAL`Package maintained by Software AG.`";
            tooltip: "Package maintained by Software AG.";
        };
        UNKNOWN: {
            label: "CUSTOM`Package maintained by an unknown source.`";
            tooltip: "Package maintainer unknown.";
        };
        ARCHIVED: {
            label: "ARCHIVED`Package out of maintenance.`";
            tooltip: "The package was marked by the author as archived.";
        };
    };
    readonly PACKAGE_TYPE: typeof PackageType;
    readonly packageProperties: PropertiesListItem[];
    constructor(activatedRoute: ActivatedRoute, wizardModalService: WizardModalService, ecosystemService: EcosystemService, contextRouteService: ContextRouteService, pluginsService: PluginsService, packageAvailabilityService: PackageAvailabilityService, ui: AppStateService, gainsightService: GainsightService);
    ngOnInit(): Promise<void>;
    deploy(): void;
    togglePackageAvailability(pckg: IApplication, newAvailability: ApplicationAvailability): Promise<void>;
    showPluginOverview(plugin: ApplicationPlugin): Promise<void>;
    closeOverview(): void;
    private loadData;
    private extractPackageMFExports;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PackageDetailsComponent, "c8y-package-details", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=package-details.component.d.ts.map