import { EventEmitter, SimpleChanges } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ApplicationService, IApplication, IManifest } from '@c8y/client';
import { AlertService, ApplicationPlugin, ContextRouteService, PropertiesListItem } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class PackageContentsComponent {
    private activatedRoute;
    private applicationService;
    private alertService;
    private contextRouteService;
    selectedVersion: string;
    selectedPlugin: ApplicationPlugin;
    showOverview: EventEmitter<ApplicationPlugin>;
    selectedVersionManifest: IManifest;
    package: IApplication;
    isLoading: boolean;
    previousVersion: string | null;
    readonly packageVersionProperties: PropertiesListItem[];
    constructor(activatedRoute: ActivatedRoute, applicationService: ApplicationService, alertService: AlertService, contextRouteService: ContextRouteService);
    showPluginOverview(plugin: ApplicationPlugin): void;
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    loadManifest(version: string): Promise<void>;
    private getManifest;
    private getPreviousVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageContentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PackageContentsComponent, "c8y-package-contents", never, { "selectedVersion": { "alias": "selectedVersion"; "required": false; }; "selectedPlugin": { "alias": "selectedPlugin"; "required": false; }; }, { "showOverview": "showOverview"; }, never, never, false, never>;
}
//# sourceMappingURL=packages-contents.component.d.ts.map