import { ApplicationService, IApplication, ApplicationAvailability } from '@c8y/client';
import { AlertService, WizardComponent } from '@c8y/ngx-components';
import { BehaviorSubject } from 'rxjs';
import { EcosystemService } from './ecosystem.service';
import { TranslateService } from '@ngx-translate/core';
import { PackageAvailabilityService } from './package-availability.service';
import { SupportedIconsSuggestions } from '@c8y/ngx-components/icon-selector/icons';
import * as i0 from "@angular/core";
export declare class AddApplicationComponent {
    private ecosystemService;
    private alertService;
    private applicationService;
    private wizardComponent;
    private translateService;
    private packageAvailability;
    headerText: string;
    headerIcon: SupportedIconsSuggestions;
    successText: string;
    createApplicationHandler: any;
    uploadApplicationHandler: any;
    canGoBack: boolean;
    applicationType: 'application' | 'package';
    dropAreaComponent: any;
    isLoading: boolean;
    isAppCreated: boolean;
    createdApp: IApplication;
    canOpenInBrowser: boolean;
    errorMessage: string;
    selectedAvailability: ApplicationAvailability;
    availabilityHelpPopoverText: "\n      <p class=\"m-b-8\"><b>Shared</b> availability will make the package available to all subtenants without explicitly subscribing the package.</p>\n      <p class=\"m-b-8\"><b>Market</b> availability will make the package available to your own tenant and needs to be subscribed to subtenants individually.</p>\n      <p class=\"m-b-8\"><b>Private</b> availability will make the package only available to your own tenant.</p>\n  ";
    private uploadCanceled;
    constructor(ecosystemService: EcosystemService, alertService: AlertService, applicationService: ApplicationService, wizardComponent: WizardComponent, translateService: TranslateService, packageAvailability: PackageAvailabilityService);
    get progress(): BehaviorSubject<number>;
    onFileDroppedEvent(event: any): void;
    onFile(file: File): Promise<void>;
    getHref(app: IApplication): string;
    cancel(): void;
    done(): void;
    back(): void;
    private cancelFileUpload;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddApplicationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddApplicationComponent, "c8y-add-application", never, { "headerText": { "alias": "headerText"; "required": false; }; "headerIcon": { "alias": "headerIcon"; "required": false; }; "successText": { "alias": "successText"; "required": false; }; "createApplicationHandler": { "alias": "createApplicationHandler"; "required": false; }; "uploadApplicationHandler": { "alias": "uploadApplicationHandler"; "required": false; }; "canGoBack": { "alias": "canGoBack"; "required": false; }; "applicationType": { "alias": "applicationType"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=add-application.component.d.ts.map