import { EventEmitter } from '@angular/core';
import { ApplicationService, IApplication } from '@c8y/client';
import { C8yStepper, GainsightService } from '@c8y/ngx-components';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BehaviorSubject, Observable } from 'rxjs';
import { EcosystemService } from '../../ecosystem.service';
import { ApplicationPropertiesFormComponent } from '../../../shared/application-properties-form.component';
import * as i0 from "@angular/core";
export declare class DuplicateApplicationPropertiesComponent {
    private bsModalRef;
    private ecosystemService;
    private applicationService;
    private gainsightService;
    CURRENT_LOCATION: string;
    stepper: C8yStepper;
    existingApps: IApplication[];
    selectedApp: BehaviorSubject<IApplication>;
    isFirstStep: boolean;
    duplicatedApp: EventEmitter<IApplication>;
    applicationPropertiesForm: ApplicationPropertiesFormComponent;
    newAppConfig: IApplication;
    disableForm: boolean;
    isSubscribedApp$: Observable<boolean>;
    inProgress: boolean;
    constructor(bsModalRef: BsModalRef, ecosystemService: EcosystemService, applicationService: ApplicationService, gainsightService: GainsightService);
    ngOnInit(): void;
    duplicateApp(): Promise<void>;
    cancel(): void;
    back(): void;
    getAppConfig(): void;
    private updateApp;
    private updateManifest;
    private getAppManifest;
    static ɵfac: i0.ɵɵFactoryDeclaration<DuplicateApplicationPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DuplicateApplicationPropertiesComponent, "c8y-duplicate-application-properties", never, { "stepper": { "alias": "stepper"; "required": false; }; "existingApps": { "alias": "existingApps"; "required": false; }; "selectedApp": { "alias": "selectedApp"; "required": false; }; "isFirstStep": { "alias": "isFirstStep"; "required": false; }; }, { "duplicatedApp": "duplicatedApp"; }, never, never, false, never>;
}
//# sourceMappingURL=duplicate-application-properties.component.d.ts.map