import { ApplicationPlugin } from '@c8y/ngx-components';
/** Wizard types  */
export declare enum EcosystemWizards {
    APPLICATION_UPLOAD = "ecosystemApplicationUpload",
    MICROSERVICE_UPLOAD = "ecosystemMicroserviceUpload",
    PACKAGE_UPLOAD = "ecosystemPackageUpload",
    BLUEPRINT_DEPLOYMENT = "ecosystemBlueprintDeployment",
    LICENSE_CONFIRM = "ecosystemLicenseConfirm",
    ARCHIVED_CONFIRM = "ecosystemArchivedConfirm"
}
export declare enum ERROR_TYPE {
    TYPE_VALIDATION = "TYPE_VALIDATION",
    ALREADY_SUBSCRIBED = "ALREADY_SUBSCRIBED",
    ALREADY_EXIST = "ALREADY_EXIST",
    INTERNAL_ERROR = "INTERNAL_ERROR",
    NO_MANIFEST_FILE = "NO_MANIFEST_FILE",
    INVALID_PACKAGE = "INVALID_PACKAGE",
    INVALID_APPLICATION = "INVALID_APPLICATION",
    MICROSERVICE_NAME_TOO_LONG = "MICROSERVICE_NAME_TOO_LONG",
    APPLICATION_CREATION_FAILED = "APPLICATION_CREATION_FAILED",
    KEY_OR_CONTEXT_PATH_MISMATCH = "KEY_OR_CONTEXT_PATH_MISMATCH",
    VERSION_NOT_FOUND = "VERSION_NOT_FOUND"
}
export type LicensedApplicationPlugin = Pick<ApplicationPlugin, 'type' | 'license' | 'name' | 'version' | 'contextPath'>;
export declare const PRODUCT_EXPERIENCE_ECOSYSTEM: {
    readonly APPLICATIONS: {
        readonly EVENTS: {
            readonly AVAILABILITY: "availability";
            readonly APPLICATION_CARD: "applicationCard";
            readonly APPLICATION_PROPERTIES: "applicationProperties";
            readonly DEPLOY_APPLICATION: "deployApplication";
            readonly DUPLICATE_APPLICATION: "duplicateApplication";
            readonly INSTALLED_PLUGINS: "installedPlugins";
            readonly PACKAGE_PLUGINS: "packagePlugins";
            readonly PACKAGE_VERSIONS: "packageVersions";
            readonly FILTER_LIST: "filterList";
        };
        readonly COMPONENTS: {
            readonly APPLICATION_CARD: "application-card";
            readonly APPLICATION_PLUGINS: "application-plugins";
            readonly APPLICATION_PROPERTIES: "application-properties";
            readonly DEPLOY_APPLICATION: "deploy-application";
            readonly DUPLICATE_APPLICATION_PROPERTIES: "duplicate-application-properties";
            readonly PLUGIN_LIST: "plugin-list";
            readonly PACKAGE_VERSIONS: "package-versions-list";
            readonly UPDATE_PLUGIN_OF_APP: "update-plugin-of-app";
            readonly LIST_FILTERS: "list-filters";
            readonly PACKAGE_DETAILS: "package-details";
        };
        readonly ACTIONS: {
            readonly AVAILABILITY_CHANGE: "availabilityChange";
            readonly CANCEL: "cancel";
            readonly CLONE: "clone";
            readonly CHANGE_PLUGIN_VERSION: "changePluginVersion";
            readonly DELETE: "delete";
            readonly DOWNLOAD: "download";
            readonly DEPLOY_APPLICATION: "deployApplication";
            readonly EDIT: "edit";
            readonly INSTALL_PLUGIN: "installPlugin";
            readonly INSTALL_PLUGINS: "installPlugins";
            readonly UNINSTALL_PLUGIN: "uninstallPlugin";
            readonly SELECT_VERSION: "selectVersion";
            readonly SET_AS_LATEST: "setAsLatest";
            readonly UPDATE_AVAILABLE: "updateAvailable";
            readonly UPLOAD: "upload";
            readonly SET_FILTER_TERM: "setFilterTerm";
            readonly SET_PREDEFINED_FILTERS: "setPredefinedFilters";
            readonly RESET_FILTER: "resetFilter";
            readonly INSTALL_PLUGINS_INITIATED: "installPluginsInitiated";
            readonly DEPLOY_APPLICATION_INITIATED: "deployApplicationInitiated";
        };
        readonly RESULTS: {
            readonly DEPLOYED: "deployed";
            readonly DUPLICATED: "duplicated";
            readonly PLUGIN_INSTALLED: "pluginInstalled";
            readonly PLUGIN_REMOVED: "pluginRemoved";
            readonly PLUGIN_VERSION_CHANGED: "pluginVersionChanged";
            readonly SERVER_FAILURE: "serverFailure";
            readonly SUCCESS: "success";
        };
    };
};
//# sourceMappingURL=ecosystem.model.d.ts.map