import { OnChanges } from '@angular/core';
import { IApplication } from '@c8y/client';
import * as i0 from "@angular/core";
/**
 * Component to display the change log of a package.
 * It fetches the change log file from the package's repository and displays it.
 * It can fetch the change log for the latest version or a specific version if provided.
 * It can also compare the change log with the previous version if provided and display the difference between the two versions.
 */
export declare class PackageChangelogComponent implements OnChanges {
    package: IApplication;
    selectedVersion: string;
    previousVersion: string | null;
    changelog: string;
    baseUrl: string;
    isLoading: boolean;
    private pluginsService;
    ngOnChanges(): Promise<void>;
    private getChangeLog;
    private baseUrlForVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<PackageChangelogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PackageChangelogComponent, "c8y-contents-changelog", never, { "package": { "alias": "package"; "required": false; }; "selectedVersion": { "alias": "selectedVersion"; "required": false; }; "previousVersion": { "alias": "previousVersion"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=package-changelog.component.d.ts.map