import * as i0 from '@angular/core';
import { Injectable, NgModule } from '@angular/core';
import { gettext, hookTab } from '@c8y/ngx-components';
import { BrandingTabFactory, BRANDING_EDIT_CHILD_ROUTES, SharedBrandingModule } from '@c8y/ngx-components/branding/shared';

const advancedTabLabel = gettext('Advanced branding');
class PlainBrandingEditorTabFactory extends BrandingTabFactory {
    getTabsForVersion(name) {
        return [
            {
                path: this.getPathForBranding(name, 'advanced'),
                label: advancedTabLabel,
                icon: 'c8y-css',
                priority: 200
            }
        ];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorTabFactory, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorTabFactory, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorTabFactory, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

BRANDING_EDIT_CHILD_ROUTES.push({
    path: 'advanced',
    loadComponent: () => import('@c8y/ngx-components/branding/plain-branding-editor/lazy').then(m => m.AdvancedEditBrandingComponent),
    data: {
        tabName: advancedTabLabel
    }
});
class PlainBrandingEditorModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorModule, imports: [SharedBrandingModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorModule, providers: [hookTab(PlainBrandingEditorTabFactory)], imports: [SharedBrandingModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PlainBrandingEditorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [SharedBrandingModule],
                    providers: [hookTab(PlainBrandingEditorTabFactory)]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PlainBrandingEditorModule };
//# sourceMappingURL=c8y-ngx-components-branding-plain-branding-editor.mjs.map
