import * as i0 from '@angular/core';
import { Component, NgModule } from '@angular/core';
import * as i1 from '@c8y/ngx-components';
import { CoreModule, FormsModule, hookWizard } from '@c8y/ngx-components';
import { SharedEcosystemModule, EcosystemWizards } from '@c8y/ngx-components/ecosystem/shared';

class ArchivedConfirmModalComponent {
    constructor(wizardComponent) {
        this.wizardComponent = wizardComponent;
    }
    cancel() {
        this.wizardComponent.close(false);
    }
    continue() {
        this.wizardComponent.close(true);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModalComponent, deps: [{ token: i1.WizardComponent }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: ArchivedConfirmModalComponent, selector: "c8y-archived-confirm-modal", ngImport: i0, template: "<c8y-wizard-header>\n  <i c8yIcon=\"c8y-archive\"></i>\n  <div\n    class=\"modal-title h4\"\n    id=\"modal-title\"\n    translate\n  >\n    Package archived`dialog title`\n  </div>\n</c8y-wizard-header>\n<c8y-wizard-body>\n  <div class=\"m-t-16 m-l-32 m-r-32\">\n    <div class=\"m-t-8\">\n      <div class=\"text-center m-b-16 h4\">\n        <i\n          class=\"text-warning d-block icon-40 m-b-8\"\n          c8yIcon=\"exclamation-circle\"\n        ></i>\n        {{ 'The package was archived' | translate }}\n      </div>\n      <p class=\"m-b-16\">\n        {{\n          \"This package has been archived by its author, which typically means it's no longer being maintained. We don't recommend installing plugins from abandoned packages. Would you still like to proceed?\"\n            | translate\n        }}\n      </p>\n    </div>\n  </div>\n</c8y-wizard-body>\n<c8y-wizard-footer>\n  <button\n    class=\"btn btn-default\"\n    (click)=\"cancel()\"\n  >\n    {{ 'Close' | translate }}\n  </button>\n\n  <button\n    class=\"btn btn-default\"\n    (click)=\"continue()\"\n  >\n    {{ 'Continue`installing an archived package`' | translate }}\n  </button>\n</c8y-wizard-footer>\n", dependencies: [{ kind: "directive", type: i1.IconDirective, selector: "[c8yIcon]", inputs: ["c8yIcon"] }, { kind: "directive", type: i1.C8yTranslateDirective, selector: "[translate],[ngx-translate]" }, { kind: "component", type: i1.WizardHeaderComponent, selector: "c8y-wizard-header" }, { kind: "component", type: i1.WizardBodyComponent, selector: "c8y-wizard-body" }, { kind: "component", type: i1.WizardFooterComponent, selector: "c8y-wizard-footer" }, { kind: "pipe", type: i1.C8yTranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'c8y-archived-confirm-modal', template: "<c8y-wizard-header>\n  <i c8yIcon=\"c8y-archive\"></i>\n  <div\n    class=\"modal-title h4\"\n    id=\"modal-title\"\n    translate\n  >\n    Package archived`dialog title`\n  </div>\n</c8y-wizard-header>\n<c8y-wizard-body>\n  <div class=\"m-t-16 m-l-32 m-r-32\">\n    <div class=\"m-t-8\">\n      <div class=\"text-center m-b-16 h4\">\n        <i\n          class=\"text-warning d-block icon-40 m-b-8\"\n          c8yIcon=\"exclamation-circle\"\n        ></i>\n        {{ 'The package was archived' | translate }}\n      </div>\n      <p class=\"m-b-16\">\n        {{\n          \"This package has been archived by its author, which typically means it's no longer being maintained. We don't recommend installing plugins from abandoned packages. Would you still like to proceed?\"\n            | translate\n        }}\n      </p>\n    </div>\n  </div>\n</c8y-wizard-body>\n<c8y-wizard-footer>\n  <button\n    class=\"btn btn-default\"\n    (click)=\"cancel()\"\n  >\n    {{ 'Close' | translate }}\n  </button>\n\n  <button\n    class=\"btn btn-default\"\n    (click)=\"continue()\"\n  >\n    {{ 'Continue`installing an archived package`' | translate }}\n  </button>\n</c8y-wizard-footer>\n" }]
        }], ctorParameters: () => [{ type: i1.WizardComponent }] });

class ArchivedConfirmModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModule, declarations: [ArchivedConfirmModalComponent], imports: [CoreModule, FormsModule, SharedEcosystemModule], exports: [ArchivedConfirmModalComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModule, providers: [
            hookWizard({
                wizardId: EcosystemWizards.ARCHIVED_CONFIRM,
                component: ArchivedConfirmModalComponent,
                name: undefined
            })
        ], imports: [CoreModule, FormsModule, SharedEcosystemModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ArchivedConfirmModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ArchivedConfirmModalComponent],
                    imports: [CoreModule, FormsModule, SharedEcosystemModule],
                    exports: [ArchivedConfirmModalComponent],
                    providers: [
                        hookWizard({
                            wizardId: EcosystemWizards.ARCHIVED_CONFIRM,
                            component: ArchivedConfirmModalComponent,
                            name: undefined
                        })
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ArchivedConfirmModalComponent, ArchivedConfirmModule };
//# sourceMappingURL=c8y-ngx-components-ecosystem-archived-confirm.mjs.map
