import { gettext } from '@c8y/ngx-components/gettext';

const userInterfaceIcons = [
    ['newspaper-o'],
    ['creative-commons'],
    ['spinner', 'loading', 'busy', 'wheel'],
    ['trademark'],
    ['toggle-on'],
    ['toggle-off'],
    ['ticket'],
    ['spoon'],
    ['sort-numeric-desc'],
    ['sort-numeric-asc'],
    ['snowflake-o'],
    ['shower'],
    ['percent'],
    ['paw'],
    ['mouse-pointer'],
    ['lemon-o'],
    ['leaf'],
    ['diamond'],
    ['braille'],
    ['bomb'],
    ['binoculars'],
    ['eject'],
    ['touch-app'],
    ['soccer', 'football', 'futbol-o', 'soccer-ball-o'],
    ['mood', 'meh-o', 'frown-o', 'smile-o'],
    ['deaf', 'deafness', 'hard-of-hearing'],
    ['assistive-listening-systems'],
    ['american-sign-language-interpreting', 'asl-interpreting'],
    ['cc', 'closed-caption'],
    ['anchor'],
    ['accessibility-settings'],
    ['info', 'info-circle'],
    ['warning', 'report-problem', 'exclamation-triangle'],
    ['exclamation-circle', 'error'],
    ['high-priority'],
    ['spam'],
    ['help', 'question-circle', 'question'],
    ['help-outline', 'question-circle-o'],
    ['approval', 'trophy'],
    ['unverified-account'],
    ['automatic-gearbox-warning', 'exclamation-circle1'],
    ['user-manual'],
    ['stages1'],
    ['menu', 'reorder', 'navicon', 'bars', 'hamburger'],
    ['menu-vertical', 'ellipsis-v'],
    ['app-switcher'],
    ['menu-horizontal', 'ellipsis-h'],
    ['plus-math', 'plus'],
    ['subtract', 'minus'],
    ['clear', 'close', 'remove', 'times'],
    ['equals'],
    ['exclamation'],
    ['check'],
    ['upvote-downvote'],
    ['math'],
    ['less-than1'],
    ['more-than'],
    ['circled-notch', 'circle-o-notch'],
    ['inactive-state'],
    ['storage1'],
    ['lifebuoy', 'life-buoy', 'life-ring', 'life-saver'],
    ['wait'],
    ['block', 'ban'],
    ['copy1', 'clone'],
    ['paste1', 'clipboard'],
    ['search-more'],
    ['search'],
    ['mobile-zoom-in', 'search-plus'],
    ['mobile-zoom-out', 'search-minus'],
    ['product1'],
    ['trash-can', 'trash'],
    ['editing-trash', 'trash-o'],
    ['delete-bin'],
    ['eye'],
    ['visibility-off', 'low-vision', 'eye-slash', 'blind'],
    ['double-tap'],
    ['heart', 'heart-o'],
    ['unheart'],
    ['science', 'flask'],
    ['school', 'graduation-cap', 'mortar-board'],
    ['badge1'],
    ['data-quality'],
    ['brightness-low', 'brightness-5', 'sun-o'],
    ['bedtime', 'moon-o', 'moon'],
    ['add-identity-provider'],
    ['bookmark-outline', 'turned-in-not', 'bookmark-o', 'unbookmark'],
    ['bookmark', 'turned-in'],
    ['check-box', 'check-square', 'check-square-o', 'checkbox-selected'],
    ['add-box', 'plus-square'],
    ['indeterminate-check-box', 'minus-square'],
    ['duplicate'],
    ['check-box-outline-blank', 'square-o'],
    ['checkbox-unselected'],
    ['add-new', 'plus-square-o'],
    ['negative', 'minus-square-o'],
    ['multiplication', 'times-rectangle-o', 'times-rectangle'],
    ['ratio'],
    ['circle'],
    ['contrast1'],
    ['connection-status-on'],
    ['ok', 'check-circle', 'check-circle-o', 'success'],
    ['cross-circle', 'times-circle', 'times-circle-o'],
    ['add', 'plus-circle'],
    ['minus-circle', 'minus-sign'],
    ['radio-button-unchecked', 'circle-o', 'circle-thin'],
    ['add-circle-outline', 'plus-circle-o'],
    ['local-fire-department', 'fire'],
    ['outlined-flag', 'flag-o'],
    ['flag', 'assistant-photo', 'flag-checkered'],
    ['flash-on', 'bolt'],
    ['quick-mode-on', 'flash'],
    ['quick-mode-off'],
    ['videogame-asset', 'gamepad'],
    ['portraits'],
    ['extension', 'puzzle', 'puzzle-piece'],
    ['star-outline', 'star-o', 'unstar'],
    ['star-half', 'star-half-empty', 'star-half-full', 'star-half-o'],
    ['star', 'grade'],
    ['home-page', 'home'],
    ['attach', 'paper-clip', 'paperclip'],
    ['link1'],
    ['unlink1'],
    ['online1'],
    ['offline'],
    ['notification', 'notifications', 'bell', 'bell-o'],
    ['alarm'],
    ['no-reminders', 'bell-slash', 'bell-slash-o'],
    ['medium-priority'],
    ['sliders1', 'sliders2', 'adjust1'],
    ['tune', 'customize'],
    ['button'],
    ['breadcrumb'],
    ['window-minimize'],
    ['versions'],
    ['pages'],
    ['change-theme', 'window-restore'],
    ['landing-page'],
    ['continuous-mode'],
    ['ruler-pencil'],
    ['header1'],
    ['body'],
    ['footer'],
    ['logs'],
    ['overview'],
    ['tab'],
    ['cursor-in-window'],
    ['advertisement-page', 'share-square-o', 'share-square', 'share1'],
    ['external-link'],
    ['level-up'],
    ['trigger'],
    ['rules1'],
    ['email'],
    ['form'],
    ['language1'],
    ['loading-bar'],
    ['output'],
    ['save1', 'floppy-o'],
    ['single-choice'],
    ['single-page-mode'],
    ['skip'],
    ['support', 'wrench'],
    ['maintenance', 'utility'],
    ['themes'],
    ['book1'],
    ['top-menu'],
    ['user-menu-male'],
    ['hint'],
    ['xlarge-icons1'],
    ['circled-menu'],
    ['keypad'],
    ['cake', 'birthday-cake'],
    ['intelligence1'],
    ['beginner'],
    ['restaurant', 'cutlery'],
    ['local-cafe', 'free-breakfast', 'coffee'],
    ['wine-bar', 'glass'],
    ['espresso-cup'],
    ['broom'],
    ['buy-upgrade'],
    ['speedometer'],
    ['dashboard', 'tachometer'],
    ['palette'],
    ['car-battery'],
    ['magnetic', 'magnet1'],
    ['right-navigation-toolbar'],
    ['tilt'],
    ['clear-symbol'],
    ['settings', 'cog', 'gear'],
    ['advanced-search', 'heartbeat'],
    ['installing-updates'],
    ['heating-automation'],
    ['impressum']
];
const userInterfaceIconCategory = {
    label: gettext('User interface`icons-category`'),
    icons: userInterfaceIcons
};

/**
 * Generated bundle index. Do not edit.
 */

export { userInterfaceIconCategory, userInterfaceIcons };
//# sourceMappingURL=c8y-ngx-components-icon-selector-icons-userInterface.mjs.map
