import { gettext } from '@c8y/ngx-components';

var LWM2MEndpoint;
(function (LWM2MEndpoint) {
    LWM2MEndpoint["deviceSettings"] = "basic";
    LWM2MEndpoint["connectivity"] = "connectivity";
    LWM2MEndpoint["firmware"] = "firmware";
    LWM2MEndpoint["servers"] = "servers";
    LWM2MEndpoint["bootstrap"] = "bootstrap";
})(LWM2MEndpoint || (LWM2MEndpoint = {}));
var SecurityMode;
(function (SecurityMode) {
    SecurityMode["NO_SEC"] = "NO_SEC";
    SecurityMode["PSK"] = "PSK";
})(SecurityMode || (SecurityMode = {}));
var Mode;
(function (Mode) {
    Mode["DISABLED"] = "DISABLED";
    Mode["NO_SEC"] = "NO_SEC";
    Mode["PSK"] = "PSK";
    Mode["X509"] = "X509";
    Mode["X509_EST"] = "X509_USING_EST";
})(Mode || (Mode = {}));
var BindingMode;
(function (BindingMode) {
    BindingMode["U"] = "U";
    BindingMode["UQ"] = "UQ";
})(BindingMode || (BindingMode = {}));
var BinaryEncoding;
(function (BinaryEncoding) {
    BinaryEncoding["OPAQUE"] = "OPAQUE";
    BinaryEncoding["TLV"] = "TLV";
})(BinaryEncoding || (BinaryEncoding = {}));
var SerializationFormat;
(function (SerializationFormat) {
    SerializationFormat["TLV"] = "TLV";
    SerializationFormat["JSON"] = "JSON";
    SerializationFormat["CBOR"] = "CBOR";
    SerializationFormat["TEXT"] = "TEXT";
    SerializationFormat["OPAQUE"] = "OPAQUE";
    SerializationFormat["SENML_JSON"] = "SENML_JSON";
    SerializationFormat["SENML_CBOR"] = "SENML_CBOR";
})(SerializationFormat || (SerializationFormat = {}));
var CertificateUsage;
(function (CertificateUsage) {
    CertificateUsage["CA_CONSTRAINT"] = "CA_CONSTRAINT";
    CertificateUsage["SC_CONSTRAINT"] = "SERVICE_CERTIFICATE_CONSTRAINT";
    CertificateUsage["TA_ASSERTION"] = "TRUST_ANCHOR_ASSERTION";
    CertificateUsage["DI_CERTIFICATE"] = "DOMAIN_ISSUER_CERTIFICATE";
})(CertificateUsage || (CertificateUsage = {}));
var FWU_DeliveryMethod;
(function (FWU_DeliveryMethod) {
    FWU_DeliveryMethod["PULL"] = "PULL";
    FWU_DeliveryMethod["PUSH"] = "PUSH";
    FWU_DeliveryMethod["BOTH"] = "BOTH";
})(FWU_DeliveryMethod || (FWU_DeliveryMethod = {}));
var FWU_SupportedDeviceProtocol;
(function (FWU_SupportedDeviceProtocol) {
    FWU_SupportedDeviceProtocol["COAP"] = "COAP";
    FWU_SupportedDeviceProtocol["COAPS"] = "COAPS";
    FWU_SupportedDeviceProtocol["HTTP"] = "HTTP";
    FWU_SupportedDeviceProtocol["HTTPS"] = "HTTPS";
})(FWU_SupportedDeviceProtocol || (FWU_SupportedDeviceProtocol = {}));
var FWU_ResetMechanism;
(function (FWU_ResetMechanism) {
    FWU_ResetMechanism["PACKAGE"] = "PACKAGE";
    FWU_ResetMechanism["PACKAGE_URI"] = "PACKAGE_URI";
})(FWU_ResetMechanism || (FWU_ResetMechanism = {}));
var ValidationType;
(function (ValidationType) {
    ValidationType["X509"] = "x509certificate";
    ValidationType["PRIVATE_KEY"] = "certificatePrivateKey";
})(ValidationType || (ValidationType = {}));
var AutoManageAvailabilty;
(function (AutoManageAvailabilty) {
    AutoManageAvailabilty["YES"] = "1";
    AutoManageAvailabilty["NO"] = "0";
})(AutoManageAvailabilty || (AutoManageAvailabilty = {}));
const agentName = 'lwm2m-agent';
const agentBaseUrl = `/service/${agentName}`;
const c8y_lwm2m = 'c8y_lwm2m';
const permissionAlert = {
    text: gettext('You do not have write permissions. This form is read-only.'),
    type: 'info'
};
const lwm2mRegisterDeviceStringsIncomingFromMS = {
    '^Disable automated firmware update workflow$': {
        gettext: gettext('Disable automated firmware update workflow')
    },
    '^Disable default internal object actions$': {
        gettext: gettext('Disable default internal object actions')
    },
    '^Turns off the firmware update functionality over LWM2M for the given device.$': {
        gettext: gettext('Turns off the firmware update functionality over LWM2M for the given device')
    },
    '^Turns off automatic handling of objects 3,4 and 6$': {
        gettext: gettext('Turns off automatic handling of objects 3, 4 and 6')
    },
    '^Indicates the preferred content format for LWM2M-Agent to use to communicate with the device$': {
        gettext: gettext('Indicates the preferred content format for the LWM2M agent to use to communicate with the devices')
    },
    '^If set to true, the LWM2M agent resets the firmware state machine before initiating the actual firmware update operation.$': {
        gettext: gettext('If set to true, the LWM2M agent resets the firmware state machine before initiating the actual firmware update operation')
    }
};

/**
 * Generated bundle index. Do not edit.
 */

export { AutoManageAvailabilty, BinaryEncoding, BindingMode, CertificateUsage, FWU_DeliveryMethod, FWU_ResetMechanism, FWU_SupportedDeviceProtocol, LWM2MEndpoint, Mode, SecurityMode, SerializationFormat, ValidationType, agentBaseUrl, agentName, c8y_lwm2m, lwm2mRegisterDeviceStringsIncomingFromMS, permissionAlert };
//# sourceMappingURL=c8y-ngx-components-protocol-lwm2m-model.mjs.map
