import { gettext, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const criticalAlarmsWidgetDefinition = {
    id: defaultWidgetIds.ALL_CRITICAL_ALARMS,
    label: gettext('All critical alarms'),
    description: gettext(`Display all critical alarms from all devices`),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/alarms').then(m => m.AlarmListWidgetComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/alarms').then(m => m.AlarmListWidgetConfigComponent),
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=AlarmListWidgetConfig!@c8y/ngx-components/widgets/implementations/alarms'),
        settings: {
            criticalAlarmsWidget: true,
            noNewWidgets: true,
            widgetDefaults: {
                _width: 4,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: false,
                    groupsSelectable: true,
                    deviceTargetNotRequired: true
                }
            }
        },
        displaySettings: {
            globalAutoRefreshContext: true
        }
    }
};
const criticalAlarmsWidgetProviders = [hookWidget(criticalAlarmsWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { criticalAlarmsWidgetDefinition, criticalAlarmsWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-alarms-all-critical-alarms.mjs.map
