import { gettext, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const recentAlarmsDefinition = {
    id: defaultWidgetIds.RECENT_ALARMS,
    label: gettext('Recent alarms'),
    description: gettext('Log of recent alarms from all devices with any severity and status'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/alarms').then(m => m.AlarmListWidgetComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/alarms').then(m => m.AlarmListWidgetConfigComponent),
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=AlarmListWidgetConfig!@c8y/ngx-components/widgets/implementations/alarms'),
        settings: {
            recentAlarmsWidget: true,
            noNewWidgets: true,
            widgetDefaults: {
                _width: 4,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: false,
                    groupsSelectable: true,
                    deviceTargetNotRequired: true
                }
            }
        },
        displaySettings: {
            globalAutoRefreshContext: true
        }
    }
};
const recentAlarmsWidgetProviders = [hookWidget(recentAlarmsDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { recentAlarmsDefinition, recentAlarmsWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-alarms-recent-alarms.mjs.map
