import { gettext, AppSwitcherInlineComponent, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const applicationsWidgetDefinition = {
    id: defaultWidgetIds.APPLICATIONS,
    label: gettext('Applications'),
    description: gettext('Displays the list of links to available applications.'),
    component: AppSwitcherInlineComponent,
    previewImage: 'c8y-style-assets/applications-widget-pr.png',
    data: {
        settings: {
            noNewWidgets: false,
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const applicationsWidgetProviders = [hookWidget(applicationsWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { applicationsWidgetDefinition, applicationsWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-applications.mjs.map
