import { gettext, DynamicManagedObjectResolver, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const assetNotesWidgetDefinition = {
    id: defaultWidgetIds.ASSET_NOTES,
    label: gettext('Asset notes'),
    description: gettext(`Displays editable asset notes.`),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/asset-notes').then(m => m.AssetNotesWidgetComponent),
    previewImage: 'c8y-style-assets/dm-asset-notes-widget.png',
    resolve: {
        device: DynamicManagedObjectResolver
    },
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=AssetNotesConfig!@c8y/ngx-components/widgets/implementations/asset-notes'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    groupsSelectable: true
                }
            }
        }
    }
};
const assetNotesWidgetProviders = [hookWidget(assetNotesWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { assetNotesWidgetDefinition, assetNotesWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-asset-notes.mjs.map
