import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const legacyCockpitWelcomeWidgetDefinition = {
    id: defaultWidgetIds.LEGACY_COCKPIT_WELCOME,
    label: gettext('Welcome to Cockpit'),
    description: gettext('Displays a welcome message for Cockpit'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/cockpit-legacy-welcome').then(m => m.CockpitLegacyWelcomeWidgetComponent),
    data: {
        settings: {
            noNewWidgets: true,
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const legacyCockpitWelcomeWidgetProviders = [
    hookWidget(legacyCockpitWelcomeWidgetDefinition)
];

/**
 * Generated bundle index. Do not edit.
 */

export { legacyCockpitWelcomeWidgetDefinition, legacyCockpitWelcomeWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-cockpit-legacy-welcome.mjs.map
