import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const cockpitWelcomeWidgetDefinition = {
    id: defaultWidgetIds.COCKPIT_WELCOME,
    label: gettext('Welcome to Cockpit'),
    description: gettext('Displays a welcome message for Cockpit'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/cockpit-welcome').then(m => m.WelcomeToCockpitComponent),
    previewImage: 'c8y-style-assets/welcome-widget-pr.png',
    data: {
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 24,
                _height: 6
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const cockpitWelcomeWidgetProviders = [hookWidget(cockpitWelcomeWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { cockpitWelcomeWidgetDefinition, cockpitWelcomeWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-cockpit-welcome.mjs.map
