import { gettext, DynamicManagedObjectResolver, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const deviceControlMessageWidgetDefinition = {
    id: defaultWidgetIds.DEVICE_CONTROL_MESSAGE_WIDGET,
    label: gettext('Message sending'),
    description: gettext(`Remotely send a message to a device`),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/device-control-message').then(m => m.DeviceControlMessageWidgetViewComponent),
    resolve: {
        device: DynamicManagedObjectResolver
    },
    previewImage: 'c8y-style-assets/device-control-message-widget.png',
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=DeviceControlMessageWidgetConfig!@c8y/ngx-components/widgets/implementations/device-control-message'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    groupsSelectable: false
                }
            }
        }
    }
};
const deviceControlMessageWidgetProviders = [
    hookWidget(deviceControlMessageWidgetDefinition)
];

/**
 * Generated bundle index. Do not edit.
 */

export { deviceControlMessageWidgetDefinition, deviceControlMessageWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-device-control-message.mjs.map
