import { gettext } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const deviceManagementWelcomeWidgetDefinition = {
    id: defaultWidgetIds.DEVICE_MANAGEMENT_WELCOME,
    label: gettext('Quick links'),
    description: gettext('Displays quick links for Device Management'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/device-management-welcome').then(m => m.WelcomeToDeviceManagementComponent),
    previewImage: 'c8y-style-assets/dm-welcome-widget-pr.png',
    data: {
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 12,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};

/**
 * Generated bundle index. Do not edit.
 */

export { deviceManagementWelcomeWidgetDefinition };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-device-management-welcome.mjs.map
