import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const helpAndServiceWidgetDefinition = {
    id: defaultWidgetIds.HELP_AND_SERVICE,
    label: gettext('Help and service'),
    description: gettext(`Displays links to help and service resources.`),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/help-and-service-widget').then(m => m.HelpAndServiceViewComponent),
    previewImage: 'c8y-style-assets/help-and-service-widget-pr.png',
    data: {
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const helpAndServiceWidgetProviders = [hookWidget(helpAndServiceWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { helpAndServiceWidgetDefinition, helpAndServiceWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-help-and-service.mjs.map
