import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const imageWidgetDefinition = {
    id: defaultWidgetIds.IMAGE,
    label: gettext('Image'),
    description: gettext(`Display a single image selected from the user's file system.`),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/image').then(m => m.ImageWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/image').then(m => m.ImageWidgetConfigComponent),
    previewImage: 'c8y-style-assets/image-widget.png',
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=ImageWidgetConfig!@c8y/ngx-components/widgets/implementations/image'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const imageWidgetProviders = [hookWidget(imageWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { imageWidgetDefinition, imageWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-image.mjs.map
