import { gettext, DynamicDatapointsResolver, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const infoGaugeWidgetDefinition = {
    id: defaultWidgetIds.INFO_GAUGE,
    label: gettext('Info gauge'),
    description: gettext('Radial gauge and multiple label and value pairs for data points'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/info-gauge').then(m => m.InfoGaugeWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/info-gauge').then(m => m.InfoGaugeWidgetConfigComponent),
    previewImage: 'c8y-style-assets/info-gauge-widget-pr.png',
    resolve: {
        datapointsLabels: DynamicDatapointsResolver,
        datapointsGauge: DynamicDatapointsResolver
    },
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=InfoGaugeWidgetConfig!@c8y/ngx-components/widgets/implementations/info-gauge'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 4,
                _height: 2
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const infoGaugeWidgetProviders = [hookWidget(infoGaugeWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { infoGaugeWidgetDefinition, infoGaugeWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-info-gauge.mjs.map
