import { gettext, DynamicDatapointsResolver, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const kpiWidgetDefinition = {
    id: defaultWidgetIds.KPI,
    label: gettext('KPI'),
    description: gettext('Displays the last measurement value of a device.'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/kpi').then(m => m.KpiWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/kpi').then(m => m.KpiWidgetConfigComponent),
    previewImage: 'c8y-style-assets/kpi-widget.png',
    resolve: {
        datapoints: DynamicDatapointsResolver
    },
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=KpiWidgetConfig!@c8y/ngx-components/widgets/implementations/kpi'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 4,
                _height: 2
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const kpiWidgetProviders = [hookWidget(kpiWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { kpiWidgetDefinition, kpiWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-kpi.mjs.map
