import { gettext, DynamicDatapointsResolver, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const linearGaugeWidgetDefinition = {
    id: defaultWidgetIds.LINEAR_GAUGE,
    label: gettext('Linear Gauge'),
    description: gettext('A linear gauge graph displaying current values for selected measurements'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/linear-gauge').then(m => m.LinearGaugeWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/linear-gauge').then(m => m.LinearGaugeWidgetConfigComponent),
    previewImage: 'c8y-style-assets/linear-gauge-widget-pr.png',
    resolve: {
        datapoints: DynamicDatapointsResolver
    },
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=LinearGaugeWidgetConfig!@c8y/ngx-components/widgets/implementations/linear-gauge'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 4,
                _height: 3
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const linearGaugeWidgetProviders = [hookWidget(linearGaugeWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { linearGaugeWidgetDefinition, linearGaugeWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-linear-gauge.mjs.map
