import { gettext, DynamicManagedObjectResolver, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const mapWidgetDefinition = {
    id: defaultWidgetIds.MAP,
    label: gettext('Map'),
    description: gettext('Shows the position of a device or all devices in a group.'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/map').then(m => m.MapWidgetComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/map').then(m => m.MapWidgetConfigComponent),
    /*providers: [
  
    ],*/
    resolve: {
        device: DynamicManagedObjectResolver
    },
    previewImage: 'c8y-style-assets/map-widget-pr.png',
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=MapWidgetConfig!@c8y/ngx-components/widgets/implementations/map'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: false,
                    groupsSelectable: true,
                    deviceTargetNotRequired: true
                }
            }
        },
        displaySettings: {
            globalTimeContext: false,
            globalAutoRefreshContext: true,
            globalRealtimeContext: true
        }
    }
};
const mapWidgetProviders = [hookWidget(mapWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { mapWidgetDefinition, mapWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-map.mjs.map
