import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const markdownWidgetDefinition = {
    id: defaultWidgetIds.MARKDOWN,
    label: gettext('Markdown widget'),
    description: gettext('Display content provided as Markdown. You can either upload a file, or provide a file path.'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/markdown').then(m => m.MarkdownWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/markdown').then(m => m.MarkdownWidgetConfigComponent),
    previewImage: 'c8y-style-assets/markdown-widget.png',
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=MarkdownWidgetConfig!@c8y/ngx-components/widgets/implementations/markdown'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const markdownWidgetProviders = [hookWidget(markdownWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { markdownWidgetDefinition, markdownWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-markdown.mjs.map
