import { gettext, DynamicDatapointsResolver, DynamicComponentErrorStrategy, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const siloWidgetDefinition = {
    id: defaultWidgetIds.SILO,
    label: gettext('Silo'),
    description: gettext('A silo displaying current values for selected measurements'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/linear-gauge').then(m => m.LinearGaugeWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/linear-gauge').then(m => m.LinearGaugeWidgetConfigComponent),
    previewImage: 'c8y-style-assets/silo-widget-pr.png',
    resolve: {
        datapoints: DynamicDatapointsResolver
    },
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR,
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=LinearGaugeWidgetConfig!@c8y/ngx-components/widgets/implementations/linear-gauge'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 4,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: true,
                    groupsSelectable: false
                }
            }
        }
    }
};
const siloWidgetProviders = [hookWidget(siloWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { siloWidgetDefinition, siloWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-silo.mjs.map
