import { gettext, hookWidget } from '@c8y/ngx-components';
import { defaultWidgetIds } from '@c8y/ngx-components/widgets/definitions';

const threeDRotationWidgetDefinition = {
    id: defaultWidgetIds.THREE_D_ROTATION,
    label: gettext('Rotation widget'),
    description: gettext('Displays current device orientation'),
    loadComponent: () => import('@c8y/ngx-components/widgets/implementations/three-d-rotation').then(m => m.ThreeDRotationWidgetViewComponent),
    loadConfigComponent: () => import('@c8y/ngx-components/widgets/implementations/three-d-rotation').then(m => m.ThreeDRotationWidgetConfigComponent),
    previewImage: 'c8y-style-assets/rotation-widget-pr.png',
    data: {
        schema: () => import('c8y-schema-loader?interfaceName=ThreeDRotationWidgetConfig!@c8y/ngx-components/widgets/implementations/three-d-rotation'),
        settings: {
            noNewWidgets: false,
            widgetDefaults: {
                _width: 8,
                _height: 4
            },
            ng1: {
                options: {
                    noDeviceTarget: false,
                    groupsSelectable: false
                }
            }
        }
    }
};
const threeDRotationWidgetProviders = [hookWidget(threeDRotationWidgetDefinition)];

/**
 * Generated bundle index. Do not edit.
 */

export { threeDRotationWidgetDefinition, threeDRotationWidgetProviders };
//# sourceMappingURL=c8y-ngx-components-widgets-definitions-three-d-rotation.mjs.map
