import { WidgetsModule } from '@c8y/ngx-components/widgets';
import { deviceManagementWelcomeWidgetDefinition } from '@c8y/ngx-components/widgets/definitions/device-management-welcome';

const deviceManagementDefaultWidgets = [
    deviceManagementWelcomeWidgetDefinition
];
/**
 * Widgets module to be imported in your app module. The exclude list allows to exclude certain widgets.
 * Calls `WidgetsModule.config` under the hood with the `deviceManagementDefaultWidgets`.
 * ***
 * NOTE:
 * The excluded widgets will still be part of your bundle.
 * But as they are lazy loaded should not increase loading duration.
 * ***
 * @param excludeList allows to exclude specific widgets by their id.
 * @returns An empty module with some providers.
 */
function deviceManagementWidgets(excludeList) {
    return WidgetsModule.config({ widgets: deviceManagementDefaultWidgets, excludeList });
}

/**
 * Generated bundle index. Do not edit.
 */

export { deviceManagementDefaultWidgets, deviceManagementWidgets };
//# sourceMappingURL=c8y-ngx-components-widgets-device-management.mjs.map
