import { EventEmitter, InjectionToken } from '@angular/core';
/**
 * Provides InjectionToken used in FilePreviewModule. This token is used to inject EventEmitter instance, that is
 * shared among all instances of FilePreviewComponent. These components communicate between each other using this
 * emitter, which enables them to clear downloaded files from memory, if other instance of FilePreviewComponent
 * started downloading different file. Value emitted by this EventEmitter is ID of downloaded file.
 */
export declare const DOWNLOAD_EMITTER: InjectionToken<EventEmitter<string>>;
//# sourceMappingURL=download-emitter.token.d.ts.map