import { EventEmitter } from '@angular/core';
import { IManagedObjectBinary, InventoryBinaryService } from '@c8y/client';
import { ActionControl, AlertService, BulkActionControl, Column, DataGridComponent, DataSourceModifier, DisplayOptions, FilesService, LoadMoreMode, ModalService, Pagination, Row, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Subject } from 'rxjs';
import { FilesRepositoryService } from './files-repository.service';
import * as i0 from "@angular/core";
export declare class FilesRepositoryComponent {
    private filesRepositoryService;
    private inventoryBinaryService;
    private modalService;
    private alertService;
    private bsModalService;
    private fileService;
    private translateService;
    dataGrid: DataGridComponent;
    destroy$: Subject<boolean>;
    title: string;
    managementTitle: string;
    loadMoreItemsLabel: string;
    loadingItemsLabel: string;
    isLoading: boolean;
    displayOptions: DisplayOptions;
    columns: Column[];
    pagination: Pagination;
    infiniteScroll: LoadMoreMode;
    serverSideDataCallback: ServerSideDataCallback;
    returnedDataSize: number;
    selectable: boolean;
    actionControls: ActionControl[];
    bulkActionControls: BulkActionControl[];
    refresh: EventEmitter<void>;
    noResultsMessage: "No results to display.";
    noDataMessage: "No files to display.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataSubtitle: "Add a new file by clicking below.";
    constructor(filesRepositoryService: FilesRepositoryService, inventoryBinaryService: InventoryBinaryService, modalService: ModalService, alertService: AlertService, bsModalService: BsModalService, fileService: FilesService, translateService: TranslateService);
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    onDeleteItem(selectedItem: Row): Promise<void>;
    onDeleteItems(selectedItemsIds: string[]): Promise<void>;
    onDownloadItem(selectedItem: IManagedObjectBinary): Promise<void>;
    openFileUploadComponent(): void;
    private deleteItemsWithConfirmation;
    private confirmItemsDeletion;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilesRepositoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilesRepositoryComponent, "c8y-files-repository", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=files-repository.component.d.ts.map