export declare enum TimeSpanInMs {
    'MINUTE' = 60000,
    'HOUR' = 3600000,
    'DAY' = 86400000,
    'WEEK' = 604800000,
    'MONTH'
}
export type Interval = {
    id: 'minutes' | 'hours' | 'days' | 'weeks' | 'months' | 'custom';
    title: string;
    timespanInMs?: number;
};
export type AlarmFilterInterval = Interval | {
    id: 'none';
    title: string;
    timespanInMs?: number;
};
export declare const INTERVALS: Interval[];
export declare const INTERVAL_TITLES: Record<Interval['id'], string>;
type IntervalKey = Interval['id'];
type IntervalMap = {
    [K in IntervalKey]: K;
};
export declare const INTERVAL_VALUES: IntervalMap;
export {};
//# sourceMappingURL=interval-picker.model.d.ts.map