import { OnDestroy, OnInit } from '@angular/core';
import { MapComponent, MapConfig, PositionManagedObject } from '@c8y/ngx-components/map';
import { AlertService, ContextRouteService, OptionsService, Permissions } from '@c8y/ngx-components';
import { ActivatedRoute } from '@angular/router';
import { InventoryService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class LocationComponent implements OnInit, OnDestroy {
    private contextRouteService;
    private activatedRoute;
    private inventoryService;
    private permissions;
    private optionsService;
    private alertService;
    position: PositionManagedObject;
    originalPosition: PositionManagedObject;
    isEdit: boolean;
    canEdit: boolean;
    config: MapConfig;
    addressSearchTerm: string;
    hideAddressSearchFeature: boolean;
    private destroy$;
    private mapNominatimUrl;
    map: MapComponent;
    constructor(contextRouteService: ContextRouteService, activatedRoute: ActivatedRoute, inventoryService: InventoryService, permissions: Permissions, optionsService: OptionsService, alertService: AlertService);
    ngOnInit(): void;
    updateMap(): Promise<void>;
    toggleRealtime(): void;
    disableRealtime(): void;
    centerMap(): void;
    edit(): void;
    cancel(): void;
    save(): Promise<void>;
    positionChanged(position: PositionManagedObject): void;
    searchAddress(searchTerm: string): Promise<void>;
    updateMarkerPosition(): void;
    ngOnDestroy(): void;
    private enableMarkerDragging;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LocationComponent, "c8y-location", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=location.component.d.ts.map