export interface MessagingSubscriber {
    /**
     * Name of subscription
     */
    name?: string;
    /**
     * Number of active clients subscribe using this subscription
     */
    activeClients?: number;
    /**
     * Number of messages consumed and acknowledged per second
     */
    messageAckRate?: number;
    /**
     * Number of messages in the subscription to be consumed
     */
    msgBacklog?: number;
    /**
     * Timestamp of the last acknowledged message
     */
    lastAcknowledgeTimestamp?: string;
    /**
     * Percentage of the backlog used. Value range is from 0 to 100.
     * E.g. if 10% of the backlog is used, this value will be 10 (not 0.1).
     */
    backlogUsagePercentage?: number;
}
//# sourceMappingURL=subscriber.d.ts.map