import { FetchClient, Paging, Service } from '@c8y/client';
import { MessagingSubscriberList } from '../model/subscriberList';
import { MessagingSubscriber } from '../model/subscriber';
import { MessagingSubscriberFilters } from '../model/subscriberFilters';
import { MessagingSubscriberToDelete } from '../model/subscriberToDelete';
import * as i0 from "@angular/core";
export declare class MessagingSubscribersService extends Service<MessagingSubscriber> {
    protected baseUrl: string;
    protected listUrl: string;
    constructor(client: FetchClient);
    /**
     * Get the list of subscribers for a topic.
     *
     * @param filter Subscriber filters.
     */
    list(filter: MessagingSubscriberFilters): Promise<{
        res: import("@c8y/client").IFetchResponse;
        data: MessagingSubscriber[];
        paging: Paging<MessagingSubscriber>;
    }>;
    delete(subscriberToDelete: MessagingSubscriberToDelete): Promise<{
        res: import("@c8y/client").IFetchResponse;
        data: any;
    }>;
    protected getPaging(json: MessagingSubscriberList, filter: object): Paging<MessagingSubscriber>;
    private getBaseUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessagingSubscribersService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MessagingSubscribersService>;
}
//# sourceMappingURL=messaging-subscribers.service.d.ts.map