import { AfterViewInit, DestroyRef, EventEmitter } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AppStateService, Column, DataSourceModifier, Pagination, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { MessagingNamespacesService } from '../../api/services/messaging-namespaces.service';
import { TranslateService } from '@ngx-translate/core';
import { TopicsDataGridService } from './topics-data-grid.service';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TopicListViewComponent implements AfterViewInit {
    route: ActivatedRoute;
    appState: AppStateService;
    namespacesService: MessagingNamespacesService;
    topicsDataGridService: TopicsDataGridService;
    translateService: TranslateService;
    destroyRef: DestroyRef;
    loading$: BehaviorSubject<boolean>;
    refresh: EventEmitter<void>;
    tenantId$: import("rxjs").Observable<string>;
    namespaceId$: import("rxjs").Observable<string>;
    namespaceLabel$: import("rxjs").Observable<any>;
    icon$: import("rxjs").Observable<string>;
    namespaceDetails$: import("rxjs").Observable<import("../../api/model/namespaceDetails").MessagingNamespaceDetails>;
    tableTitle: "Topics";
    loadingItemsLabel: "Loading topics...";
    loadMoreItemsLabel: "Load more topics";
    noResultsMessage: "No matching topics found.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataMessage: "No topics to display.";
    noDataSubtitle: "Create new topics to monitor them here.";
    columns: Column[];
    pagination: Pagination;
    serverSideDataCallback: ServerSideDataCallback;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopicListViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopicListViewComponent, "app-topic-list-view", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=topic-list-view.component.d.ts.map