import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { IOperationBulk, OperationBulkGeneralStatus } from '@c8y/client';
import { AlertService, ListItemComponent, ModalService } from '@c8y/ngx-components';
import { BulkOperationsService } from '@c8y/ngx-components/operations/bulk-operations-service';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { OperationStatusOptionsMap } from './bulk-operation-list-item.model';
import { BulkOperationListItemService } from './bulk-operation-list-item.service';
import * as i0 from "@angular/core";
export declare class BulkOperationListItemComponent implements OnInit, OnChanges {
    bulkOperationListItemService: BulkOperationListItemService;
    private bulkOperationsService;
    private modal;
    private alert;
    private bsModalService;
    BULK_OPERATION_EVENT: string;
    bulkOperation: Partial<IOperationBulk>;
    detailsCollapsed: boolean;
    readOnly: boolean;
    showFailedOperation: EventEmitter<any>;
    reload: EventEmitter<any>;
    listItem: ListItemComponent;
    iconClass: string;
    finishDate: number;
    refreshLoading: boolean;
    bulkOperationGeneralStatus: typeof OperationBulkGeneralStatus;
    BULK_OPERATION_STATUS_OPTIONS: OperationStatusOptionsMap;
    bsModalRef: BsModalRef;
    finishDatePopoverText: string;
    progressBarClass: string;
    progressBarColor: string;
    progressBarStatus: number;
    constructor(bulkOperationListItemService: BulkOperationListItemService, bulkOperationsService: BulkOperationsService, modal: ModalService, alert: AlertService, bsModalService: BsModalService);
    ngOnInit(): void;
    getOperationStatusOptions(): any;
    ngOnChanges(changes: SimpleChanges): void;
    calculateFinishDateMs(): number;
    progressBarProgressFn(): number;
    setProgressBar(): void;
    editSchedule(): void;
    cancelBulkOperation(): Promise<void>;
    retryFailedOperation(): void;
    setToSuccessful(): Promise<void>;
    openFailedOperation(failedParentId: any): void;
    isStatusScheduled(): boolean;
    isStatusExecutingOrExecutingWithError(): boolean;
    allOperationsCreated(): boolean;
    isStatusCanceled(): boolean;
    isStatusFailed(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkOperationListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BulkOperationListItemComponent, "c8y-bulk-operation-list-item", never, { "bulkOperation": { "alias": "bulkOperation"; "required": false; }; "detailsCollapsed": { "alias": "detailsCollapsed"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; }, { "showFailedOperation": "showFailedOperation"; "reload": "reload"; }, never, never, false, never>;
}
//# sourceMappingURL=bulk-operation-list-item.component.d.ts.map