import { ElementRef } from '@angular/core';
import { InventoryService, IOperation, OperationService } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import { OperationStatusOptionsMapShared } from '@c8y/ngx-components/operations/shared';
import * as i0 from "@angular/core";
export declare class SingleOperationItemComponent {
    private alertService;
    private inventoryService;
    private operationService;
    BULK_OPERATION_EVENT: string;
    ACTIONS: {
        readonly FILTER: "filter";
        readonly OPEN_OPERATION_DETAILS: "openOperationDetails";
        readonly RETRY: "retry";
    };
    COMPONENTS: {
        readonly OPERATION_DETAILS: "operation-details";
        readonly SINGLE_OPERATION_ITEM: "single-operation-item";
    };
    device: {};
    OPERATION_STATUS_LABELS: {
        PENDING: "Pending";
        EXECUTING: "Executing";
        FAILED: "Failed";
        SUCCESSFUL: "Successful";
    };
    OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
    operation: IOperation;
    readOnly: boolean;
    failureReasonRef: ElementRef;
    constructor(alertService: AlertService, inventoryService: InventoryService, operationService: OperationService);
    ngOnInit(): Promise<void>;
    retrySingleOperation(singleOperation: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleOperationItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleOperationItemComponent, "c8y-single-operation-item", never, { "operation": { "alias": "operation"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=single-operation-item.component.d.ts.map