import { AfterViewInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IOperation, IOperationBulk, IResultList, OperationStatus } from '@c8y/client';
import { StatusFilterComponent } from '@c8y/ngx-components/operations/status-filter';
import { BulkOperationsService } from '@c8y/ngx-components/operations/bulk-operations-service';
import { OperationStatusOption, OperationStatusOptionsMapShared } from '@c8y/ngx-components/operations/shared';
import * as i0 from "@angular/core";
export declare class SingleOperationsListComponent implements AfterViewInit, OnChanges {
    private bulkOperationsService;
    bulkOperation: Partial<IOperationBulk>;
    readOnly: boolean;
    onRetryFailedOperations: EventEmitter<Partial<IOperationBulk>>;
    statusFilter: StatusFilterComponent;
    OPERATION_STATUS: {
        ALL: "ALL";
        PENDING: OperationStatus.PENDING;
        EXECUTING: OperationStatus.EXECUTING;
        SUCCESSFUL: OperationStatus.SUCCESSFUL;
        FAILED: OperationStatus.FAILED;
    };
    OPERATION_STATUS_LABELS: {
        PENDING: "Pending";
        EXECUTING: "Executing";
        FAILED: "Failed";
        SUCCESSFUL: "Successful";
    };
    OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
    singleOperations: IResultList<IOperation>;
    constructor(bulkOperationsService: BulkOperationsService);
    ngAfterViewInit(): Promise<void>;
    ngOnChanges(changes: SimpleChanges): void;
    filterOperationsByType(): void;
    getFilterTypeOfSingleOperations(): OperationStatus | "ALL";
    getOperationsByStatus(filter: OperationStatusOption[]): Promise<void>;
    retryBulkOperation(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleOperationsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleOperationsListComponent, "c8y-single-operations-list", never, { "bulkOperation": { "alias": "bulkOperation"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; }, { "onRetryFailedOperations": "onRetryFailedOperations"; }, never, never, false, never>;
}
//# sourceMappingURL=single-operations-list.component.d.ts.map