import { IOperation } from '@c8y/client';
import { ProductExperienceEvent, ProductExperienceEventSource } from '@c8y/ngx-components';
import { OperationDetailsService } from './operation-details.service';
import * as i0 from "@angular/core";
/**
 * Operation details component displays a single operation's status, description and creationTime.
 *
 * ```html
 * <c8y-operation-details [operation]="operation"></c8y-operation-details>
 * ```
 */
export declare class OperationDetailsComponent implements ProductExperienceEventSource {
    private operationDetailsService;
    ACTIONS: {
        readonly FILTER: "filter";
        readonly OPEN_OPERATION_DETAILS: "openOperationDetails";
        readonly RETRY: "retry";
    };
    operation: IOperation;
    statusIcons: object;
    statusClasses: object;
    productExperienceEvent: ProductExperienceEvent;
    constructor(operationDetailsService: OperationDetailsService);
    ngOnInit(): void;
    openDetails(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationDetailsComponent, "c8y-operation-details", never, { "operation": { "alias": "operation"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=operation-details.component.d.ts.map