import { BsModalService } from 'ngx-bootstrap/modal';
import { IOperation, OperationService } from '@c8y/client';
import * as i0 from "@angular/core";
export declare class OperationDetailsService {
    private operationService;
    private modalService;
    constructor(operationService: OperationService, modalService: BsModalService);
    /**
     * Opens a modal window with the details of given single operation.
     * @param operationOrOperationId Operation's object or id.
     * @param options Additional options:
     * - `collapsed`: boolean - whether the details pane should be initially collapsed
     * - `readOnly`: boolean - whether the details should be displayed in read-only mode
     */
    openDetails(operationOrOperationId: IOperation | string | number, options?: {
        collapsed?: boolean;
        readOnly?: boolean;
    }): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationDetailsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OperationDetailsService>;
}
//# sourceMappingURL=operation-details.service.d.ts.map