import { OnInit, SimpleChanges } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IOperation, OperationStatus } from '@c8y/client';
import { ListItemComponent, ProductExperienceEvent, ProductExperienceEventSource } from '@c8y/ngx-components';
import { BulkOperationListItemService } from '@c8y/ngx-components/operations/bulk-operation-list-item';
import { OperationsService, OperationStatusOptionsMapShared } from '@c8y/ngx-components/operations/shared';
import { OperationsListService } from './operations-list.service';
import * as i0 from "@angular/core";
export declare class OperationsListItemComponent implements OnInit, ProductExperienceEventSource {
    bulkOperationListItemService: BulkOperationListItemService;
    sharedService: OperationsService;
    operationsListService: OperationsListService;
    private route;
    private router;
    operation: Partial<IOperation>;
    collapsed: boolean;
    readOnly: boolean;
    noExpandToggle: boolean;
    isSmartRulesMicroserviceAvailable: boolean;
    listItem: ListItemComponent;
    refreshLoading: boolean;
    OPERATION_STATUS: typeof OperationStatus;
    OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
    deviceId: string | number;
    inventoryPermissions: string[];
    smartRuleAdminPermissions: string[];
    operationTitle: string;
    productExperienceEvent: ProductExperienceEvent;
    constructor(bulkOperationListItemService: BulkOperationListItemService, sharedService: OperationsService, operationsListService: OperationsListService, route: ActivatedRoute, router: Router);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    createCustomizedBulkOperation($event?: Event): void;
    private updateOperationTitle;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationsListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationsListItemComponent, "c8y-operations-list-item", never, { "operation": { "alias": "operation"; "required": false; }; "collapsed": { "alias": "collapsed"; "required": false; }; "readOnly": { "alias": "readOnly"; "required": false; }; "noExpandToggle": { "alias": "noExpandToggle"; "required": false; }; "isSmartRulesMicroserviceAvailable": { "alias": "isSmartRulesMicroserviceAvailable"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=operations-list-item.component.d.ts.map