import { ActivatedRoute } from '@angular/router';
import { IOperation, IResultList } from '@c8y/client';
import { OperationRealtimeService, ProductExperienceEvent, ProductExperienceEventSource } from '@c8y/ngx-components';
import { OperationStatusOption, OperationStatusOptionsMapShared } from '@c8y/ngx-components/operations/shared';
import { StatusFilterComponent } from '@c8y/ngx-components/operations/status-filter';
import { BehaviorSubject, Observable } from 'rxjs';
import { OperationsListService } from './operations-list.service';
import * as i0 from "@angular/core";
export declare class OperationsListComponent implements ProductExperienceEventSource {
    realtime: OperationRealtimeService;
    private operationsListService;
    private route;
    fragmentType: import("@angular/core").InputSignal<string>;
    readOnlyItems: import("@angular/core").InputSignal<boolean>;
    deviceId: string | number;
    OPERATION_STATUS_OPTIONS_MAP: OperationStatusOptionsMapShared;
    title: string;
    refreshLoading: boolean;
    isSmartRulesMicroserviceAvailable: boolean;
    showOverviewBreadcrumbs: boolean;
    statusFilter$: BehaviorSubject<OperationStatusOption[]>;
    reload$: BehaviorSubject<void>;
    statusFilter: StatusFilterComponent;
    operations$: Observable<IResultList<IOperation>>;
    operationsFilterPipe: import("rxjs").UnaryFunction<Observable<IOperation[]>, Observable<IOperation[]>>;
    productExperienceEvent: ProductExperienceEvent;
    constructor(realtime: OperationRealtimeService, operationsListService: OperationsListService, route: ActivatedRoute);
    ngOnInit(): Promise<void>;
    filter(statusFilters: OperationStatusOption[]): Promise<IResultList<IOperation>>;
    getOperations(filter?: any): Promise<IResultList<IOperation>>;
    compareOperations(operationA: IOperation, operationB: IOperation): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperationsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperationsListComponent, "c8y-operations-list", never, { "fragmentType": { "alias": "fragmentType"; "required": false; "isSignal": true; }; "readOnlyItems": { "alias": "readOnlyItems"; "required": false; "isSignal": true; }; }, {}, never, ["c8y-help"], true, never>;
}
//# sourceMappingURL=operations-list.component.d.ts.map