import { StepperSelectionEvent } from '@angular/cdk/stepper';
import { OnDestroy } from '@angular/core';
import { IManagedObject } from '@c8y/client';
import { BaseStepperComponent } from '@c8y/ngx-components/operations/bulk-operation-stepper';
import { BulkOperationsService, BulkOperationType, OperationDetails } from '@c8y/ngx-components/operations/bulk-operations-service';
import { TranslateService } from '@ngx-translate/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class StepperBulkTypeFirmwareComponent extends BaseStepperComponent implements OnDestroy {
    private bulkOperationService;
    private translate;
    readonly type: BulkOperationType;
    readonly descriptionTemplate: string;
    textFilter$: BehaviorSubject<string>;
    stepData: {
        firmware: IManagedObject;
        versionOrPatch: IManagedObject;
    };
    selectedFirmware: IManagedObject;
    selectedVersionOrPatch: IManagedObject;
    private subscription;
    constructor(bulkOperationService: BulkOperationsService, translate: TranslateService);
    goToVersionOrPatchStep({ stepper }: {
        stepper: any;
    }): void;
    onVersionOrPatchSelected(versionOrPatch: IManagedObject): void;
    onFirmwareSelected(fw: IManagedObject): void;
    ngOnDestroy(): void;
    protected retrieveOperationPrototype(): OperationDetails;
    protected onSelectionChange(event: StepperSelectionEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StepperBulkTypeFirmwareComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StepperBulkTypeFirmwareComponent, "c8y-stepper-firmware", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=stepper-bulk-type-firmware.component.d.ts.map