import { OnInit } from '@angular/core';
import { LpwanSetDeviceProtocolService } from './lpwan-set-device-protocol.service';
import { AlertService, ForOfFilterPipe, PopoverConfirmButtons, PopoverConfirmComponent } from '@c8y/ngx-components';
import { IManagedObject, IResultList } from '@c8y/client';
import { ActilityConnection, SigfoxConnection } from './multiple-lns-connectors/multiple-lns-connector.model';
import * as i0 from "@angular/core";
export declare class LpwanAssignLnsConnectionsComponent implements OnInit {
    private lpwanService;
    private alertService;
    loading: boolean;
    device: IManagedObject;
    buttons: PopoverConfirmButtons[];
    reRegisterMsg: "To change provider connection, you need to re-register device first.";
    filterConnection: ForOfFilterPipe<ActilityConnection | SigfoxConnection>;
    pattern: string;
    popoverConfirm: PopoverConfirmComponent;
    newConnection: ActilityConnection | SigfoxConnection;
    availableConnections: IResultList<ActilityConnection | SigfoxConnection>;
    currentConnection: ActilityConnection | SigfoxConnection;
    constructor(lpwanService: LpwanSetDeviceProtocolService, alertService: AlertService);
    ngOnInit(): Promise<void>;
    setConnectionPipe(filterStr: string): void;
    reload(): Promise<void>;
    togglePopover(popoverCfrm: any): void;
    deviceReregister(): Promise<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LpwanAssignLnsConnectionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LpwanAssignLnsConnectionsComponent, "set-lns-connections", never, { "device": { "alias": "device"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=lpwan-set-connections.component.d.ts.map