export declare enum ConnectionType {
    ACTILITY = 0,
    SIGFOX = 1,
    LORIOT = 2
}
export interface Connection {
    name: string;
    baseUrl: string;
    username: string;
    password: string;
    description: string;
}
export interface SigfoxConnection extends Connection {
    parentGroupId: string;
}
export interface ActilityConnection extends Connection {
    profileId: string;
    routeApplicationServerId?: string;
    routeApplicationServerKey?: string;
    adminApiVersion: string;
    coreApiVersion: string;
    enterpriseConnection: boolean;
}
export interface LoriotConnection extends Connection {
    providerType: string;
}
export declare function isSigfoxConnection(connection: SigfoxConnection | ActilityConnection | LoriotConnection): connection is SigfoxConnection;
export declare function isActilityConnection(connection: SigfoxConnection | ActilityConnection | LoriotConnection): connection is ActilityConnection;
export declare function isLoriotConnection(connection: SigfoxConnection | ActilityConnection | LoriotConnection): connection is LoriotConnection;
export type LpwanState = 'loadingConnection' | 'loadingError' | 'connectionAvailable' | 'connectionNotAvailable' | 'addConnections' | 'savedSuccessfully' | 'updateConnection';
//# sourceMappingURL=multiple-lns-connector.model.d.ts.map