import { BinaryEncoding, DeviceSettings, LWM2MEndpoint, SerializationFormat } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mFormWrapperBase } from './form-wrapper-base.component';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import * as i0 from "@angular/core";
export declare class Lwm2mFormDeviceSettings extends Lwm2mFormWrapperBase<DeviceSettings> {
    protected service: Lwm2mConfigurationService<DeviceSettings>;
    protected endpoint: LWM2MEndpoint;
    constructor(service: Lwm2mConfigurationService<DeviceSettings>);
    createForm(): {
        fieldGroup: ({
            key: string;
            type: string;
            props: {
                label: "Endpoint client ID";
                required: boolean;
                description?: undefined;
                placeholder?: undefined;
                min?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
            defaultValue?: undefined;
        } | {
            key: string;
            type: string;
            props: {
                label: "Awake time registration parameter";
                description: "in milliseconds, 0 means device is always online";
                placeholder: string;
                min: number;
                required?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
            defaultValue?: undefined;
        } | {
            key: string;
            type: string;
            props: {
                label: "LWM2M request timeout";
                description: "in milliseconds";
                placeholder: string;
                min: number;
                required?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
            defaultValue?: undefined;
        } | {
            key: string;
            type: string;
            defaultValue: BinaryEncoding;
            props: {
                label: "Binary delivery encoding";
                options: {
                    label: BinaryEncoding;
                    value: BinaryEncoding;
                }[];
                required?: undefined;
                description?: undefined;
                placeholder?: undefined;
                min?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
        } | {
            key: string;
            type: string;
            props: {
                label: "Serialization format";
                placeholder: "Default device value";
                options: {
                    label: SerializationFormat;
                    value: SerializationFormat;
                }[];
                description: "Indicates the preferred content format for LWM2M Agent to use to communicate with the device.";
                acceptUndefined: boolean;
                removeExempliGratia: boolean;
                required?: undefined;
                min?: undefined;
            };
            defaultValue?: undefined;
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Use source timestamp";
                description: "LWM2M offers various methods for associating timestamp information with data points, including resources 5518 and 6050, SenML, or resource 5 for the location object (6). When activated, the LWM2M agent utilizes this timestamp data source to generate measurements, events, or alarms. If deactivated, the LWM2M agent resorts to using its local time.";
                required?: undefined;
                placeholder?: undefined;
                min?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Keep old values";
                description: "Keep old values in the objects tab if an operation fails";
                required?: undefined;
                placeholder?: undefined;
                min?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Disable default behavior for object instances";
                description: "Turns off the internal default handling of objects 3, 4 and 6";
                required?: undefined;
                placeholder?: undefined;
                min?: undefined;
                options?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
        } | {
            key: string;
            type: string;
            defaultValue: any;
            props: {
                label: "Set the required interval automatically";
                options: {
                    label: string;
                    value: boolean;
                }[];
                description: "When enabled, the LWM2M service automatically sets the interval to registration lifetime plus 2 minutes.";
                required?: undefined;
                placeholder?: undefined;
                min?: undefined;
                acceptUndefined?: undefined;
                removeExempliGratia?: undefined;
            };
        })[];
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFormDeviceSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFormDeviceSettings, "c8y-lwm2m-form-device-settings", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=device-settings.component.d.ts.map