import { LWM2MEndpoint, FirmwareSettings } from '@c8y/ngx-components/protocol-lwm2m/model';
import { Lwm2mFormWrapperBase } from './form-wrapper-base.component';
import { Lwm2mConfigurationService } from '@c8y/ngx-components/protocol-lwm2m/services';
import * as i0 from "@angular/core";
export declare class Lwm2mFormFirmwareSettings extends Lwm2mFormWrapperBase<FirmwareSettings> {
    protected service: Lwm2mConfigurationService<FirmwareSettings>;
    protected endpoint: LWM2MEndpoint;
    constructor(service: Lwm2mConfigurationService<FirmwareSettings>);
    createForm(): {
        fieldGroup: ({
            key: string;
            type: string;
            props: {
                label: "Update`verb` delivery method" | "Update`verb` supported device protocol" | "Update`verb` reset mechanism";
                placeholder: "Default device value";
                options: {
                    label: any;
                    value: any;
                }[];
                acceptUndefined: boolean;
                removeExempliGratia: boolean;
            };
            expressions: {
                hide: string;
            };
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Disable automated firmware update support";
                description: "Turns off the internal firmware update state machine";
                placeholder?: undefined;
            };
            expressions?: undefined;
        } | {
            key: string;
            type: string;
            props: {
                label: "Update`noun` URL";
                placeholder: string;
                description: "If not specified, LWM2M Agent generates the URL";
            };
            expressions: {
                hide: string;
            };
            defaultValue?: undefined;
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Always reset firmware state machine";
                description: "Controls if the LWM2M Agent performs an initial state machine reset before it starts a firmware update";
                placeholder?: undefined;
            };
            expressions: {
                hide: string;
            };
        } | {
            key: string;
            type: string;
            defaultValue: boolean;
            props: {
                label: "Fail device firmware update on unexpected result";
                description: "If the configuration is enabled, the firmware update operation will fail if the update result (resource 5) is not as expected based on the LWM2M firmware state machine.";
                placeholder?: undefined;
            };
            expressions?: undefined;
        })[];
    }[];
    static ɵfac: i0.ɵɵFactoryDeclaration<Lwm2mFormFirmwareSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Lwm2mFormFirmwareSettings, "c8y-lwm2m-form-firmware-settings", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=firmware-settings.component.d.ts.map