import { OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { LWM2MPostOperationsParametersService } from '@c8y/ngx-components/protocol-lwm2m/services';
import { AlertService } from '@c8y/ngx-components';
import { LWM2MPostOperationsParameters } from '@c8y/ngx-components/protocol-lwm2m/model';
import * as i0 from "@angular/core";
export declare class LWM2MPostOperationsComponent implements OnInit {
    private lwm2mPostOperationsSvc;
    private alertService;
    commandsForm: NgForm;
    exampleCommands: ({
        command: string;
        resource: string;
        description: "Discover all resources of Object 3300, the generic sensor.";
    } | {
        command: string;
        resource: string;
        description: "Read maximum sensor value";
    } | {
        command: string;
        resource: string;
        description: "Write application type \"CO2\" to device";
    } | {
        command: string;
        resource: string;
        description: "Reset min and max values";
    } | {
        command: string;
        resource: string;
        description: "Observe sensor value. Causes device to send every new sensor value";
    } | {
        command: string;
        resource: string;
        description: "Only send observations if sensor value is higher than 100";
    })[];
    operations: LWM2MPostOperationsParameters;
    constructor(lwm2mPostOperationsSvc: LWM2MPostOperationsParametersService, alertService: AlertService);
    ngOnInit(): Promise<void>;
    save(operations: LWM2MPostOperationsParameters): Promise<void>;
    getPostOperationsParameters(): Promise<{}>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LWM2MPostOperationsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LWM2MPostOperationsComponent, "lwm2m-post-operations", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=lwm2m-post-operations.component.d.ts.map