import { OnInit, EventEmitter, OnChanges } from '@angular/core';
import { DroppedFile, DropAreaComponent, ModalService, AlertService } from '@c8y/ngx-components';
import { OpcuaServer } from './opcua-server.interface';
import { OpcuaService } from './opcuaService';
import * as i0 from "@angular/core";
export declare class OpcuaServerConfigComponent implements OnInit, OnChanges {
    private modalService;
    private alertService;
    currentSecMode: string;
    fileName: string;
    targetConnectionState: string;
    minIntervalNumber: number;
    connectionStatusLabel: string;
    opcuaConfigForm: any;
    dropArea: DropAreaComponent;
    canceled: EventEmitter<OpcuaServer>;
    removed: EventEmitter<OpcuaServer>;
    saved: EventEmitter<OpcuaServer>;
    set server(server: OpcuaServer);
    get server(): OpcuaServer;
    model: OpcuaServer;
    changePassword: boolean;
    initialPasswordRequired: boolean;
    securityModes: string[];
    authenticationMode: any;
    authenticationModes: any[];
    NONE: string;
    SIGN: string;
    SIGN_ENC: string;
    securityPolicies: any;
    private ANONYM;
    private USER_PASSWORD;
    private KEY_BASED;
    private _server;
    private opcuaService;
    private initialKeystore;
    private keystore;
    private authSwitch;
    constructor(opcuaService: OpcuaService, modalService: ModalService, alertService: AlertService);
    ngOnInit(): Promise<void>;
    ngOnChanges(): void;
    cancel(): void;
    remove(): Promise<void>;
    save(): Promise<void>;
    uploadFile(droppedFiles: DroppedFile[]): void;
    setPolicy(data: any): void;
    setServerConnection(data: string): void;
    updateAuthentication(data: any): void;
    updateConnectionStatusLabel(server: any): void;
    setNewPassword(): void;
    toggleChangePassword(): void;
    private uploadKeystore;
    private removeKeystore;
    private resetUserAuthentication;
    private resetKeyBasedAuthentication;
    private restoreUserData;
    private restoreKeyBasedData;
    private getServerConfig;
    private setCurrentSecurityMode;
    private setCurrentAuthenticationMode;
    private getModelConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpcuaServerConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpcuaServerConfigComponent, "opcua-server-config", never, { "server": { "alias": "server"; "required": false; }; }, { "canceled": "canceled"; "removed": "removed"; "saved": "saved"; }, never, never, false, never>;
}
//# sourceMappingURL=opcua-server-config.component.d.ts.map