import { FormGroup } from '@angular/forms';
import { DeviceRegistrationBulkService, IDeviceRegistrationBulkResult } from '@c8y/client';
import { C8yJSONSchema, C8yStepper, FeatureCacheService, GainsightService } from '@c8y/ngx-components';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BulkFailedResult } from '../extensible/bulk/extensible-bulk-device-registration.model';
import { RegisterDeviceService } from '../register-device.service';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare const ESTCsvHeaders: string[];
export declare class BulkDeviceRegistrationModalComponent {
    private jsonschema;
    private deviceRegistrationService;
    private registerDeviceService;
    private bsModalRef;
    private gainsightService;
    private featureCacheService;
    private translateService;
    stepper: C8yStepper;
    message: string;
    success: boolean;
    pending: boolean;
    result: IDeviceRegistrationBulkResult;
    failedResult: BulkFailedResult;
    form: FormGroup<{}>;
    model: {};
    template: FormlyFieldConfig[];
    certificateAuthorityFeatureEnabled: import("rxjs").Observable<boolean>;
    constructor(jsonschema: C8yJSONSchema, deviceRegistrationService: DeviceRegistrationBulkService, registerDeviceService: RegisterDeviceService, bsModalRef: BsModalRef, gainsightService: GainsightService, featureCacheService: FeatureCacheService, translateService: TranslateService);
    ngOnInit(): void;
    upload(): void;
    downloadSimple(): void;
    downloadFull(): void;
    downloadEst(): void;
    download(headers: string[], fileName: string): void;
    complete(): void;
    cancel(): void;
    private getFile;
    static ɵfac: i0.ɵɵFactoryDeclaration<BulkDeviceRegistrationModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BulkDeviceRegistrationModalComponent, "bulk-device-registration", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=bulk-device-registration-modal.component.d.ts.map