import { TemplateRef, Type } from '@angular/core';
import { ExtensionFactory } from '@c8y/ngx-components';
/**
 * A register device item is the entry point to define
 * a specific registration flow.
 */
export interface RegisterDeviceItem {
    /**
     * Angular template used for Content Projection
     */
    template: TemplateRef<any> | Type<any> | Element;
    /**
     * Ordering of the device registration possibilities (high number first)
     */
    priority: number;
    /**
     * Category of registration
     */
    category: 'bulk' | 'single';
}
/**
 * Factory to implement if used in a hook for Multi Provider extension.
 */
export type RegisterDeviceFactory = ExtensionFactory<RegisterDeviceItem>;
//# sourceMappingURL=RegisterDeviceItem.d.ts.map