import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ActionControl, AlertService, Column, DisplayOptions, ModalService, Pagination } from '@c8y/ngx-components';
import { RemoteAccessConfiguration, RemoteAccessProtocolProvider, RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import { BsModalService } from 'ngx-bootstrap/modal';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class RemoteAccessConfigurationListComponent implements OnInit {
    private remoteAccess;
    private activatedRoute;
    private modalService;
    private alert;
    private bsModalService;
    private translateService;
    rows: RemoteAccessConfiguration[];
    columns: Column[];
    actionControls: ActionControl[];
    deviceId: string;
    pagination: Pagination;
    displayOptions: DisplayOptions;
    protocolProviders: RemoteAccessProtocolProvider[];
    gridTitle: "Remote access endpoints";
    constructor(remoteAccess: RemoteAccessService, activatedRoute: ActivatedRoute, modalService: ModalService, alert: AlertService, bsModalService: BsModalService, translateService: TranslateService);
    ngOnInit(): void;
    reload(): Promise<void>;
    addEndpoint(): Promise<void>;
    getProtocolProviderForConfiguration(configuration: RemoteAccessConfiguration): RemoteAccessProtocolProvider;
    defaultEditEndpoint(deviceId: string, configuration: RemoteAccessConfiguration): Promise<RemoteAccessConfiguration>;
    defaultAddEndpoint(deviceId: string, provider: RemoteAccessProtocolProvider): Promise<RemoteAccessConfiguration>;
    openBasicEndpointModal(currentConfiguration: Partial<RemoteAccessConfiguration>): Promise<RemoteAccessConfiguration | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RemoteAccessConfigurationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RemoteAccessConfigurationListComponent, "c8y-remote-access-configuration-list", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=remote-access-configuration-list.component.d.ts.map