import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DroppedFile } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
declare const types: readonly [{
    readonly name: "PRIVATE";
    readonly value: "private";
    readonly placeholder: "-----BEGIN RSA PRIVATE KEY----- MIIEpAIBAAK...VQvopm2xw==----- END RSA PRIVATE KEY-----";
}, {
    readonly name: "PUBLIC";
    readonly value: "public";
    readonly placeholder: "ssh-rsa AAAAB3NzaC...1kc3MAAACB== user@example.com";
}, {
    readonly name: "CERTIFICATE";
    readonly value: "certificate";
    readonly placeholder: "ssh-rsa-cert-v01@openssh.com AAAAHHNz...Y9gBU= user@example.com";
}];
export declare class SshKeyInputComponent implements OnInit, OnChanges, ControlValueAccessor {
    keyType: (typeof types)[number]['value'];
    readonly: boolean;
    placeholder: string;
    value: string;
    onChange: (value: string) => void;
    onTouch: () => void;
    writeValue(obj: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onKeyFileSelected(event: DroppedFile[]): Promise<void>;
    newValue(value: string): void;
    private reassignPlaceholder;
    static ɵfac: i0.ɵɵFactoryDeclaration<SshKeyInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SshKeyInputComponent, "c8y-ssh-key-input", never, { "keyType": { "alias": "keyType"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
//# sourceMappingURL=ssh-key-input.component.d.ts.map