import { RemoteAccessConfiguration, RemoteAccessProtocolProvider, RemoteAccessService } from '@c8y/ngx-components/remote-access/data';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class SSHRemoteAccessProtocolProviderService implements RemoteAccessProtocolProvider {
    protected remoteAccess: RemoteAccessService;
    protected bsModalService: BsModalService;
    protocolName: string;
    protocolLabel: "SSH";
    protocolDescription: "Allows to connect to an SSH service.";
    protocolIcon: "laptop";
    constructor(remoteAccess: RemoteAccessService, bsModalService: BsModalService);
    addEndpoint(deviceId: string): Promise<RemoteAccessConfiguration>;
    removeEndpoint(deviceId: string, currentEndpointConfig: RemoteAccessConfiguration): Promise<void>;
    editEndpoint(deviceId: string, currentEndpointConfig: RemoteAccessConfiguration): Promise<RemoteAccessConfiguration>;
    connectEndpointHref(deviceId: string, configuration: RemoteAccessConfiguration): Promise<string>;
    getDefaultEndpointConfiguration(): Promise<Partial<RemoteAccessConfiguration>>;
    protected openSSHEndpointModal(currentConfiguration: Partial<RemoteAccessConfiguration>): Promise<RemoteAccessConfiguration | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SSHRemoteAccessProtocolProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SSHRemoteAccessProtocolProviderService>;
}
export declare const remoteAccessSSHProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map