import { OnInit } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { IManagedObject, InventoryService, IResultList } from '@c8y/client';
import { AlertService, FilterInputComponent, GainsightService, ModalService, Permissions } from '@c8y/ngx-components';
import { ContextDashboardService } from '@c8y/ngx-components/context-dashboard';
import { TranslateService } from '@ngx-translate/core';
import { ReportDashboardService } from './report-dashboard.service';
import * as i0 from "@angular/core";
export declare class ReportDashboardListComponent implements OnInit {
    private inventoryService;
    private contextDashboardService;
    private translateService;
    private modal;
    private alertService;
    private reportDashboardService;
    private permissions;
    private gainsightService;
    PRODUCT_EXPERIENCE: {
        readonly DASHBOARD: {
            readonly EVENTS: {
                readonly DASHBOARDS: "dashboards";
                readonly REPORTS: "reports";
            };
            readonly COMPONENTS: {
                readonly DASHBOARD_VIEW: "context-dashboard";
                readonly DASHBOARD_AVAILABILITY: "dashboard-availability";
                readonly REPORTS_LIST: "report-dashboard-list";
                readonly ADD_REPORT: "report-dashboard-list";
                readonly ADD_DASHBOARD: "add-dashboard";
                readonly DELETE_DASHBOARD: "context-dashboard";
            };
            readonly CONTEXT: {
                readonly REPORT: "report";
                readonly DEVICE: "device";
                readonly ASSET: "asset";
                readonly GROUP: "group";
            };
            readonly ACTIONS: {
                readonly APPLY_GLOBAL_ROLES_CHANGES: "applyGlobalRolesChanges";
                readonly DELETE: "delete";
                readonly LOAD: "load";
                readonly CREATE: "create";
                readonly ADD_REPORT: "addReport";
            };
        };
    };
    filter: FilterInputComponent;
    textFilter$: BehaviorSubject<string>;
    reload$: BehaviorSubject<void>;
    reloading: boolean;
    reports$: Observable<IResultList<IManagedObject>>;
    canAddReport: boolean;
    private readonly DELETED_SUCCESS_MSG;
    constructor(inventoryService: InventoryService, contextDashboardService: ContextDashboardService, translateService: TranslateService, modal: ModalService, alertService: AlertService, reportDashboardService: ReportDashboardService, permissions: Permissions, gainsightService: GainsightService);
    ngOnInit(): void;
    loadReports(partialName?: string): Promise<IResultList<IManagedObject>>;
    delete(report: IManagedObject): Promise<void>;
    update(report: IManagedObject): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportDashboardListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReportDashboardListComponent, "c8y-report-dashboard-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=report-dashboard-list.component.d.ts.map