import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IManagedObject, Realtime } from '@c8y/client';
import { ConfigurationSnapshot, DeviceConfigurationListEmptyState, RepositoryService, SupportedConfigurationItem } from '@c8y/ngx-components/repository/shared';
import { DeviceConfigurationService } from './device-configuration.service';
import { TextBasedConfigurationComponent } from './text-based-configuration.component';
import * as i0 from "@angular/core";
export declare class DeviceConfigurationComponent implements OnInit {
    private route;
    private deviceConfigurationService;
    private realtime;
    private repositoryService;
    supportedConfigurations: SupportedConfigurationItem[];
    showBinaryBasedConfig: boolean;
    configurationType: string;
    configSnapshot: Partial<ConfigurationSnapshot>;
    repositorySnapshots: IManagedObject[];
    repositorySnapshot: ConfigurationSnapshot;
    repositorySnapshotsEmptyState: DeviceConfigurationListEmptyState;
    device: IManagedObject;
    isLegacy: boolean;
    showTextBasedConfig: boolean;
    reloading: boolean;
    textBasedConfigurationComponent: TextBasedConfigurationComponent;
    constructor(route: ActivatedRoute, deviceConfigurationService: DeviceConfigurationService, realtime: Realtime, repositoryService: RepositoryService);
    ngOnInit(): void;
    onConfigTypeSelected(config: any): Promise<void>;
    onRepositoryConfigSelected(config: any): Promise<void>;
    updateSnapshots(repositorySnapsOnly?: boolean): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceConfigurationComponent, "c8y-device-configuration", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=device-configuration.component.d.ts.map