import { NgForm } from '@angular/forms';
import { IManagedObject } from '@c8y/client';
import { AlertService, ForOfFilterPipe, PickedFiles, ValidationPattern } from '@c8y/ngx-components';
import { ModalModel, RepositoryService } from '@c8y/ngx-components/repository/shared';
import { BsModalRef } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class ConfigurationDetailComponent implements ModalModel {
    private repositoryService;
    private bsModalRef;
    private alert;
    configurationForm: NgForm;
    version: string;
    description: string;
    binary: {
        file?: File;
        url?: string;
    };
    deviceType: string;
    configurationTypeMO: Partial<IManagedObject>;
    pattern: string;
    filterPipe: ForOfFilterPipe;
    configs: any;
    mo: Partial<IManagedObject>;
    saving: boolean;
    uploadChoice: 'uploadBinary' | 'uploadUrl';
    existingBinary: File;
    submitButtonTitle: string;
    textForConfigurationUrlPopover: string;
    result: Promise<void>;
    ValidationPattern: typeof ValidationPattern;
    private _save;
    private _cancel;
    constructor(repositoryService: RepositoryService, bsModalRef: BsModalRef, alert: AlertService);
    ngOnInit(): Promise<void>;
    cancel(): void;
    setPipe(filterStr: string): void;
    onFile(dropped: PickedFiles): void;
    save(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigurationDetailComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfigurationDetailComponent, "c8y-configuration-detail", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=configuration-detail.component.d.ts.map