import { EventEmitter, OnInit } from '@angular/core';
import { IManagedObject, InventoryBinaryService } from '@c8y/client';
import { ActionControl, AlertService, Column, DataGridService, DataSourceModifier, FilterInputComponent, ModalService, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class ConfigurationListComponent implements OnInit {
    private alert;
    private gridService;
    private repositoryService;
    private bsModalService;
    private modalService;
    private translateService;
    private inventoryBinaryService;
    filter: FilterInputComponent;
    refresh$: EventEmitter<void>;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    noResultsMessage: "No results to display.";
    noDataMessage: "There are no configuration snapshots defined.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataSubtitle: "Add a configuration snapshot first.";
    actionControls: ActionControl[];
    columns: Column[];
    size$: Promise<number>;
    sizeRequestDone: boolean;
    serverSideDataCallback: ServerSideDataCallback;
    private readonly DELETED_SUCCESS_MSG;
    constructor(alert: AlertService, gridService: DataGridService, repositoryService: RepositoryService, bsModalService: BsModalService, modalService: ModalService, translateService: TranslateService, inventoryBinaryService: InventoryBinaryService);
    ngOnInit(): void;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    add(): Promise<void>;
    edit(configuration: IManagedObject): Promise<void>;
    isBinaryFile(configuration: IManagedObject): boolean;
    download(configuration: IManagedObject): Promise<void>;
    delete(configuration: IManagedObject): Promise<void>;
    trackByName(_index: any, column: Column): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigurationListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ConfigurationListComponent, "c8y-configuration-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=configuration-list.component.d.ts.map