import { EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { IManagedObject } from '@c8y/client';
import { AlertService, PickedFiles, ValidationPattern } from '@c8y/ngx-components';
import { ModalModel, RepositoryCategory, RepositoryService } from '@c8y/ngx-components/repository/shared';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AddFirmwareModalComponent {
    private modal;
    private repositoryService;
    private alert;
    PRODUCT_EXPERIENCE: {
        readonly SOFTWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "softwareRepository";
                readonly DEVICE_TAB: "deviceSoftware";
            };
            readonly COMPONENTS: {
                readonly ADD_SOFTWARE_MODAL: "add-software-modal";
                readonly DEVICE_SOFTWARE_CHANGES: "device-software-changes";
                readonly DEVICE_SOFTWARE_LIST: "device-software-list";
            };
            readonly ACTIONS: {
                readonly APPLY_SOFTWARE_CHANGES: "applySoftwareChanges";
                readonly CLEAR_SOFTWARE_CHANGES: "clearSoftwareChanges";
                readonly OPEN_INSTALL_SOFTWARE: "openInstallSoftwareModal";
                readonly OPEN_UPDATE_SOFTWARE: "openUpdateSoftwareModal";
                readonly DELETE_SOFTWARE: "deleteSoftware";
            };
            readonly RESULTS: {
                readonly ADD_SOFTWARE: "addSoftware";
                readonly ADD_SOFTWARE_VERSION: "addSoftwareVersion";
                readonly EDIT_SOFTWARE: "editSoftware";
            };
        };
        readonly FIRMWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "firmwareRepository";
                readonly DEVICE_TAB: "deviceFirmware";
            };
            readonly COMPONENTS: {
                readonly ADD_FIRMWARE_MODAL: "add-firmware-modal";
                readonly ADD_FIRMWAR_PATCH_MODAL: "add-firmware-patch-modal";
                readonly FIRMWARE_DEVICE_TAB: "firmware-device-tab";
                readonly DEVICE_FIRMWARE_LIST: "device-firmware-list";
            };
            readonly ACTIONS: {
                readonly OPEN_INSTALL_FIRMWARE_DIALOG: "openInstallFirmwareDialog";
                readonly OPEN_REPLACE_FIRMWARE_DIALOG: "openReplaceFirmwareDialog";
                readonly OPEN_INSTALL_FIRMWARE_PATCH_DIALOG: "openInstallFirmwarePatchDialog";
            };
            readonly RESULTS: {
                readonly ADD_FIRMWARE: "addFirmware";
                readonly ADD_FIRMWARE_VERSION: "addFirmwareVersion";
                readonly ADD_FIRMWARE_PATCH: "addFirmwarePatch";
                readonly EDIT_FIRMWARE: "editFirmware";
                readonly CREATE_FIRMWARE_UPDATE_OPERATION: "createFirmwareUpdateOperation";
            };
        };
        readonly SHARED: {
            readonly COMPONENTS: {
                readonly REPOSITORY_SELECT_MODAL: "repository-select-modal";
                readonly SELECT_CONFIGURATION_MODAL: "select-configuration-modal";
            };
        };
    };
    form: NgForm;
    saved: EventEmitter<RepositoryCategory>;
    onInput: BehaviorSubject<string>;
    model: ModalModel;
    firmwaresResult: any;
    saving: boolean;
    firmwarePreselected: boolean;
    textForFirmwareUrlPopover: string;
    ValidationPattern: typeof ValidationPattern;
    private inputSubscription$;
    constructor(modal: BsModalRef, repositoryService: RepositoryService, alert: AlertService);
    ngOnInit(): void;
    setInitialState(): void;
    loadFirmwares(): void;
    getFirmwareResult(searchStr: string): import("rxjs").Observable<import("@c8y/client").IResultList<IManagedObject>>;
    save(): Promise<void>;
    successMsg(): void;
    cancel(): void;
    ngOnDestroy(): void;
    onFile(dropped: PickedFiles): void;
    onFirmwareSelect(firmware: IManagedObject): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddFirmwareModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddFirmwareModalComponent, "c8y-add-firmware-software-modal", never, {}, { "saved": "saved"; }, never, never, false, never>;
}
//# sourceMappingURL=add-firmware-modal.component.d.ts.map