import { EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { IManagedObject, IResultList } from '@c8y/client';
import { AlertService, PickedFiles } from '@c8y/ngx-components';
import { ModalModel, RepositoryCategory, RepositoryService } from '@c8y/ngx-components/repository/shared';
import { BsDropdownDirective } from 'ngx-bootstrap/dropdown';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AddFirmwarePatchModalComponent {
    private modal;
    private repository;
    private alert;
    PRODUCT_EXPERIENCE: {
        readonly SOFTWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "softwareRepository";
                readonly DEVICE_TAB: "deviceSoftware";
            };
            readonly COMPONENTS: {
                readonly ADD_SOFTWARE_MODAL: "add-software-modal";
                readonly DEVICE_SOFTWARE_CHANGES: "device-software-changes";
                readonly DEVICE_SOFTWARE_LIST: "device-software-list";
            };
            readonly ACTIONS: {
                readonly APPLY_SOFTWARE_CHANGES: "applySoftwareChanges";
                readonly CLEAR_SOFTWARE_CHANGES: "clearSoftwareChanges";
                readonly OPEN_INSTALL_SOFTWARE: "openInstallSoftwareModal";
                readonly OPEN_UPDATE_SOFTWARE: "openUpdateSoftwareModal";
                readonly DELETE_SOFTWARE: "deleteSoftware";
            };
            readonly RESULTS: {
                readonly ADD_SOFTWARE: "addSoftware";
                readonly ADD_SOFTWARE_VERSION: "addSoftwareVersion";
                readonly EDIT_SOFTWARE: "editSoftware";
            };
        };
        readonly FIRMWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "firmwareRepository";
                readonly DEVICE_TAB: "deviceFirmware";
            };
            readonly COMPONENTS: {
                readonly ADD_FIRMWARE_MODAL: "add-firmware-modal";
                readonly ADD_FIRMWAR_PATCH_MODAL: "add-firmware-patch-modal";
                readonly FIRMWARE_DEVICE_TAB: "firmware-device-tab";
                readonly DEVICE_FIRMWARE_LIST: "device-firmware-list";
            };
            readonly ACTIONS: {
                readonly OPEN_INSTALL_FIRMWARE_DIALOG: "openInstallFirmwareDialog";
                readonly OPEN_REPLACE_FIRMWARE_DIALOG: "openReplaceFirmwareDialog";
                readonly OPEN_INSTALL_FIRMWARE_PATCH_DIALOG: "openInstallFirmwarePatchDialog";
            };
            readonly RESULTS: {
                readonly ADD_FIRMWARE: "addFirmware";
                readonly ADD_FIRMWARE_VERSION: "addFirmwareVersion";
                readonly ADD_FIRMWARE_PATCH: "addFirmwarePatch";
                readonly EDIT_FIRMWARE: "editFirmware";
                readonly CREATE_FIRMWARE_UPDATE_OPERATION: "createFirmwareUpdateOperation";
            };
        };
        readonly SHARED: {
            readonly COMPONENTS: {
                readonly REPOSITORY_SELECT_MODAL: "repository-select-modal";
                readonly SELECT_CONFIGURATION_MODAL: "select-configuration-modal";
            };
        };
    };
    saved: EventEmitter<RepositoryCategory>;
    dropdown: BsDropdownDirective;
    form: NgForm;
    textForFirmwareUrlPopover: string;
    model: ModalModel;
    firmwareInput$: BehaviorSubject<string>;
    firmwares$: Observable<IResultList<IManagedObject>>;
    firmwareSelected$: BehaviorSubject<Partial<RepositoryCategory>>;
    patchDependencyInput$: BehaviorSubject<string>;
    saving: boolean;
    firmwarePreselected: boolean;
    baseVersions$: Observable<IResultList<IManagedObject>>;
    baseVersionsFilterPipe: import("rxjs").UnaryFunction<Observable<[]>, Observable<never[]>>;
    constructor(modal: BsModalRef, repository: RepositoryService, alert: AlertService);
    ngOnInit(): Promise<void>;
    setInitialState(): void;
    save(): Promise<void>;
    successMsg(): void;
    cancel(): void;
    onFile(dropped: PickedFiles): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddFirmwarePatchModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddFirmwarePatchModalComponent, "c8y-add-firmware-patch-modal.component", never, {}, { "saved": "saved"; }, never, never, false, never>;
}
//# sourceMappingURL=add-firmware-patch-modal.component.d.ts.map