import { EventEmitter } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IManagedObject } from '@c8y/client';
import { ActionControl, AlertService, Column, DataGridService, DataSourceModifier, ModalService, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FirmwareListComponent {
    private repositoryService;
    private gridService;
    private modalService;
    private bsModalService;
    private translateService;
    private alertService;
    private router;
    private activatedRoute;
    sizeRequest: Promise<number>;
    sizeRequestDone: boolean;
    refresh$: EventEmitter<void>;
    isDataPresent$: Observable<boolean>;
    columns: Column[];
    actionControls: ActionControl[];
    serverSideDataCallback: ServerSideDataCallback;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    noResultsMessage: "No results to display.";
    noDataMessage: "No firmware to display.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataSubtitle: "Add a new firmware by clicking below.";
    constructor(repositoryService: RepositoryService, gridService: DataGridService, modalService: ModalService, bsModalService: BsModalService, translateService: TranslateService, alertService: AlertService, router: Router, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    addFirmware(): void;
    addFirmwarePatch(): void;
    editFirmware(firmware: Partial<IManagedObject>): void;
    deleteFirmware(firmware: IManagedObject): Promise<void>;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    trackByName(_index: any, column: Column): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirmwareListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FirmwareListComponent, "c8y-firmware-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=firmware-list.component.d.ts.map