import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { IManagedObject, IResultList } from '@c8y/client';
import { FilteringFormRendererContext, ForOfFilterPipe, TypeaheadComponent } from '@c8y/ngx-components';
import { BehaviorSubject, Observable } from 'rxjs';
import { RepositoryService } from '../repository.service';
import * as i0 from "@angular/core";
export declare class TypeFilteringFormRendererComponent implements OnInit, AfterViewInit {
    context: FilteringFormRendererContext;
    changeDetectorRef: ChangeDetectorRef;
    private repositoryService;
    private elementRef;
    path: string;
    selectedType: IManagedObject;
    types$: Observable<IResultList<IManagedObject>>;
    search$: BehaviorSubject<string>;
    filterPipe: ForOfFilterPipe<IManagedObject>;
    typeaheadPlaceholder: "Start typing to search, for example, {{ example }}";
    typeahead: TypeaheadComponent;
    private queriesUtil;
    private types;
    constructor(context: FilteringFormRendererContext, changeDetectorRef: ChangeDetectorRef, repositoryService: RepositoryService, elementRef: ElementRef);
    onEnterKeyUp(event: KeyboardEvent): void;
    onEscapeKeyDown(event: KeyboardEvent): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applyFilter(): void;
    private removeDuplicatesType;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeFilteringFormRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeFilteringFormRendererComponent, "c8y-type-filtering-form-renderer", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=type.filtering-form-renderer.component.d.ts.map