import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IOperation } from '@c8y/client';
import { DeviceSoftwareChange } from '@c8y/ngx-components/repository/shared';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DeviceSoftwareChangesComponent implements OnChanges {
    PRODUCT_EXPERIENCE: {
        readonly SOFTWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "softwareRepository";
                readonly DEVICE_TAB: "deviceSoftware";
            };
            readonly COMPONENTS: {
                readonly ADD_SOFTWARE_MODAL: "add-software-modal";
                readonly DEVICE_SOFTWARE_CHANGES: "device-software-changes";
                readonly DEVICE_SOFTWARE_LIST: "device-software-list";
            };
            readonly ACTIONS: {
                readonly APPLY_SOFTWARE_CHANGES: "applySoftwareChanges";
                readonly CLEAR_SOFTWARE_CHANGES: "clearSoftwareChanges";
                readonly OPEN_INSTALL_SOFTWARE: "openInstallSoftwareModal";
                readonly OPEN_UPDATE_SOFTWARE: "openUpdateSoftwareModal";
                readonly DELETE_SOFTWARE: "deleteSoftware";
            };
            readonly RESULTS: {
                readonly ADD_SOFTWARE: "addSoftware";
                readonly ADD_SOFTWARE_VERSION: "addSoftwareVersion";
                readonly EDIT_SOFTWARE: "editSoftware";
            };
        };
        readonly FIRMWARE: {
            readonly EVENTS: {
                readonly REPOSITORY: "firmwareRepository";
                readonly DEVICE_TAB: "deviceFirmware";
            };
            readonly COMPONENTS: {
                readonly ADD_FIRMWARE_MODAL: "add-firmware-modal";
                readonly ADD_FIRMWAR_PATCH_MODAL: "add-firmware-patch-modal";
                readonly FIRMWARE_DEVICE_TAB: "firmware-device-tab";
                readonly DEVICE_FIRMWARE_LIST: "device-firmware-list";
            };
            readonly ACTIONS: {
                readonly OPEN_INSTALL_FIRMWARE_DIALOG: "openInstallFirmwareDialog";
                readonly OPEN_REPLACE_FIRMWARE_DIALOG: "openReplaceFirmwareDialog";
                readonly OPEN_INSTALL_FIRMWARE_PATCH_DIALOG: "openInstallFirmwarePatchDialog";
            };
            readonly RESULTS: {
                readonly ADD_FIRMWARE: "addFirmware";
                readonly ADD_FIRMWARE_VERSION: "addFirmwareVersion";
                readonly ADD_FIRMWARE_PATCH: "addFirmwarePatch";
                readonly EDIT_FIRMWARE: "editFirmware";
                readonly CREATE_FIRMWARE_UPDATE_OPERATION: "createFirmwareUpdateOperation";
            };
        };
        readonly SHARED: {
            readonly COMPONENTS: {
                readonly REPOSITORY_SELECT_MODAL: "repository-select-modal";
                readonly SELECT_CONFIGURATION_MODAL: "select-configuration-modal";
            };
        };
    };
    changes: DeviceSoftwareChange[];
    changesInProgress: boolean;
    deviceSoftwareChangesOperation: IOperation;
    clear: EventEmitter<void>;
    drop: EventEmitter<DeviceSoftwareChange>;
    apply: EventEmitter<void>;
    hideSoftwareChanges: EventEmitter<void>;
    get applyButtonLabel(): "Applying changes…" | "Apply changes";
    changes$: BehaviorSubject<DeviceSoftwareChange[]>;
    installations$: import("rxjs").Observable<DeviceSoftwareChange[]>;
    removals$: import("rxjs").Observable<DeviceSoftwareChange[]>;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceSoftwareChangesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceSoftwareChangesComponent, "c8y-device-software-changes", never, { "changes": { "alias": "changes"; "required": false; }; "changesInProgress": { "alias": "changesInProgress"; "required": false; }; "deviceSoftwareChangesOperation": { "alias": "deviceSoftwareChangesOperation"; "required": false; }; }, { "clear": "clear"; "drop": "drop"; "apply": "apply"; "hideSoftwareChanges": "hideSoftwareChanges"; }, never, never, false, never>;
}
//# sourceMappingURL=device-software-changes.component.d.ts.map