import { EventEmitter, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IManagedObject } from '@c8y/client';
import { ActionControl, AlertService, Column, DataGridService, DataSourceModifier, ModalService, ServerSideDataCallback, ServerSideDataResult } from '@c8y/ngx-components';
import { RepositoryService } from '@c8y/ngx-components/repository/shared';
import { TranslateService } from '@ngx-translate/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class SoftwareListComponent implements OnInit {
    private repositoryService;
    private gridService;
    private modalService;
    private bsModalService;
    private translateService;
    private alertService;
    private router;
    private activatedRoute;
    sizeRequest: Promise<number>;
    sizeRequestDone: boolean;
    refresh$: EventEmitter<void>;
    columns: Column[];
    actionControls: ActionControl[];
    serverSideDataCallback: ServerSideDataCallback;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    noResultsMessage: "No results to display.";
    noDataMessage: "No software to display.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    noDataSubtitle: "Add a new software by clicking below.";
    constructor(repositoryService: RepositoryService, gridService: DataGridService, modalService: ModalService, bsModalService: BsModalService, translateService: TranslateService, alertService: AlertService, router: Router, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    addSoftware(): void;
    editSoftware(software: Partial<IManagedObject>): void;
    deleteSoftware(software: IManagedObject): Promise<void>;
    trackByName(_index: any, column: Column): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SoftwareListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SoftwareListComponent, "c8y-software-list", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=software-list.component.d.ts.map