import { ActionControl, BulkActionControl, Column, Pagination, SearchFilters } from '@c8y/ngx-components';
import { AssetNodeService } from '@c8y/ngx-components/assets-navigator';
import { DeviceGridService } from '@c8y/ngx-components/device-grid';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AssetSearchService {
    private deviceGridService;
    private assetNodeService;
    GRID_CONFIG_STORAGE_KEY: string;
    DEFAULT_PAGE_SIZE: number;
    getGlobalSearchData: any;
    appliedFilters$: BehaviorSubject<{
        [SearchFilters.ALL_FILTERS]: boolean;
        [SearchFilters.ONLY_GROUPS_AND_ASSETS]: boolean;
        [SearchFilters.ONLY_DEVICES]: boolean;
    }>;
    private queriesUtil;
    constructor(deviceGridService: DeviceGridService, assetNodeService: AssetNodeService);
    /**
     * Resets the status of applied filters, used during the search.
     * Applies only to filters: 'All', 'Show only devices', 'Show only groups and assets'.
     */
    resetAppliedFilters(): void;
    buildCombinedRootQueryFilter(columns: Column[], pagination: Pagination): string;
    getData(columns: Column[], pagination: Pagination, text?: string): Promise<any>;
    getDefaultColumns(): Column[];
    getDefaultActionControls(): ActionControl[];
    getDefaultBulkActionControls(): BulkActionControl[];
    getDefaultPagination(): Pagination;
    private buildSearchQuery;
    private getSearchData;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetSearchService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AssetSearchService>;
}
//# sourceMappingURL=search.service.d.ts.map