import { EventEmitter } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { InventoryService } from '@c8y/client';
import { ActionControl, Column, DataGridService, DataSourceModifier, ServerSideDataResult } from '@c8y/ngx-components';
import { ServiceCommandService } from '@c8y/ngx-components/services/shared';
import { StatusOptionsService } from '../status-options';
import * as i0 from "@angular/core";
export declare class ServicesDeviceTabComponent {
    private route;
    private inventoryService;
    private gridService;
    private statusOptionsService;
    private serviceCommand;
    deviceId: string | number;
    sizeRequest: Promise<number>;
    sizeRequestDone: boolean;
    refresh$: EventEmitter<void>;
    pagination: {
        pageSize: number;
        currentPage: number;
    };
    actionControls: ActionControl[];
    columns: Column[];
    serverSideDataCallback: any;
    noResultsMessage: "No results to display.";
    noDataMessage: "No services to display.";
    noResultsSubtitle: "Refine your search terms or check your spelling.";
    private queriesUtil;
    constructor(route: ActivatedRoute, inventoryService: InventoryService, gridService: DataGridService, statusOptionsService: StatusOptionsService, serviceCommand: ServiceCommandService);
    onDataSourceModifier(dataSourceModifier: DataSourceModifier): Promise<ServerSideDataResult>;
    trackByName(_index: any, column: Column): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServicesDeviceTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ServicesDeviceTabComponent, "c8y-services-device-tab", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=services-device-tab.component.d.ts.map