import { CdkStep } from '@angular/cdk/stepper';
import { FormGroup } from '@angular/forms';
import { C8yStepper, GainsightService } from '@c8y/ngx-components';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { TranslateService } from '@ngx-translate/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { BehaviorSubject, Subject } from 'rxjs';
import { SigfoxDevice, SigfoxDeviceFormly } from './sigfox-device-registration.model';
import { SigfoxProviderService } from './sigfox-provider.service';
import * as i0 from "@angular/core";
type SigfoxState = 'loadPending' | 'loadSuccess' | 'loadError' | 'registrationPending' | 'registrationSuccess' | 'registrationError';
export declare class SigfoxDeviceRegistrationComponent {
    bsModalRef: BsModalRef;
    private sigfoxService;
    private translateService;
    private gainsightService;
    stepper: C8yStepper;
    readonly PAGING: object;
    form: FormGroup<{}>;
    model: SigfoxDeviceFormly;
    protocols$: import("rxjs").Observable<import("packages/client/lib").IResultList<import("packages/client/lib").IManagedObject>>;
    connections$: import("rxjs").Observable<{
        res: import("packages/client/lib").IFetchResponse;
        data: any;
    }>;
    unsubscribe$: Subject<void>;
    load$: import("rxjs").Observable<any[]>;
    fields: FormlyFieldConfig[];
    registrationStepLabels: {
        next: "Register";
    };
    finalStepLabels: {
        back: "Close";
    };
    state: SigfoxState;
    errors$: BehaviorSubject<Error[]>;
    errorMessages$: import("rxjs").Observable<any>;
    constructor(bsModalRef: BsModalRef, sigfoxService: SigfoxProviderService, translateService: TranslateService, gainsightService: GainsightService);
    create(event: {
        stepper: C8yStepper;
        step: CdkStep;
    }): Promise<void>;
    getSigfoxDeviceToSend(): SigfoxDevice;
    getContracts$(name: any): import("rxjs").Observable<import("packages/client/lib").IResultList<any>>;
    getProtocols$(): import("rxjs").Observable<import("packages/client/lib").IResultList<import("packages/client/lib").IManagedObject>>;
    getConnections$(): import("rxjs").Observable<{
        res: import("packages/client/lib").IFetchResponse;
        data: any;
    }>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SigfoxDeviceRegistrationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SigfoxDeviceRegistrationComponent, "c8y-sigfox-device-registration", never, {}, {}, never, never, false, never>;
}
export {};
//# sourceMappingURL=sigfox-device-registration.component.d.ts.map