import { IManagedObject } from '@c8y/client';
export interface SigfoxDevice {
    id: string;
    pac: string;
    deviceType: IManagedObject;
    contractId: string;
    prototype: boolean;
    productCertificate: string;
    error?: string;
    lnsConnectionName: string;
}
export interface Contract {
    id: string;
    name: string;
}
export interface SigfoxDeviceFormly extends SigfoxDevice {
    contract: Contract;
    connection: {
        name: string;
        description: string;
        baseUrl: string;
        parentGroupId: string;
        username: string;
        password: string;
    };
}
export declare const PRODUCT_EXPERIENCE_SIGFOX_REGISTRATION: {
    readonly EVENT: "deviceRegistration";
    readonly COMPONENT: "sigfox-registration";
    readonly RESULT: {
        readonly SUCCESS: "registrationSuccess";
        readonly FAILURE: "registrationFailure";
    };
};
//# sourceMappingURL=sigfox-device-registration.model.d.ts.map