import { IManagedObject } from '@c8y/client';
import { ConfirmModalComponent, GainsightService, ModalLabels, StatusType } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { Subject } from 'rxjs';
import { DeleteModalCheckboxes } from './delete-assets-modal.model';
import * as i0 from "@angular/core";
export declare class DeleteAssetsModalComponent {
    private translateService;
    private gainsightService;
    CURRENT_LOCATION: string;
    PRODUCT_EXPERIENCE: {
        readonly EVENT: "subAssets";
        readonly DELETE_ASSET: {
            readonly COMPONENTS: {
                readonly DELETE_ASSETS_MODAL: "delete-assets-modal";
            };
            readonly ACTIONS: {
                readonly CASCADE_DELETE: "cascadeDelete";
                readonly DELETE_DEVICE_OWNER: "deleteDeviceOwner";
            };
            readonly RESULTS: {
                readonly CANCELED: "canceled";
                readonly DELETED: "deleted";
            };
        };
        readonly ASSIGN_DEVICES: {
            readonly COMPONENTS: {
                readonly ASSIGN_DEVICES: "assign-devices";
            };
            readonly ACTIONS: {
                readonly ASSIGN: "assign";
                readonly CANCEL: "cancel";
                readonly DISPLAY_CHILD_DEVICES: "displayChildDevices";
            };
        };
        readonly UNASSIGN_MODAL: {
            readonly COMPONENTS: {
                readonly UNASSIGN_MODAL: "unassign-modal";
            };
            readonly RESULTS: {
                readonly ASSET_UNASSIGNED: "asset-unassigned";
            };
            readonly ACTIONS: {
                readonly CANCEL: "cancel";
            };
        };
        readonly GROUP_INFO: {
            readonly COMPONENTS: {
                readonly GROUP_INFO: "group-info";
            };
            readonly ACTIONS: {
                readonly EDIT: "edit";
            };
            readonly RESULTS: {
                readonly EDIT_SAVED: "edit-saved";
            };
            readonly PROPERTIES: {
                readonly NAME: "name";
                readonly DESCRIPTION: "description";
            };
        };
        readonly ADD_GROUP: {
            readonly COMPONENTS: {
                readonly ADD_GROUP: "add-group";
            };
            readonly ACTIONS: {
                readonly ADD: "add";
            };
            readonly RESULTS: {
                readonly ADD_SUCCESS: "group-added";
            };
        };
    };
    showWithCascadeCheckbox: boolean;
    showWithDeviceUserCheckbox: boolean;
    asset: IManagedObject;
    modalRef: ConfirmModalComponent;
    closeSubject: Subject<DeleteModalCheckboxes>;
    labels: ModalLabels;
    title: string;
    status: StatusType;
    config: DeleteModalCheckboxes;
    message: string;
    deleteGroupSubAssetsMsg: string;
    constructor(translateService: TranslateService, gainsightService: GainsightService);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    onClose(): void;
    onDismiss(): void;
    private setModalTexts;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeleteAssetsModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeleteAssetsModalComponent, "c8y-delete-assets-modal", never, { "showWithCascadeCheckbox": { "alias": "showWithCascadeCheckbox"; "required": false; }; "showWithDeviceUserCheckbox": { "alias": "showWithDeviceUserCheckbox"; "required": false; }; "asset": { "alias": "asset"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=delete-assets-modal.component.d.ts.map