import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Column, Permissions } from '@c8y/ngx-components';
import { Subject } from 'rxjs';
import { SubAssetsConfig } from './sub-assets.model';
import { SubAssetsService } from './sub-assets.service';
import * as i0 from "@angular/core";
export declare class GroupsComponent implements OnInit, OnDestroy {
    private permissions;
    private subAssetsService;
    moduleConfig: SubAssetsConfig;
    private activeRoute;
    private router;
    private SHOW_ADD_GROUP;
    showAddGroup: import("@angular/core").WritableSignal<boolean>;
    refresh: EventEmitter<void>;
    filterable: boolean;
    sortable: boolean;
    shouldDisableAddGroup: boolean;
    columns: Column[];
    destroyed: Subject<void>;
    constructor(permissions: Permissions, subAssetsService: SubAssetsService, moduleConfig: SubAssetsConfig, activeRoute: ActivatedRoute, router: Router);
    ngOnInit(): void;
    onAddGroupClick(): void;
    ngOnDestroy(): void;
    /**
     * Updates the query parameter `showAddGroup` based on the value of `showAddGroup` property.
     * - If `showAddGroup` is `true`, adds `showAddGroup=true` to the query parameters.
     * - If `showAddGroup` is `false`, removes `showAddGroup` from the query parameters.
     */
    private handleShowAddGroupQueryParam;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupsComponent, "c8y-groups-name", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=groups.component.d.ts.map