import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { IManagedObject } from '@c8y/client';
import { ContextRouteService, DisplayOptions, Permissions } from '@c8y/ngx-components';
import { Subject } from 'rxjs';
import { SubAssetsConfig } from './sub-assets.model';
import { SubAssetsService } from './sub-assets.service';
import * as i0 from "@angular/core";
export declare class SubAssetsComponent implements OnInit, OnDestroy {
    private activeRoute;
    private subAssetsService;
    private contextRouteService;
    private permissionsService;
    moduleConfig: SubAssetsConfig;
    private router;
    private SHOW_ADD_GROUP;
    group: IManagedObject;
    currentGroupId: string;
    showChildrenForDevice: IManagedObject;
    title: string;
    toggle: boolean;
    showAddGroup: import("@angular/core").WritableSignal<boolean>;
    showAssignDevices: boolean;
    requestInProgress: boolean;
    showAssignChildDevices: boolean;
    refresh: EventEmitter<any>;
    filterable: boolean;
    shouldDisableAddGroup: boolean;
    shouldDisableAssignDevices: boolean;
    shouldShowAssetsProperties: boolean;
    displayOptions: DisplayOptions;
    customProperties: IManagedObject[];
    isSmartGroup: boolean;
    destroyed: Subject<void>;
    constructor(activeRoute: ActivatedRoute, subAssetsService: SubAssetsService, contextRouteService: ContextRouteService, permissionsService: Permissions, moduleConfig: SubAssetsConfig, router: Router);
    ngOnInit(): Promise<void>;
    init(contextData: any): Promise<void>;
    groupChange(group: IManagedObject): void;
    onAddGroupClick(): void;
    ngOnDestroy(): void;
    /**
     * Updates the query parameter `showAddGroup` based on the value of `showAddGroup` property.
     * - If `showAddGroup` is `true`, adds `showAddGroup=true` to the query parameters.
     * - If `showAddGroup` is `false`, removes `showAddGroup` from the query parameters.
     */
    private handleShowAddGroupQueryParam;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubAssetsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SubAssetsComponent, "c8y-sub-assets", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=sub-assets.component.d.ts.map