import { InjectionToken } from '@angular/core';
export declare const SUB_ASSETS_CONFIG: InjectionToken<SubAssetsConfig>;
/**
 * Configuration object of the SubAssetsModule.
 */
export interface SubAssetsConfig {
    /**
     * Allows to show or hide the "Add group" button.
     */
    showAddGroupBtn?: boolean;
    /**
     * Allows to show or hide the "Assign devices" button.
     */
    showAssignDeviceBtn?: boolean;
    /**
     * Allows to change the displayed text in the title and breadcrumbs.
     */
    name?: string;
    /**
     * Allows to set the base query that is responsible for retrieving sub-assets.
     *
     * **Example**
     *
     * ```typescript
     * SubAssetsModule.config({
     *   baseQuery: { __has: 'c8y_IsAsset' }
     * })
     * ```
     * Check QueriesUtil service from '@c8y/client' to see more examples.
     */
    baseQuery?: object;
    /**
     * Allows to show or hide asset details.
     */
    showDetails?: boolean;
    /**
     * Allows to show or hide the asset properties.
     */
    showProperties?: boolean;
    /**
     * Allows to show or hide the groups context help.
     */
    showGroupsContextHelp?: boolean;
}
export declare const defaultModuleConfig: SubAssetsConfig;
//# sourceMappingURL=sub-assets.model.d.ts.map