import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ApplicationService, ITenant, TenantService } from '@c8y/client';
import { ActivatedRoute } from '@angular/router';
import { AlertService, GainsightService, OptionsService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class TenantLimitsComponent implements OnInit {
    private tenantService;
    private alertService;
    private activatedRoute;
    private applicationService;
    private options;
    private gainsightService;
    fieldDefinitions: {
        limitDevicesNumber: import("./tenant-limits-definitions").TenantLimit;
        limitHttpRequests: import("./tenant-limits-definitions").TenantLimit;
        limitHttpQueue: import("./tenant-limits-definitions").TenantLimit;
        limitStreamRequests: import("./tenant-limits-definitions").TenantLimit;
        limitStreamQueue: import("./tenant-limits-definitions").TenantLimit;
        cepServerQueueLimit: import("./tenant-limits-definitions").TenantLimit;
        dataBrokerQueueLimit: import("./tenant-limits-definitions").TenantLimit;
        deviceStorageLimitMiB: import("./tenant-limits-definitions").TenantLimit;
    };
    fieldKeys: string[];
    storageLimitFeatureEnabled: boolean;
    limitsForm: FormGroup;
    tenant: ITenant | null;
    initialized: boolean;
    deviceStorageLimitInfoMessage: "Default: 0 (unlimited storage)";
    constructor(tenantService: TenantService, alertService: AlertService, activatedRoute: ActivatedRoute, applicationService: ApplicationService, options: OptionsService, gainsightService: GainsightService);
    ngOnInit(): Promise<void>;
    onSubmit(): Promise<void>;
    private loadTenantDetails;
    private setupConditionalFields;
    private generateForm;
    private getDirtyValues;
    private sendGainsightEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<TenantLimitsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TenantLimitsComponent, "c8y-tenant-limits", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=tenant-limits.component.d.ts.map