import { InjectionToken } from '@angular/core';
import { NavigatorNode } from '@c8y/ngx-components';
export declare const TENANTS_MODULE_CONFIG: InjectionToken<TenantsModuleConfig>;
/**
 * Configuration object for `TenantsModule`.
 */
export interface TenantsModuleConfig {
    /**
     * Allows for hiding or customizing "Subtenants" navigator node:
     * - `subtenantsNavigatorNode: true` - shows the default navigator node (default),
     * - `subtenantsNavigatorNode: false` - hides the navigator node,
     * - `subtenantsNavigatorNode: { label: 'My subtenants' }` - overrides default navigator node,
     * - `subtenantsNavigatorNode: new NavigatorNode({ label: 'My subtenants' })` - overrides default navigator node.
     */
    subtenantsNavigatorNode?: boolean | Partial<NavigatorNode>;
}
export declare const PRODUCT_EXPERIENCE_TENANT_MANAGEMENT: {
    readonly EVENTS: {
        readonly TENANT_MANAGEMENT: "tenantManagement";
    };
    readonly COMPONENTS: {
        readonly TENANT_LIST: "tenant-list";
        readonly TENANT_FORM: "tenant-form";
        readonly TENANT_CUSTOM_PROPERTIES: "tenant-custom-properties";
        readonly TENANT_LIMITS: "tenant-limits";
    };
    readonly ACTIONS: {
        readonly TENANT_CREATION_INITIALIZED: "tenantCreationInitialized";
        readonly TENANT_CREATION_STARTED_FILLING: "tenantCreationStartedFilling";
        readonly TENANT_CREATION_SAVED: "tenantCreationSaved";
        readonly TENANT_PROPERTIES_OPENED: "tenantPropertiesOpened";
        readonly TENANT_PROPERTIES_STARTED_CHANGING: "tenantPropertiesStartedChanging";
        readonly TENANT_PROPERTIES_SAVED: "tenantPropertiesSaved";
        readonly TENANT_CUSTOM_PROPERTIES_OPENED: "tenantCustomPropertiesOpened";
        readonly TENANT_CUSTOM_PROPERTIES_STARTED_CHANGING: "tenantCustomPropertiesStartedChanging";
        readonly TENANT_CUSTOM_PROPERTIES_SAVED: "tenantCustomPropertiesSaved";
        readonly TENANT_LIMITS_OPENED: "tenantLimitsOpened";
        readonly TENANT_LIMITS_STARTED_CHANGING: "tenantLimitsStartedChanging";
        readonly TENANT_LIMITS_SAVED: "tenantLimitsSaved";
    };
    readonly RESULTS: {
        readonly SUCCESS: "success";
        readonly FAILURE: "failure";
    };
};
export type TenantManagementActionType = (typeof PRODUCT_EXPERIENCE_TENANT_MANAGEMENT.ACTIONS)[keyof typeof PRODUCT_EXPERIENCE_TENANT_MANAGEMENT.ACTIONS];
export type TenantManagementResultType = (typeof PRODUCT_EXPERIENCE_TENANT_MANAGEMENT.RESULTS)[keyof typeof PRODUCT_EXPERIENCE_TENANT_MANAGEMENT.RESULTS];
//# sourceMappingURL=tenants.model.d.ts.map