import { AfterViewInit, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { IEvent } from '@c8y/client';
import { ContextRouteService, DateRangePickerConfig, EventRealtimeService, LoadMoreComponent, TimeInterval } from '@c8y/ngx-components';
import { MapComponent, MapConfig, PositionManagedObject } from '@c8y/ngx-components/map';
import { TrackingService } from './tracking.service';
import * as i0 from "@angular/core";
export declare class TrackingComponent implements OnInit, AfterViewInit {
    service: TrackingService;
    realtime: EventRealtimeService;
    private contextRouteService;
    private activatedRoute;
    map: MapComponent;
    dateRangePickerConfig: DateRangePickerConfig;
    config: MapConfig;
    maxDate: Date;
    activeMarkers: {
        [key: string]: boolean;
    };
    realtimeDisabled: boolean;
    device: PositionManagedObject;
    loadMoreComponent: LoadMoreComponent;
    constructor(service: TrackingService, realtime: EventRealtimeService, contextRouteService: ContextRouteService, activatedRoute: ActivatedRoute);
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): Promise<void>;
    toggleMarker(event: IEvent): void;
    togglePositionRealtime(active: boolean): void;
    toggleRealtime(interval: TimeInterval): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrackingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrackingComponent, "c8y-tracking", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=tracking.component.d.ts.map