import { EventService, IEvent, IResultList } from '@c8y/client';
import { ForOfFilterPipe, GeoService, TimeInterval } from '@c8y/ngx-components';
import { PositionManagedObject } from '@c8y/ngx-components/map';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TrackingService {
    private eventService;
    private geo;
    private static readonly BASE_FILTER;
    events$: Observable<IResultList<IEvent>>;
    polyline$: Observable<L.LatLngExpression[]>;
    pipe: ForOfFilterPipe;
    trackVisible: boolean;
    hasEvents: boolean;
    private _polylineEventsSubject$;
    private deviceId$;
    private timeInterval$;
    private reload$;
    constructor(eventService: EventService, geo: GeoService);
    setDeviceId(deviceId: string | number): void;
    setInterval(interval: TimeInterval): void;
    clearTrack(): void;
    reload(): void;
    latestPositionUpdate(mo: PositionManagedObject): Promise<Date>;
    toggleTrack(): void;
    isLocationUpdateEvent(event: IEvent): boolean;
    private isMatchingEvent;
    private compareEvents;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrackingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TrackingService>;
}
//# sourceMappingURL=tracking.service.d.ts.map