import { OnInit } from '@angular/core';
import { ActionControl, AlertService, AppStateService, Column, DisplayOptions, Pagination, TranslateService } from '@c8y/ngx-components';
import { TranslationStoreService } from '@c8y/ngx-components/translation-editor/data';
import { BsModalService } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class TranslationEditorComponent implements OnInit {
    private translationStore;
    private modalService;
    private alert;
    private appState;
    private translate;
    pagination: Pagination;
    displayOptions: DisplayOptions;
    actionControls: ActionControl[];
    columns: Column[];
    isLoading: boolean;
    items: Awaited<ReturnType<TranslationStoreService['getCombinedListOfTranslationsForPerKey']>>;
    isHavingChanges: boolean;
    availableLangs: {
        lang: string;
        nativeLanguage: string;
    }[];
    constructor(translationStore: TranslationStoreService, modalService: BsModalService, alert: AlertService, appState: AppStateService, translate: TranslateService);
    ngOnInit(): Promise<void>;
    refresh(): Promise<void>;
    addEntry(): Promise<void>;
    refreshColumns(): void;
    valueChanged(): void;
    saveTranslations(): Promise<void>;
    private getColumnsForLocales;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TranslationEditorComponent, "c8y-translation-editor", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=translation-editor.component.d.ts.map