import { CrlService, ICertificateRevocation } from '@c8y/client';
import { AlertService, DroppedFile, ModalService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class CrlSettingsComponent {
    private crlService;
    private alertService;
    private modalService;
    crls: ICertificateRevocation[];
    droppedFiles: DroppedFile[];
    today: Date;
    MANUAL_ENTRY_POPOVER: "In this section, you can override or add individual entries to the CRL. Providing the serial number is mandatory. In case the revocation date is not set, it will be configured to the current date.";
    FILE_UPLOAD_POPOVER: "In this section, you can upload a file with the list of certificates to be revoked. The file must be in CSV format, and it should include the serial number and revocation date. If the revocation date is empty, it will be set to the current date.";
    constructor(crlService: CrlService, alertService: AlertService, modalService: ModalService);
    downloadCrl(): Promise<void>;
    downloadCrlTemplate(): void;
    addCertificateRevocation(): void;
    removeCertificateRevocation(certificateRevocation: any): void;
    save(): Promise<void>;
    get isListEmpty(): any;
    get isFileDropped(): boolean;
    private confirm;
    private clearSavedData;
    private saveCrls;
    private uploadCrlFile;
    private getEmptyCertificateRevocation;
    static ɵfac: i0.ɵɵFactoryDeclaration<CrlSettingsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CrlSettingsComponent, "c8y-crl-settings", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=crl-settings.component.d.ts.map