import { BsModalRef } from 'ngx-bootstrap/modal';
import { DroppedFile, GainsightService } from '@c8y/ngx-components';
import { ITrustedCertificate, TrustedCertificateService } from '@c8y/client';
import { AlertService } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class AddTrustedCertificateComponent {
    private modal;
    private trustedCertificateService;
    private alertService;
    private gainsightService;
    maxAllowedFiles: number;
    AUTO_REGISTRATION_POPOVER: "Devices using the MQTT protocol with credentials signed by this certificate will be able to communicate with the platform without prior registration. The option does not support devices using the LWM2M protocol.";
    trustedCertificate: Partial<ITrustedCertificate>;
    fileIsUploaded: boolean;
    result: Promise<any>;
    private _save;
    private _cancel;
    PRODUCT_EXPERIENCE: {
        readonly EVENT: "trustedCertificate";
        readonly CERTIFICATES: {
            readonly COMPONENTS: {
                readonly TRUSTED_CERTIFICATE: "trusted-certificate";
            };
            readonly ACTIONS: {
                readonly ADD: "add";
                readonly UPDATE: "update";
                readonly DELETE: "delete";
            };
            readonly RESULTS: {
                readonly ADD_SUCCESS: "certificateAdded";
                readonly UPDATE_SUCCESS: "certificateUpdated";
                readonly DELETE_SUCCESS: "certificateDeleted";
            };
        };
        readonly VERIFICATION_CODE: {
            readonly COMPONENTS: {
                readonly REGENERATE_CODE: "regenerate-unsigned-verification-code";
                readonly VERIFY_CODE: "verify-signed-verification-code";
                readonly DOWNLOAD_CODE: "download-unsigned-verification-code";
            };
            readonly ACTIONS: {
                readonly REGENERATE: "regenerate";
                readonly VERIFY: "verify";
                readonly DOWNLOAD: "download";
            };
            readonly RESULTS: {
                readonly REGENERATE_SUCCESS: "unsignedVerificationCodeRegenerated";
                readonly VERIFY_SUCCESS: "signedCodeVerified";
                readonly VERIFY_FAILED: "signedCodeVerificationFailed";
            };
        };
    };
    constructor(modal: BsModalRef, trustedCertificateService: TrustedCertificateService, alertService: AlertService, gainsightService: GainsightService);
    uploadFile(dropped: DroppedFile[]): void;
    save(): Promise<void>;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddTrustedCertificateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddTrustedCertificateComponent, "c8y-add-trusted-certificate", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=add-trusted-certificate.component.d.ts.map