import { ITrustedCertificate } from '@c8y/client';
export interface TrustedCertificate extends ITrustedCertificate {
    signedVerificationCode?: string;
}
export declare const PRODUCT_EXPERIENCE_TRUSTED_CERTIFICATES: {
    readonly EVENT: "trustedCertificate";
    readonly CERTIFICATES: {
        readonly COMPONENTS: {
            readonly TRUSTED_CERTIFICATE: "trusted-certificate";
        };
        readonly ACTIONS: {
            readonly ADD: "add";
            readonly UPDATE: "update";
            readonly DELETE: "delete";
        };
        readonly RESULTS: {
            readonly ADD_SUCCESS: "certificateAdded";
            readonly UPDATE_SUCCESS: "certificateUpdated";
            readonly DELETE_SUCCESS: "certificateDeleted";
        };
    };
    readonly VERIFICATION_CODE: {
        readonly COMPONENTS: {
            readonly REGENERATE_CODE: "regenerate-unsigned-verification-code";
            readonly VERIFY_CODE: "verify-signed-verification-code";
            readonly DOWNLOAD_CODE: "download-unsigned-verification-code";
        };
        readonly ACTIONS: {
            readonly REGENERATE: "regenerate";
            readonly VERIFY: "verify";
            readonly DOWNLOAD: "download";
        };
        readonly RESULTS: {
            readonly REGENERATE_SUCCESS: "unsignedVerificationCodeRegenerated";
            readonly VERIFY_SUCCESS: "signedCodeVerified";
            readonly VERIFY_FAILED: "signedCodeVerificationFailed";
        };
    };
};
//# sourceMappingURL=trusted-certificate.model.d.ts.map