export declare const MESSAGES_TRUSTED_CERTIFICATES: {
    readonly '^Cannot find certificate with fingerprint (.+?).$': {
        readonly gettext: "Could not find {{ fingerprint }} certificate.";
        readonly placeholders: {
            readonly fingerprint: "$1";
        };
    };
    readonly '^Wrong proof of possession verification code used for tenant (.+?). Certificate (.+?), usage not granted.$': {
        readonly gettext: "Could not confirm the ownership of {{ fingerprint }} certificate: invalid proof of possession verification code provided, sign verification code with private key.";
        readonly placeholders: {
            readonly tenant: "$1";
            readonly fingerprint: "$2";
        };
    };
    readonly '^Proof of possession verification code used for tenant (.+?) expired. Certificate (.+?), usage not granted.': {
        readonly gettext: "Could not confirm the ownership of {{ fingerprint }} certificate: proof of possession verification code has expired, generate a new code and try again.";
        readonly placeholders: {
            readonly tenant: "$1";
            readonly fingerprint: "$2";
        };
    };
};
//# sourceMappingURL=pattern-messages.data.d.ts.map