import { DynamicComponentErrorStrategy, DynamicDatapointsResolver } from '@c8y/ngx-components';
export declare const linearGaugeWidgetDefinition: {
    id: "KPI Linear Gauge";
    label: "Linear Gauge";
    description: "A linear gauge graph displaying current values for selected measurements";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/linear-gauge").LinearGaugeWidgetViewComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/linear-gauge").LinearGaugeWidgetConfigComponent>;
    previewImage: string;
    resolve: {
        datapoints: typeof DynamicDatapointsResolver;
    };
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
};
export declare const linearGaugeWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map