import { DynamicManagedObjectResolver, DynamicComponentErrorStrategy } from '@c8y/ngx-components';
export declare const mapWidgetDefinition: {
    id: "Map";
    label: "Map";
    description: "Shows the position of a device or all devices in a group.";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/map").MapWidgetComponent>;
    loadConfigComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/widgets/implementations/map").MapWidgetConfigComponent>;
    resolve: {
        device: typeof DynamicManagedObjectResolver;
    };
    previewImage: string;
    errorStrategy: DynamicComponentErrorStrategy.OVERLAY_ERROR;
    data: {
        schema: () => Promise<{
            default: typeof import("c8y-schema-loader?interfaceName=*");
            schema: import("json-schema").JSONSchema7;
        }>;
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: false;
                    groupsSelectable: true;
                    deviceTargetNotRequired: boolean;
                };
            };
        };
        displaySettings: {
            globalTimeContext: false;
            globalAutoRefreshContext: true;
            globalRealtimeContext: true;
        };
    };
};
export declare const mapWidgetProviders: (import("@angular/core").ValueProvider | import("@angular/core").ClassProvider | import("@angular/core").ExistingProvider)[];
//# sourceMappingURL=index.d.ts.map