import { ModuleWithProviders } from '@angular/core';
import { WidgetsModule } from '@c8y/ngx-components/widgets';
export declare const deviceManagementDefaultWidgets: {
    id: "devicemanagement.welcome.widget";
    label: "Quick links";
    description: "Displays quick links for Device Management";
    loadComponent: () => Promise<import("@angular/core").Type<any> | typeof import("@c8y/ngx-components/dist/widgets/implementations/device-management-welcome").WelcomeToDeviceManagementComponent>;
    previewImage: string;
    data: {
        settings: {
            noNewWidgets: false;
            widgetDefaults: {
                _width: number;
                _height: number;
            };
            ng1: {
                options: {
                    noDeviceTarget: true;
                    groupsSelectable: false;
                };
            };
        };
    };
}[];
/**
 * Widgets module to be imported in your app module. The exclude list allows to exclude certain widgets.
 * Calls `WidgetsModule.config` under the hood with the `deviceManagementDefaultWidgets`.
 * ***
 * NOTE:
 * The excluded widgets will still be part of your bundle.
 * But as they are lazy loaded should not increase loading duration.
 * ***
 * @param excludeList allows to exclude specific widgets by their id.
 * @returns An empty module with some providers.
 */
export declare function deviceManagementWidgets(excludeList?: Array<(typeof deviceManagementDefaultWidgets)[number]['id']>): ModuleWithProviders<WidgetsModule>;
//# sourceMappingURL=index.d.ts.map