import { OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { DynamicComponentAlertAggregator, OnBeforeSave } from '@c8y/ngx-components';
import { DatapointAttributesFormConfig, DatapointSelectorModalOptions } from '@c8y/ngx-components/datapoint-selector';
import { ContextDashboardComponent, WidgetConfigComponent } from '@c8y/ngx-components/context-dashboard';
import { DatapointsGraphWidgetConfig, DatapointsGraphWidgetTimeProps, DATE_SELECTION_EXTENDED, TimeContextProps } from '@c8y/ngx-components/echart';
import * as i0 from "@angular/core";
export declare class DatapointsGraphWidgetConfigComponent implements OnInit, OnBeforeSave, OnDestroy {
    private widgetConfig;
    private dashboardContextComponent;
    config: DatapointsGraphWidgetConfig | undefined;
    private readonly formBuilder;
    private readonly form;
    private readonly translate;
    private readonly widgetTimeContextDateRangeService;
    alerts: DynamicComponentAlertAggregator | undefined;
    formGroup: ReturnType<DatapointsGraphWidgetConfigComponent['initForm']>;
    DATE_SELECTION: typeof DATE_SELECTION_EXTENDED;
    dateSelection: DATE_SELECTION_EXTENDED | undefined;
    dateSelectionHelp: any;
    datapointSelectDefaultFormOptions: Partial<DatapointAttributesFormConfig>;
    datapointSelectionConfig: Partial<DatapointSelectorModalOptions>;
    activeDatapointsExists: boolean;
    alarmsOrEventsHaveNoMatchingDps: boolean;
    timeProps: DatapointsGraphWidgetTimeProps | undefined;
    private destroy$;
    constructor(widgetConfig: WidgetConfigComponent, dashboardContextComponent: ContextDashboardComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onBeforeSave(config?: DatapointsGraphWidgetConfig): boolean | Promise<boolean> | Observable<boolean>;
    timePropsChanged(timeProps: TimeContextProps): void;
    updateDashboardTimeContext(timeProps: DatapointsGraphWidgetTimeProps): void;
    updateTimeRangeOnRealtime(timeRange: Pick<DatapointsGraphWidgetConfig, 'dateFrom' | 'dateTo'>): void;
    dateSelectionChange(dateSelection: DATE_SELECTION_EXTENDED): void;
    private assignContextFromContextDashboard;
    private checkForMatchingDatapoints;
    private initForm;
    private initDateSelection;
    private setActiveDatapointsExists;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointsGraphWidgetConfigComponent, [{ optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointsGraphWidgetConfigComponent, "c8y-datapoints-graph-widget-config", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=datapoints-graph-widget-config.component.d.ts.map