import { PipeTransform } from '@angular/core';
import { ColorRangeBoundaries } from '../datapoints-table-widget.model';
import * as i0 from "@angular/core";
/**
 * Applies CSS classes based on the value's range.
 */
export declare class ApplyRangeClassPipe implements PipeTransform {
    /**
     * Transforms the input value based on the specified ranges.
     *
     * @param value - Initial value used to determine the CSS class.
     * @param ranges - An object containing the min and max range values for yellow and red colors.
     * @returns The CSS class to be applied.
     */
    transform(value: number, ranges: ColorRangeBoundaries): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplyRangeClassPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ApplyRangeClassPipe, "applyRangeClass", true>;
}
//# sourceMappingURL=apply-range-class.pipe.d.ts.map