import { PipeTransform } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { TableColumnHeader } from '../datapoints-table-widget.model';
import * as i0 from "@angular/core";
/**
 * Creates a column header title message.
 *
 * ```html
 * title="{{ header | columnTitle }}"
 * ```
 * The output will be e.g.: 'c8y_Temperature → T [T] (Area)'.
 */
export declare class ColumnTitlePipe implements PipeTransform {
    private translateService;
    constructor(translateService: TranslateService);
    /**
     * Transforms the column header into a formatted string with label and optionally unit and render type.
     *
     * @param columnHeader - The column header object.
     * @returns The formatted string with label, unit, and render type.
     */
    transform(columnHeader: TableColumnHeader): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnTitlePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<ColumnTitlePipe, "columnTitle", true>;
}
//# sourceMappingURL=column-title.pipe.d.ts.map