import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { CountdownIntervalComponent, GainsightService, IntervalBasedReload, WidgetGlobalAutoRefreshService } from '@c8y/ngx-components';
import { TranslateService } from '@ngx-translate/core';
import { BehaviorSubject, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class DatapointsReloadComponent extends IntervalBasedReload implements OnChanges, AfterViewInit, OnDestroy {
    private cdRef;
    private translateService;
    private widgetGlobalAutoRefreshService;
    protected gainsightService: GainsightService;
    readonly WIDGET_TYPE_VALUES: {
        readonly ALARMS: "alarms";
        readonly DATA_POINTS_TABLE: "dataPointsTable";
    };
    countdownIntervalComponent: CountdownIntervalComponent;
    /**
     * @inheritdoc
     */
    isAutoRefreshEnabled: boolean;
    /**
     * @inheritdoc
     */
    isRefreshDisabled: boolean;
    /**
     * @inheritdoc
     */
    isLoading: BehaviorSubject<boolean>;
    isScrolling: boolean;
    isExportModalOpen: boolean;
    /**
     * @inheritdoc
     */
    refreshInterval: number;
    widgetInstanceGlobalAutoRefreshContext: boolean;
    /**
     * @inheritdoc
     */
    onCountdownEnded: EventEmitter<void>;
    /**
     * @inheritdoc
     */
    isIntervalRefreshToggleOn: boolean;
    toggleCountdownButtonTooltipText: string;
    /**
     * @inheritdoc
     */
    protected manuallyDisabledCountdown: boolean;
    /**
     * @inheritdoc
     */
    protected hideCountdown: boolean;
    protected destroy$: Subject<void>;
    constructor(cdRef: ChangeDetectorRef, translateService: TranslateService, widgetGlobalAutoRefreshService: WidgetGlobalAutoRefreshService, gainsightService: GainsightService);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    /**
     * @inheritdoc
     */
    countdownEnded(): void;
    reload(): void;
    /**
     * @inheritdoc
     */
    enableCountdown(): void;
    /**
     * @inheritdoc
     */
    protected updateCountdownButtonTooltipText(): void;
    private canStartCountdown;
    private canHandleScrolling;
    private canDisableCountdownWhenModalIsOpen;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointsReloadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointsReloadComponent, "c8y-datapoints-reload", never, { "isAutoRefreshEnabled": { "alias": "isAutoRefreshEnabled"; "required": false; }; "isRefreshDisabled": { "alias": "isRefreshDisabled"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "isScrolling": { "alias": "isScrolling"; "required": false; }; "isExportModalOpen": { "alias": "isExportModalOpen"; "required": false; }; "refreshInterval": { "alias": "refreshInterval"; "required": false; }; "widgetInstanceGlobalAutoRefreshContext": { "alias": "widgetInstanceGlobalAutoRefreshContext"; "required": false; }; }, { "onCountdownEnded": "onCountdownEnded"; }, never, never, true, never>;
}
//# sourceMappingURL=datapoints-reload.component.d.ts.map