import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { AggregationOption, DynamicComponentAlertAggregator } from '@c8y/ngx-components';
import { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { ColorRangeBoundaries, TableColumnHeader, GroupedDatapointTableItem } from '../../datapoints-table-widget.model';
import * as i0 from "@angular/core";
export declare class DatapointsTableComponent implements OnInit, OnChanges {
    aggregationType: AggregationOption;
    datapointsTableItems: GroupedDatapointTableItem[];
    devicesColumnHeaders: TableColumnHeader[];
    decimalPlaces: number;
    hasMultipleDatapoints: boolean;
    isLoading: boolean;
    seriesWithoutPermissionToReadCount: number;
    isScrolling: EventEmitter<boolean>;
    hasNoPermissionsToReadAnyMeasurement: boolean;
    missingAllPermissionsAlert: DynamicComponentAlertAggregator;
    /**
     * Default fraction size format for numbers with decimal places.
     */
    private fractionSize;
    ngOnInit(): void;
    ngOnChanges(): void;
    onListScrolled(): void;
    onListScrolledToTop(): void;
    getRangeValues(row: KPIDetails): ColorRangeBoundaries;
    /**
     * Determines the fraction size format based on whether the number is an integer or has decimal places.
     *
     * @param value - The number to be formatted.
     * @returns Returns '1.0-0' if the number is an integer, otherwise returns the current fraction size.
     */
    getFractionSize(value: number): string;
    private handleNoPermissionErrorMessage;
    private showMessageForMissingPermissionsForAllSeries;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatapointsTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatapointsTableComponent, "c8y-datapoints-table", never, { "aggregationType": { "alias": "aggregationType"; "required": false; }; "datapointsTableItems": { "alias": "datapointsTableItems"; "required": false; }; "devicesColumnHeaders": { "alias": "devicesColumnHeaders"; "required": false; }; "decimalPlaces": { "alias": "decimalPlaces"; "required": false; }; "hasMultipleDatapoints": { "alias": "hasMultipleDatapoints"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "seriesWithoutPermissionToReadCount": { "alias": "seriesWithoutPermissionToReadCount"; "required": false; }; }, { "isScrolling": "isScrolling"; }, never, never, true, never>;
}
//# sourceMappingURL=datapoints-table.component.d.ts.map