import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DateRangePickerComponent {
    /**
     * If set to true, the component will be reactive and will emit the updatedDate on every change.
     * Otherwise, the component will use a non emitting variant of a template.
     */
    isEmittingDateChange: boolean;
    /**
     * Determines the display of from and to date picker labels.
     */
    showLabel: boolean;
    updatedDate: EventEmitter<{
        dateFrom?: string | null;
        dateTo?: string | null;
    }>;
    readonly DATE_FROM = "dateFrom";
    readonly DATE_TO = "dateTo";
    readonly FROM_DATE: "From`date`";
    readonly HAS_ERROR = "has-error";
    readonly INVALID_DATE_TIME = "invalidDateTime";
    readonly THIS_DATE_IS_INVALID: "This date is invalid.";
    readonly THIS_DATE_IS_AFTER_THE_LAST_ALLOWED_DATE: "This date is after the latest allowed date.";
    readonly THIS_DATE_IS_BEFORE_THE_EARLIEST_ALLOWED_DATE: "This date is before the earliest allowed date.";
    readonly TO_DATE: "To`date`";
    private parentContainer;
    onDateFromChange(dateFrom: string): void;
    onDateToChange(dateTo: string): void;
    get parentFormGroup(): FormGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateRangePickerComponent, "c8y-date-range-picker", never, { "isEmittingDateChange": { "alias": "isEmittingDateChange"; "required": false; }; "showLabel": { "alias": "showLabel"; "required": false; }; }, { "updatedDate": "updatedDate"; }, never, never, true, never>;
}
//# sourceMappingURL=date-range-picker.component.d.ts.map