import { OnChanges, OnDestroy, OnInit } from '@angular/core';
import { AlertService, DynamicComponent, DynamicComponentAlertAggregator } from '@c8y/ngx-components';
import { IManagedObject, OperationService } from '@c8y/client';
import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import { ContextDashboardComponent } from '@c8y/ngx-components/context-dashboard';
import * as i0 from "@angular/core";
export type DeviceControlMessageWidgetConfig = {
    device?: IManagedObject;
};
export declare class DeviceControlMessageWidgetViewComponent implements OnChanges, DynamicComponent, OnDestroy, OnInit {
    private alert;
    private operation;
    private translate;
    private dashboard;
    config: DeviceControlMessageWidgetConfig;
    operationSupportedByDevice$: Observable<boolean>;
    messageToBeSent: string;
    alerts: DynamicComponentAlertAggregator;
    private readonly operationAttribute;
    private currentDevice;
    private operationSupportedByDeviceSubscription;
    constructor(alert: AlertService, operation: OperationService, translate: TranslateService, dashboard: ContextDashboardComponent);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    sendMessage(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceControlMessageWidgetViewComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DeviceControlMessageWidgetViewComponent, "c8y-device-control-message-widget-view", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=device-control-message-widget-view.component.d.ts.map