import { PipeTransform } from '@angular/core';
import type { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { AlertService, MeasurementRealtimeService } from '@c8y/ngx-components';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
declare const INFO_GAUGE_COLORS: {
    readonly GREEN: "var(--c8y-brand-50)";
    readonly YELLOW: "var(--c8y-palette-status-warning)";
    readonly RED: "var(--c8y-palette-status-danger)";
};
export declare class InfoGaugeCurrentMeasurementPipe implements PipeTransform {
    private measurementRealtime;
    private alert;
    constructor(measurementRealtime: MeasurementRealtimeService, alert: AlertService);
    transform(datapoint: KPIDetails, calculateGauge?: false): Observable<{
        date: string;
        value: number;
        unit: string;
        notFound?: boolean;
    }>;
    transform(datapoint: KPIDetails, calculateGauge?: true): Observable<{
        date: string;
        value: number;
        unit: string;
        color: (typeof INFO_GAUGE_COLORS)[keyof typeof INFO_GAUGE_COLORS];
        strokeDashOffset: number;
        notFound?: boolean;
    }>;
    private calculateGauge;
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoGaugeCurrentMeasurementPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<InfoGaugeCurrentMeasurementPipe, "infoGaugeCurrentMeasurement", true>;
}
export {};
//# sourceMappingURL=current-measurement.pipe.d.ts.map