import { OnChanges, SimpleChanges, ElementRef, AfterViewInit, OnDestroy } from '@angular/core';
import type { ECharts } from 'echarts';
import type { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { IMeasurementValue } from '@c8y/client';
import { Observable } from 'rxjs';
import { GaugeOptions, GaugeOptionsColors } from '../info-gauge-widget-config/gauge.model';
import * as i0 from "@angular/core";
export declare class RadialGaugeViewComponent implements OnChanges, OnDestroy, AfterViewInit {
    activeDatapointGauge: KPIDetails;
    measurement: IMeasurementValue;
    fractionSize: number;
    gaugeOptions: GaugeOptions;
    selectedPresetId: string;
    chart: ElementRef;
    private resizeObserver;
    chartOptions$: Observable<GaugeOptions>;
    echartsInstance: ECharts;
    rangeColors: {
        default: string;
        yellow: string;
        red: string;
    };
    gaugeOptionsColors: GaugeOptionsColors;
    private configChangedSubject;
    private themeSubscription;
    private readonly themeSwitcherService;
    private readonly radialGaugeService;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onChartInit(ec: ECharts): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadialGaugeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadialGaugeViewComponent, "c8y-radial-gauge", never, { "activeDatapointGauge": { "alias": "activeDatapointGauge"; "required": false; }; "measurement": { "alias": "measurement"; "required": false; }; "fractionSize": { "alias": "fractionSize"; "required": false; }; "gaugeOptions": { "alias": "gaugeOptions"; "required": false; }; "selectedPresetId": { "alias": "selectedPresetId"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=radial-gauge.component.d.ts.map