import { ElementRef } from '@angular/core';
import { KPIDetails } from '@c8y/ngx-components/datapoint-selector';
import { GaugeOptions, GaugeOptionsColors } from '../info-gauge-widget-config/gauge.model';
import { IMeasurementValue } from '@c8y/client';
import { DatePipe } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
export declare class RadialGaugeService {
    private c8yDatePipe;
    private chart;
    containerSize: number;
    constructor(c8yDatePipe: DatePipe);
    setChart(chart: ElementRef): void;
    getChartOptions(gaugeOptions: GaugeOptions, activeDatapointGauge: KPIDetails, selectedPresetId: string, gaugeOptionsColors: GaugeOptionsColors, rangeColors: {
        default: string;
        yellow: string;
        red: string;
    }, measurement: IMeasurementValue, fractionSize: number): {
        series: {
            type: string;
            radius: string;
            center: string[];
            startAngle: number;
            endAngle: number;
            min: number;
            max: number;
            splitNumber: number;
            splitLine: {
                distance: number;
                length: string | number;
                lineStyle: {
                    color: string;
                    width: number;
                };
            };
            axisTick: {
                show: boolean;
                distance: number;
                length: number;
                lineStyle: {
                    color: string;
                    width: number;
                };
            };
            axisLine: {
                lineStyle: {
                    width: number;
                    color: [number, string][];
                };
            };
            axisLabel: {
                color: string;
                distance: number;
                fontSize: number;
                fontWeight: string;
                fontFamily: string;
            };
            pointer: {
                show: boolean;
                length: string | number;
                width: string | number;
                offsetCenter: (string | number)[];
                itemStyle: {
                    color: string;
                };
                icon: string;
            };
            progress: {
                show: boolean;
                roundCap: boolean;
                width: number;
                itemStyle: {
                    color: string;
                };
            };
            anchor: any;
            detail: {
                show: boolean;
                valueAnimation: boolean;
                offsetCenter: string[] | number[];
                formatter: () => string;
                color: string;
                lineHeight: any;
                rich: {
                    value: {
                        fontSize: any;
                        fontWeight: string;
                        fontFamily: string;
                        color: string;
                    };
                    unit: {
                        fontSize: number;
                        fontFamily: string;
                        color: string;
                    };
                    date: {
                        fontSize: number;
                        fontFamily: string;
                        color: string;
                    };
                };
            };
            markPoint: {
                symbolSize: number;
                offsetCenter: string[] | number[];
                data: {
                    x: string;
                    y: string;
                    label: {
                        show: boolean;
                        formatter: () => string;
                        color: string;
                        align: string;
                        rich: {
                            value: {
                                fontSize: any;
                                fontFamily: string;
                                fontWeight: string;
                                color: string;
                            };
                            unit: {
                                fontSize: number;
                                fontFamily: string;
                                color: string;
                            };
                            date: {
                                fontSize: number;
                                fontFamily: string;
                                color: string;
                            };
                        };
                    };
                }[];
            };
            data: {
                value: number;
            }[];
        }[];
    };
    updateRangeColors(): any;
    updateGaugeOptionsColors(): any;
    private getColorArray;
    private clampRelative;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadialGaugeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RadialGaugeService>;
}
//# sourceMappingURL=radial-gauge.service.d.ts.map