import { AfterViewInit, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { IManagedObject, InventoryService } from '@c8y/client';
import { ClusterMapComponent, ClusterMapConfig } from '@c8y/ngx-components/map';
import { DashboardChildComponent, DynamicComponent, DynamicComponentAlertAggregator } from '@c8y/ngx-components';
import { MapWidgetConfig } from './map-widget.model';
import { ContextDashboardComponent } from '@c8y/ngx-components/context-dashboard';
import * as i0 from "@angular/core";
export declare class MapWidgetComponent implements OnInit, OnChanges, OnDestroy, AfterViewInit, DynamicComponent {
    private dashboardContextComponent;
    private inventory;
    mapConfig: ClusterMapConfig;
    rootNode: IManagedObject;
    config: MapWidgetConfig;
    clusterMap: ClusterMapComponent;
    alerts: DynamicComponentAlertAggregator;
    private TIMEOUT_ERROR_TEXT;
    private SERVER_ERROR_TEXT;
    private savedNode;
    private destroy$;
    constructor(dashboardChild: DashboardChildComponent, dashboardContextComponent: ContextDashboardComponent, inventory: InventoryService);
    ngOnInit(): Promise<void>;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    startFollow(context: any): void;
    stopFollow(): void;
    ngOnDestroy(): void;
    private listenToWidgetResizeEvent;
    private subscribeToErrorsOccurred;
    private updateMapConfigRealtime;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapWidgetComponent, [null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MapWidgetComponent, "c8y-map-widget", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=map-widget.component.d.ts.map