export declare function loadBoxModel(): Promise<{
    metadata: {
        version: number;
        type: string;
        generator: string;
    };
    geometries: {
        uuid: string;
        type: string;
        data: {
            attributes: {
                position: {
                    itemSize: number;
                    type: string;
                    array: number[];
                    normalized: boolean;
                };
                normal: {
                    itemSize: number;
                    type: string;
                    array: number[];
                    normalized: boolean;
                };
                color: {
                    itemSize: number;
                    type: string;
                    array: number[];
                    normalized: boolean;
                };
            };
            boundingSphere: {
                center: number[];
                radius: number;
            };
        };
    }[];
    materials: {
        uuid: string;
        type: string;
        name: string;
        color: number;
        roughness: number;
        metalness: number;
        emissive: number;
        envMapIntensity: number;
        vertexColors: boolean;
        depthFunc: number;
        depthTest: boolean;
        depthWrite: boolean;
        colorWrite: boolean;
        stencilWrite: boolean;
        stencilWriteMask: number;
        stencilFunc: number;
        stencilRef: number;
        stencilFuncMask: number;
        stencilFail: number;
        stencilZFail: number;
        stencilZPass: number;
    }[];
    object: {
        uuid: string;
        type: string;
        name: string;
        layers: number;
        matrix: number[];
        children: {
            uuid: string;
            type: string;
            name: string;
            userData: {
                name: string;
            };
            layers: number;
            matrix: number[];
            geometry: string;
            material: string;
        }[];
    };
}>;
//# sourceMappingURL=lazy-load-box-model.d.ts.map