import { ModuleWithProviders, Provider } from '@angular/core';
import { DynamicComponentDefinition, DynamicWidgetDefinition } from '@c8y/ngx-components';
import * as i0 from "@angular/core";
/**
 * Module with providers for the given widgets.
 * Does not include any widgets by default.
 * Import this modules by using the `WidgetsModule.config` method.
 */
export declare class WidgetsModule {
    static config<T extends DynamicComponentDefinition>(config: {
        widgets: T[];
        excludeList?: T['id'][];
    }): ModuleWithProviders<WidgetsModule>;
    static providers<T extends DynamicWidgetDefinition>(config: {
        widgets: T[];
        excludeList?: T['id'][];
    }): Provider[];
    private static excludeById;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WidgetsModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WidgetsModule>;
}
//# sourceMappingURL=widgets.module.d.ts.map